#! /bin/ash
export PATH="/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin"

ESXiVersion=`uname -r | cut -c0-1`

getpartinfo() { 
    echo "fdisk -l output"
    for d in $raiddevs $disks ; do
      echo "<----  Disk: /dev/${d}  ---->"
      echo ""
      /sbin/fdisk -l /dev/${d} 2>&1
      echo ""
      echo "<----    END     ---->"
      done
}
getpciinfo() {

( echo "lspci"
  echo
  lspci
  echo
  echo "lspci -n"
  echo
  lspci -n
  echo
  echo "lspci -nv"
  echo
  lspci -nv
  echo
  echo "lspci -nvv"
  echo
  lspci -nvv ) 2>&1
}

catiffile() {
  if [ -d $1 ]; then
    if /bin/cp --parents -R --dereference $1 $ROOT > /dev/null 2>&1
    then
       return 1
    fi
  fi
  if [ -f $1 ]; then
    if /bin/cp --parents --dereference $1 $ROOT > /dev/null 2>&1
    then
      return 1
    fi
  fi
  return 0
}
catifexec() {
  if [ -x $1 ]; then
    if $* > $ROOT/`basename $1` 2>&1; then
      return 1
    fi
  fi
  return 0
}
getControllerInformation() {
	mkdir -p "$RAIDCONTROLLER"
	ls /var/log/cntrl_*.log
	if test $? == 0; then
	    mv -f /var/log/cntrl_*.log "$RAIDCONTROLLER"/ 2>/dev/null
	fi
	# GATHERING OMSS Logs finished. 
}

if [ -z $REPORTPATH ]; then
        export REPORTPATH=/tmp/dset
fi
        
if [ -z $DSETLOG ]; then
        export DSETLOG=$REPORTPATH/log/DSET/main.log
fi
mkdir -p $REPORTPATH/log/DSET
umask 0077
ROOT=$REPORTPATH/data/linux
DELLROOT=$REPORTPATH/data/dell
UTILDIR=.
VER=`uname -r`
if [ `id -u` != 0 ]; then
  echo "You must be root to use this utility"
  exit 1
fi
rm -rf $ROOT > /dev/null 2>&1
mkdir -p $ROOT > /dev/null 2>&1

rm -rf $DELLROOT > /dev/null 2>&1
mkdir -p $DELLROOT > /dev/null 2>&1

RAIDCONTROLLER=$DELLROOT/RAID\ Controllers
RACLOGS=$DELLROOT/Remote_Access_Controller
OMSAROOT=$DELLROOT/OM_Server_Administrator
NETSTAT=$DELLROOT/netstat

catiffile "/etc/issue.net"
`hostname > $ROOT/hostname`
`date > $ROOT/date`
`uptime > $ROOT/uptime`
`df -h > $ROOT/df`
`ps -sCTP > $ROOT/ps`

mkdir $ROOT/proc
vmkvsitools hwinfo -i > $ROOT/proc/interrupts
echo "     Getting bootloader information ..." 
/bin/ls -alR /boot > $ROOT/ls-boot 2>&1
echo "     Getting Networking information ..."
`esxcfg-vmknic -l > $ROOT/ifconfig`
`esxcfg-route -l > route`
catiffile "/etc/sysconfig"
catiffile "/etc/pam.d"
echo "     Getting information about the kernel ..."
`uname -a > $ROOT/uname`
`esxcfg-module -l > $ROOT/module`
catiffile "/proc/megaraid"
catiffile "/proc/scsi/aacraid"
catiffile "/proc/scsi/aic7xxx"
getpciinfo > $ROOT/lspci
catiffile "/etc/fstab"
getpartinfo > $ROOT/fdisk-l
# getting mount information
`esxcfg-volume -l > $ROOT/mount`
if [ -x /usr/sbin/lsof ] ; then
lsof -b +M -n -l > $ROOT/lsof 2>&1
fi
if [ -f /etc/inetd.conf ]; then
  catiffile "/etc/inetd.conf"
elif [ -f /etc/xinetd.conf ]; then
  catiffile "/etc/xinetd.conf"
  for x in `/bin/ls -d /etc/xinetd.d/*`; do
    catiffile "$x"
  done
fi
for x in `/bin/ls -d /etc/host*` ; do
  catiffile "$x"
done
ftpconfigfiles=`/bin/ls -d /etc/ftp* /etc/vsftpd/* 2>/dev/null`
  for x in $ftpconfigfiles; do
    catiffile "$x"
  done
KERNELMIN=`uname -r | sed -e 's,[^\.]*\.,,' -e 's,\..*,,'`
ipchainsmod=`esxcfg-module -l | grep ipchains`
`alias > $ROOT/aliases`
SAMBADIR="/etc/samba"
if [ -d $SAMBADIR ]; then
  for x in `/bin/ls -d $SAMBADIR/* | grep -vE 'smbpasswd|secrets\.tdb|\.bak|\.rpmnew'` ; do
    catiffile "$x"
  done
  /bin/ls -alR $SAMBADIR > $ROOT/ls-samba 2>&1
fi
#catiffile "/var/log/messages"
mkdir $ROOT/var
mkdir $ROOT/var/log
`/usr/bin/tail -1000 /var/log/messages > $ROOT/var/log/messages`
#check if /var/log/messages is not present then look for var/log/syslog.log
getEsxi5SystemLog=`find /var/log/ -name messages`
if [ -z "$getEsxi5SystemLog" ]; then
	`/usr/bin/tail -1000 /var/log/syslog.log > $ROOT/var/log/messages`
fi

catiffile "/var/log/sa"
catiffile "/var/log/XFree86.0.log"
catiffile "/var/log/rpmpkgs"
catiffile "/var/log/boot.log"
catiffile "/var/log/up2date"
catifexec "/usr/bin/selinuxconfig"
catifexec "/usr/sbin/sestatus"
rm -f $ROOT/service > /dev/null 2>&1
SERVICEDIR=/etc/init.d
          for SERVICE in `ls -1 ${SERVICEDIR}` ; do
          
            case "${SERVICE}" in
              functions | halt | killall | single| linuxconf| kudzu | bgpd | boot | reboot | single | nscd | \
                  halt.* | rc | boot.* | *rpmorig | *rpmnew | *rpmsave | *~ | *.orig)
                  ;;
              *)
                if [ -x "${SERVICEDIR}/${SERVICE}" -a -f "${SERVICEDIR}/${SERVICE}" ]; then
                SERSTATUS=`/usr/bin/env -i LANG=${LANG} PATH=${PATH} TERM=${TERM} "${SERVICEDIR}/${SERVICE}" status`
                echo "ValidXMLService ${SERVICE},${SERSTATUS} " >>$ROOT/service
                echo >> $ROOT/service
                echo "---------------------------------------------------------------------------" >> $ROOT/service                                                 
               fi
                ;;
            esac
          done    
 `env  > $ROOT/printenv`
Line="OpenManage Server Administrator is not installed"
if [ ! -f  /etc/cim/dell/srvadmin/omreg.cfg ]
then
    echo "Omsa Not Found"
        echo $Line >omsa
        
else
Line=`cat /etc/cim/dell/srvadmin/omreg.cfg |grep openmanage.omacore.installpath`
InstallPath=`echo $Line | awk -F"=" '{print $2}'`
Line=`cat /etc/cim/dell/srvadmin/omreg.cfg |grep openmanage.version`
Version=`echo $Line | awk -F"=" '{print $2}'`
echo "Dell OpenManage Server Administrator (OMSA) is installed, "  $Version > omsa
echo "Path: " $InstallPath >> omsa
echo "The following OMSA services are installed:" >>omsa
InstalledRPMs=`rpm -qa | grep 'srvadmin-\|instsvc-'`
for item in ${InstalledRPMs}
        do
        Data=`rpm -q --queryformat '      %{SUMMARY}\n' $item`
        echo $Data >> omsa
        done
fi
echo > $ROOT/dsetboot
if [ -f $ROOT/boot/grub/grub.conf ] ; then
        echo "boot/grub/grub.conf" >> $ROOT/dsetboot
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
        cat $ROOT/boot/grub/grub.conf >> $ROOT/dsetboot
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
fi
if [ -f $ROOT/boot/grub/menu.lst ] ; then
        echo "boot/grub/menu.lst" >> $ROOT/dsetboot
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
        cat $ROOT/boot/grub/menu.lst >> $ROOT/dsetboot
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
fi
if [ -f $ROOT/boot/grub/device.map ] ; then
	echo "boot/grub/device.map" >> $ROOT/dsetboot
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
	cat $ROOT/boot/grub/device.map >> $ROOT/dsetboot
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
fi
if [ -f $ROOT/etc/lilo.conf ] ; then
	echo "etc/lilo.conf" >> $ROOT/dsetboot
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
	cat $ROOT/etc/lilo.conf >> $ROOT/dsetboot
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
fi
if [ -f $ROOT/etc/milo.conf ] ; then
	echo "etc/milo.conf" >> $ROOT/dsetboot
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
	cat $ROOT/etc/milo.conf >> $ROOT/dsetboot
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
fi
if [ -f $ROOT/ls-boot ] ; then
	echo "ls-boot" >> $ROOT/dsetboot
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
	cat $ROOT/ls-boot >> $ROOT/dsetboot
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetboot
fi
# if [ -f $ROOT/lsmod ] ; then
	# echo "lsmod" >> $ROOT/dsetmodules
	# echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
	# cat $ROOT/lsmod >> $ROOT/dsetmodules
	# echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
# fi
# if [ -f $ROOT/etc/modules.conf ] ; then
	# echo "etc/modules.conf" >> $ROOT/dsetmodules
	# echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
	# cat $ROOT/etc/modules.conf >> $ROOT/dsetmodules
	# echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
# fi
# if [ -f $ROOT/etc/modprobe.conf ] ; then
	# echo "etc/modprobe.conf" >> $ROOT/dsetmodules
	# echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
	# cat $ROOT/etc/modprobe.conf >> $ROOT/dsetmodules
	# echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
# fi
# if [ -f $ROOT/etc/conf.modules ] ; then
        # echo "etc/conf.modules" >> $ROOT/dsetmodules
        # echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
        # cat $ROOT/etc/conf.modules >> $ROOT/dsetmodules
        # echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
# fi
# if [ -f $ROOT/lib/modules/current/modules.dep ] ; then
	# echo "lib/modules/$VER/modules.dep" >> $ROOT/dsetmodules
        # echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
        # cat $ROOT/lib/modules/current/modules.dep >> $ROOT/dsetmodules
        # echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
# fi
if [ -f $ROOT/uptime ] ; then
         echo "uptime" >> $ROOT/dsetmemory
         echo "----------------------------------------------------------------------------" >> $ROOT/dsetmemory
         cat $ROOT/uptime >> $ROOT/dsetmemory
         echo "----------------------------------------------------------------------------" >> $ROOT/dsetmemory
fi
if [ -f $ROOT/proc/meminfo ] ; then
         echo "/proc/meminfo" >> $ROOT/dsetmemory
         echo "----------------------------------------------------------------------------" >> $ROOT/dsetmemory
         cat $ROOT/proc/meminfo >> $ROOT/dsetmemory
         echo "----------------------------------------------------------------------------" >> $ROOT/dsetmemory
fi
if [ -f $ROOT/free ] ; then
        echo "free" >> $ROOT/dsetstorage
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetstorage
        cat $ROOT/free >> $ROOT/dsetstorage
fi
if [ -f $ROOT/df ]; then
cat $ROOT/df >>$ROOT/dsetstorage
echo "----------------------------------------------------------------------------" >> $ROOT/dsetstorage
fi
if [ -f $ROOT/proc/scsi/scsi ] ; then
        echo "proc/scsi/scsi" >> $ROOT/dsetstorage
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetstorage
        cat $ROOT/proc/scsi/scsi >> $ROOT/dsetstorage
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetstorage
fi
if [ -f $ROOT/proc/scsi/usb-storage/1 ] ; then
        echo "proc/scsi/usb-storage" >> $ROOT/dsetstorage
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetstorage
        echo >> $ROOT/dsetstorage
        for x in `/bin/ls -d $ROOT/proc/scsi/usb-storage/*` ; do
              cat "$x" >> $ROOT/dsetstorage
              echo >> $ROOT/dsetstorage
        done
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetstorage
fi
if [ -f $ROOT/ifconfig ] ; then
        echo "ifconfig" >> $ROOT/dsetnetwork
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetnetwork
        cat $ROOT/ifconfig >> $ROOT/dsetnetwork
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetnetwork
fi
if [ -f $ROOT/etc/resolv.conf ] ; then
        echo "etc/resolv.conf" >> $ROOT/dsetnetwork
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetnetwork
        cat $ROOT/etc/resolv.conf >> $ROOT/dsetnetwork
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetnetwork
fi
if [ -f $ROOT/etc/hosts ] ; then
        echo "etc/hosts" >> $ROOT/dsetnetwork
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetnetwork
        cat $ROOT/etc/hosts >> $ROOT/dsetnetwork
        echo "----------------------------------------------------------------------------" >> $ROOT/dsetnetwork
fi
                                
echo >> $ROOT/softsummary
echo >> $ROOT/softsummary
        
#echo Kernel >> $ROOT/softsummary
#echo ---------------------------------------------------------------------------- >> $ROOT/softsummary
#if [ -e "$ROOT/uname" ]; then
#	cat "$ROOT/uname" >> $ROOT/softsummary
#fi

	echo osversion >> $ROOT/softsummary
	echo ---------------------------------------------------------------------------- >> $ROOT/softsummary
	version=`vmkvsitools vmware -v`
	version_num=`vmkvsitools vmware -v | awk '{print substr($3,0,1)}'`
	if [ "$version_num" -eq "4" ] ; then
			update=`vmkvsitools vmware -l | awk '{print$5}'`
	else
			update=`esxcli system version get|grep update -ir | awk '{print$2}'`
	fi
		   
	detailed_version=$version" Update "$update
	echo $detailed_version >> $ROOT/softsummary
	
	echo uname >> $ROOT/softsummary
	echo ---------------------------------------------------------------------------- >> $ROOT/softsummary
	if [ -e "$ROOT/uname" ]; then
		cat "$ROOT/uname" >> $ROOT/softsummary
	fi
	
	echo ---------------------------------------------------------------------------- >> $ROOT/softsummary
	echo esxcfg-volume -l >> $ROOT/softsummary
	echo ---------------------------------------------------------------------------- >> $ROOT/softsummary

	if [ -e "/usr/bin/vmware" ]; then
      if [ -e "/usr/bin/vm-support" ]; then
          echo "NOTE: VMware support tool detected. Collecting data ..." ${TEE2LOG}
          pushd $HOME > /dev/null
          popd > /dev/null
          ESXFILE=`ls -1 -t $HOME/esx* | /usr/bin/head -n1`
          mkdir -p $ROOT/VMWare
          echo "Moving VMWare support file to $ROOT/VMWare"
      fi	  
fi

# getting NW info
esxcfg-info -n > $ROOT/ifconfig

# getting storage info
esxcfg-info -s > $ROOT/dsetstorage

#ipkg list_installed >> $ROOT/InstallesRPMs1

	echo "lsmod" >> $ROOT/dsetmodules
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
	if [ $ESXiVersion = 5 ]; then
	
        esxcfg-module -b | awk '{print $1,"\t",$3,"\t",$2}' >> $ROOT/dsetmodules
	else
		esxcfg-module -b >> $ROOT/dsetmodules
	fi
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
	echo "lib/modules/modules.dep" >> $ROOT/dsetmodules
	echo "----------------------------------------------------------------------------" >> $ROOT/dsetmodules
	ipkg list_installed >> $ROOT/dsetmodules

cat /etc/vmware/esxupdate/esxupdate.conf | grep distribution > ESXiBox


# get Installed Vibs.
    echo "----------------------------------------------------------------------------------" >> $ROOT/installeditem

    if [ $ESXiVersion = 5 ]; then
        esxcli software vib list >> $ROOT/installeditem
    else
	    # 4.0 requires python path to be set 
		#
		abc=`cat /etc/profile | grep PYTHONPATH`
		$abc
		abc=`cat /etc/profile | grep PYTHONHOME`
		$abc
		esxupdate query >> $ROOT/installeditem
    fi    


	
# get Installed OMSA version
# /etc/cim/dell/srvadmin/omreg.cfg 
Line="OpenManage Server Administrator is not installed"
	if [ ! -f  /etc/cim/dell/srvadmin/omreg.cfg ];
	then
		echo "Omsa Not Found"
		echo $Line >$ROOT/omsa
						
	else 
		Line=`cat /etc/cim/dell/srvadmin/omreg.cfg |grep openmanage.omacore.installpath`
		InstallPath=`echo $Line | awk -F"=" '{print $2}'`
		Line=`cat /etc/cim/dell/srvadmin/omreg.cfg |grep openmanage.version`
		Version=`echo $Line | awk -F"=" '{print $2}'`
		echo "Dell OpenManage Server Administrator (OMSA) is installed, "  $Version > $ROOT/omsa
		echo "Path: " $InstallPath >> $ROOT/omsa
	fi											

OMSAsetup() {
	if [ "$Version" != "" ]; then

	# Now get various OMSA and OMSA install logs and misc. info

	mkdir -p $OMSAROOT/Instrumentation $OMSAROOT/DataEngine

	cp /etc/cim/dell/srvadmin/omreg.cfg $OMSAROOT/ > /dev/null 2>&1
	cp /etc/cim/dell/srvadmin/srvadmin-deng/ini/*.ini $OMSAROOT/DataEngine > /dev/null 2>&1
	cp /etc/cim/dell/srvadmin/srvadmin-isvc/ini/*.ini $OMSAROOT/Instrumentation > /dev/null 2>&1

	fi
}

getAllInformation() {

`/sbin/esxcfg-info >> $ROOT/esx-info.txt`

}

getNetStat() {

	mkdir -p $NETSTAT
	
	`esxcli network ip connection list >> $NETSTAT/netstatinfo.txt`

}


mkdir -p $OMSAROOT

getControllerInformation

OMSAsetup

getAllInformation

getNetStat