<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">


	<xsl:template match="OMA">
		<xsl:if test="count(//DCStorageObject) &gt; 0 ">
		<xsl:for-each select="ArrayDisks" >
		<OMA skin="modern">
		<DataArea>
			<xsl:variable name="controllername">
				<xsl:value-of select="ArrayDisks/@controller"/>
			</xsl:variable>
			<PageTitle>
				<xsl:choose>
					<xsl:when test="ArrayDisks/@controller=''">
						<xsl:attribute name="display"><xsl:value-of select="$strArrayDisks"/></xsl:attribute>
					</xsl:when>
					<xsl:when test="ArrayDisks/@controller!=''">
						<xsl:attribute name="display"><xsl:value-of select="$strArrayDisksOn1"/><xsl:value-of select="$controllername"/><xsl:value-of select="$strArrayDisksOn3"/></xsl:attribute>
					</xsl:when>
				</xsl:choose>
			</PageTitle>
			<xsl:apply-templates mode="Channels" select="Channel"/>
		</DataArea>
		<SMStatus>
		<xsl:value-of select="SMStatus"/>
		</SMStatus>
		</OMA>
		</xsl:for-each>
		</xsl:if>

		<xsl:if test="count(//DCStorageObject) = 0 ">
			<OMA skin="modern">
			<DataArea>
			<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strNoArrayDisks"/></xsl:attribute>
	
			</PageTitle>	
			</DataArea>
			</OMA>

		</xsl:if>
		

	</xsl:template>


	<xsl:template match="Channel" mode="Channels">
	<xsl:variable name="EnclosureID"><xsl:value-of select="ID"/></xsl:variable>
		<xsl:choose>
			<xsl:when test="count(node()/DCStorageObject)!=0">
					<ListData type="custom">
						<SubHeader>
						<xsl:choose>
							<xsl:when test="TYPE='ENCLOSURE'">
							<xsl:attribute name="display"><xsl:value-of select="$strEnclosure"/></xsl:attribute>
							<xsl:attribute name="status"><xsl:value-of select="ObjStatus" /></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="display"><xsl:value-of select="Name"/></xsl:attribute>
							</xsl:otherwise>
							</xsl:choose>	
						</SubHeader>
						<xsl:if test="TYPE='ENCLOSURE'">
						<xsl:apply-templates select="//Enclosures/DCStorageObject[ObjID=$EnclosureID]" mode="enclosures"/>
						</xsl:if>
					</ListData>
					<TableData columnspacing="true">
					
					<SubHeader>
						<xsl:attribute name="display"><xsl:value-of select="$strArrayDisks1"/></xsl:attribute>
					</SubHeader>
						<Header>
							<Data name="Status" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strStatus"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strStatus1"/></xsl:attribute>
							</Data>
							<Data name="Name"  editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strName"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strName1"/></xsl:attribute>
							</Data>			
							<Data name="State" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strState"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strState1"/></xsl:attribute>
							</Data>
							<Data name="Type" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strDevType"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strDevType1"/></xsl:attribute>
							</Data>
							<Data name="Product ID" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strProductID"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strProductID1"/></xsl:attribute>
							</Data>
							<Data name="Rev" editable="false" type="usting">	
								<xsl:attribute name="display"><xsl:value-of select="$strRev"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strRev1"/></xsl:attribute>
							</Data>
							<Data name="Vendor" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strVendor"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strVendor1"/></xsl:attribute>
							</Data>
							<Data name="Capacity"  editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strCapacity"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strCapacity1"/></xsl:attribute>
							</Data>
							<Data name="Unallocated Space"  editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strUnallocatedSpace"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strUnallocatedSpace1"/></xsl:attribute>
							</Data>
						</Header>
						<xsl:apply-templates mode="Arrays" select="Disks"/>
					</TableData>
			</xsl:when>
			<xsl:otherwise>
				<TableData>
					<xsl:attribute name="name">Row<xsl:value-of select="position()"/></xsl:attribute>
					<xsl:attribute name="display"><xsl:value-of select="Name"/></xsl:attribute>
					<Header>
						<Data><xsl:attribute name="display"><xsl:value-of select="Name"/></xsl:attribute><xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute></Data>
					</Header>
					<Row>
						<Data>
							<xsl:attribute name="value"><xsl:value-of select="$strNoArrayDisks"/></xsl:attribute>
						</Data>	
					</Row>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="DCStorageObject" mode="Arrays">
		<Row>
			<Data type="status" align="center">
				<xsl:attribute name="name"><xsl:value-of select="Name" /></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ObjStatus" /></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="GetState"><xsl:with-param name="state"><xsl:value-of select="ObjState"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest2"/></xsl:attribute>
				<xsl:attribute name="value">
				<xsl:call-template name="SCSI-TYPE">
				</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest3"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ProductID"/></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest4"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Revision"/></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest5"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest6"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="DecimalSep"><xsl:with-param name="Size"><xsl:value-of select="Length"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest7"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="DecimalSep"><xsl:with-param name="Size"><xsl:value-of select="FreeSpace"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
		<xsl:template match="DCStorageObject" mode="enclosures">

			<Data ignoreonweb="true">
				<xsl:attribute name="display"><xsl:value-of select="$strID"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ObjID"/></xsl:attribute>
			</Data>		
			<Data ignoreonweb="true">
				<xsl:attribute name="display"><xsl:value-of select="$strStatus2"/></xsl:attribute>			
				<xsl:attribute name="value"><xsl:call-template name="imagedesc"/></xsl:attribute>
			</Data>
			<Data  link="true">
				<xsl:attribute name="display"><xsl:value-of select="$strName2"/></xsl:attribute>	
				<xsl:attribute name="value"><xsl:call-template name="rmspace"><xsl:with-param name="field"><xsl:value-of select="Name"></xsl:value-of></xsl:with-param></xsl:call-template></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.am.webplugins.EnclosureInfoWebPlugin&amp;ID=<xsl:value-of select="ObjID"/>&amp;Name=<xsl:value-of select="Name"/>&amp;ControllerID=<xsl:value-of select="/OMA/ID"/>&amp;ControllerName=<xsl:value-of select="/OMA/Name"/></xsl:attribute>
			</Data>
			<xsl:if test="Type!='1' or Type='1'">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="$strApplicationVersion"/></xsl:attribute>				
				<xsl:attribute name="value"><xsl:call-template name="nullpossible"><xsl:with-param name="field"><xsl:value-of select="AppVer"></xsl:value-of></xsl:with-param>
				</xsl:call-template></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="$strProductID2"/></xsl:attribute>			
				<xsl:attribute name="value"><xsl:call-template name="nullpossible"><xsl:with-param name="field"><xsl:value-of select="ProductVer"></xsl:value-of></xsl:with-param>
				</xsl:call-template></xsl:attribute>
			</Data>		
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="$strAssetTag"/></xsl:attribute>				
				<xsl:attribute name="value"><xsl:call-template name="nullpossible"><xsl:with-param name="field"><xsl:value-of select="AssetTag"></xsl:value-of></xsl:with-param>
				</xsl:call-template></xsl:attribute>
			</Data>		
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="$strServiceTag"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="nullpossible"><xsl:with-param name="field"><xsl:value-of select="ServiceTag"></xsl:value-of></xsl:with-param>
				</xsl:call-template></xsl:attribute>
			</Data>		
			 </xsl:if>
	</xsl:template>
	<xsl:template name="SCSI-TYPE">
			<xsl:choose>
				<xsl:when test="Bus=1"><xsl:value-of select="$strSCSI"/></xsl:when>
				<xsl:when test="Bus=2"><xsl:value-of select="$strIDE"/></xsl:when>
				<xsl:when test="Bus=64"><xsl:value-of select="$strSATA"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="$strUnknown"/></xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$strXsltextPortxsltext"/><xsl:value-of select="Port"/><xsl:value-of select="$strXsltextIDxsltext"/><xsl:value-of select="ID"/><xsl:value-of select="$strXsltextLUNxsltext"/><xsl:value-of select="LUN"/><xsl:text>)</xsl:text>
	</xsl:template>
	<xsl:template name="GetState">
		<xsl:param name="state"/>
		<xsl:choose>
			<xsl:when test="$state='1'"><xsl:value-of select="$strReady"/></xsl:when>
			<xsl:when test="$state='2'"><xsl:value-of select="$strFailed"/></xsl:when>
			<xsl:when test="$state='4'"><xsl:value-of select="$strOnline"/></xsl:when>
			<xsl:when test="$state='8'"><xsl:value-of select="$strOffline"/></xsl:when>
			<xsl:when test="$state='32'"><xsl:value-of select="$strDegraded"/></xsl:when>
			<xsl:when test="$state='64'"><xsl:value-of select="$strRecovering"/></xsl:when>
			<xsl:when test="$state='1024'"><xsl:value-of select="$strRemoved"/></xsl:when>
			<xsl:when test="$state='16384'"><xsl:value-of select="$strResynching"/></xsl:when>
			<xsl:when test="$state='16388'"><xsl:value-of select="$strOnlineResynching"/></xsl:when>
			<xsl:when test="$state='32768'"><xsl:value-of select="$strRegenerating"/></xsl:when>
			<xsl:when test="$state='32772'"><xsl:value-of select="$strOnlineRegenerating"/></xsl:when>
			<xsl:when test="$state='131072'"><xsl:value-of select="$strDegraded1"/></xsl:when>			
			<xsl:when test="$state='8388608'"><xsl:value-of select="$strRebuilding"/></xsl:when>
			<xsl:when test="$state='33587204'"><xsl:value-of select="$strOnlineRegeneratingFormatting"/></xsl:when>
			<xsl:when test="$state='2147483648'"><xsl:value-of select="$strReconstructing"/></xsl:when>
			<xsl:when test="$state='4294967296'"><xsl:value-of select="$strImportFailed"/></xsl:when>
			<xsl:when test="$state='8589934592'"><xsl:value-of select="$strUnclaimed"/></xsl:when>
			<xsl:when test="$state='268435456'"><xsl:value-of select="$strInitializing"/></xsl:when>
			<xsl:when test="$state='34359738368'"><xsl:value-of select="$strRestartable"/></xsl:when>
			<xsl:when test="$state='68719476736'"><xsl:value-of select="$strCorrupt"/></xsl:when>
			<xsl:when test="$state='137438953472'"><xsl:value-of select="$strPaused"/></xsl:when>
			<xsl:when test="$state='274877906944'"><xsl:value-of select="$strLocked"/></xsl:when>
			<xsl:when test="$state='1099511627776'"><xsl:value-of select="$strNeedEnumerate"/></xsl:when>
			<xsl:when test="$state='2199023255552'"><xsl:value-of select="$strBadDevice"/></xsl:when>
			<xsl:when test="$state='137438969856'"><xsl:value-of select="$strResynchingPaused"/></xsl:when>
			<xsl:when test="$state='549755813888'"><xsl:value-of select="$strNotReady"/></xsl:when>
			<xsl:when test="$state='549755813892'"><xsl:value-of select="$strOnlineUnreadable"/></xsl:when>
			<xsl:when test="$state='1099511644160'"><xsl:value-of select="$strNotRedundantResynching"/></xsl:when>
                        <xsl:when test="$state='4398046511105'"><xsl:value-of select="$strWarning"/></xsl:when>
			<xsl:when test="$state='8796093022209'"><xsl:value-of select="$strPredictiveFailure"/></xsl:when>
			<xsl:when test="$state='8796093022212'"><xsl:value-of select="$strPredictiveFailure1"/></xsl:when>
			<xsl:when test="$state='8796093022216'"><xsl:value-of select="$strPredictiveFailure2"/></xsl:when>
			<xsl:when test="$state='8796093022240'"><xsl:value-of select="$strPredictiveFailure3"/></xsl:when>
                        <xsl:when test="$state='562949953421312'"><xsl:value-of select="$strBackgroundInit"/></xsl:when>
			<xsl:when test="$state='1125899906842624'"><xsl:value-of select="$strNotInstalled"/></xsl:when>
			<xsl:when test="$state='18014398509481984'"><xsl:value-of select="$strCommunicationLost"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="$strUnknown1"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="imagedesc">
		<xsl:if test="ObjStatus='0'">
			<xsl:value-of select="$strOther"/>
		</xsl:if>
		<xsl:if test="ObjStatus='1'">
			<xsl:value-of select="$strUnknown2"/>
		</xsl:if>
		<xsl:if test="ObjStatus='2'">
			<xsl:value-of select="$strOK"/>
		</xsl:if>
		<xsl:if test="ObjStatus='3'">
			<xsl:value-of select="$strNonCritical"/>
		</xsl:if>
		<xsl:if test="ObjStatus='4'">
			<xsl:value-of select="$strCritical"/>
		</xsl:if>
		<xsl:if test="ObjStatus='5'">
			<xsl:value-of select="$strNonRecoverable"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="nullpossible">
		<xsl:param name="field"/>
		<xsl:if test="$field='(null)'">
			<xsl:value-of select="$strXsltextNAxsltext"/>
		</xsl:if>
		<xsl:if test="$field!='(null)'">
			<xsl:value-of select="$field"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="DecimalSep">
		<xsl:param name="Size"/>
			<xsl:variable name="formatval"><xsl:value-of select="format-number(($Size div (1024*1024*1024)),'#,##0.00')"/></xsl:variable>
			<xsl:variable name="univdecsep">
				<xsl:choose>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.;,</xsl:when>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,;.</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="localdecsep"><xsl:value-of select="$str"/></xsl:variable>
			<xsl:value-of select="translate($formatval,$univdecsep,$localdecsep)"/><xsl:value-of select="$strXsltextGBxsltext"/>
	</xsl:template>	
	<xsl:template name="rmspace">
		<xsl:param name="field"/>
		<xsl:if test="$field='(null)'">
			<xsl:value-of select="$strNA"/>
		</xsl:if>
		<xsl:if test="$field!='(null)'">
			<xsl:choose>
				<xsl:when test="substring($field,1,1)=' '">
					<xsl:call-template name="rmspace">
						<xsl:with-param name="field">
						<xsl:value-of select="substring($field,2)"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$field"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	<xsl:template match="OMAUserRights"/>
	<xsl:template match="Enclosures"/>
	<xsl:template match="ID"/>
	<xsl:template match="Name"/>
	<xsl:template name="NewLine">
		<xsl:text>
</xsl:text>
	</xsl:template>
</xsl:stylesheet>
