<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="Enclosure">
		<OMA skin="modern">
			<DataArea>
				<!--			<xsl:attribute name="backpagedisplay"><xsl:value-of select="$strArrayDisks"/></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.am.webplugins.ArrayWebPlugin&amp;ID=<xsl:value-of select="@controllerID"/>&amp;Name=<xsl:value-of 					select="@controllerName"/>
		</xsl:attribute>-->
				<xsl:variable name="enclosureName">
					<xsl:value-of select="@name"/>
				</xsl:variable>
				<PageTitle>
					<xsl:choose>
						<xsl:when test="@name=''">
							<xsl:choose>
								<xsl:when test="(fans='null') and (tempprobes='null') and (powersupplies='null')">
									<xsl:attribute name="display">
										<xsl:value-of select="$strNoDetailedEnclosure"/>
									</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="display">
										<xsl:value-of select="$strDetailedEnclosureInformation"/>
									</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="@name!=''">

							<xsl:choose>
								<xsl:when test="(fans='null') and (tempprobes='null') and (powersupplies='null')">
									<xsl:attribute name="display">
										<xsl:value-of select="$strNoDetailedInformation"/>
										<xsl:value-of select="@name"/>
									</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="display">
										<xsl:value-of select="$strDetailedInformationFor"/>
										<xsl:value-of select="@name"/>
									</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
					</xsl:choose>
				</PageTitle>
				<!--					<CustomButton>
			<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.am.webplugins.EnclosureInfoWebPlugin&amp;ID=<xsl:value-of select="@ID"/>&amp;Name=<xsl:value-of select="@name"/>&amp;ControllerID=<xsl:value-of select="@controllerID"/>&amp;ControllerName=<xsl:value-of select="@controllerName"/></xsl:attribute>
				</Data>
						</CustomButton>
-->
				<Header>Header</Header>

				<xsl:if test="fans!='null'">
					<xsl:apply-templates mode="fans" select="fans"/>
				</xsl:if>
				<xsl:if test="tempprobes!='null'">
					<xsl:apply-templates mode="tempprobes" select="tempprobes"/>
				</xsl:if>
				<xsl:if test="powersupplies!='null'">
					<xsl:apply-templates mode="powersupplies" select="powersupplies"/>
				</xsl:if>
			</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="Enclosures">
		<OMA skin="modern">
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display">Summary Enclosure Information</xsl:attribute>
				</PageTitle>
				<xsl:if test="Enclosures!='null'">
					<xsl:apply-templates select="DCStorageObject" mode="enclosures"/>
				</xsl:if>
					
			</DataArea>
		</OMA>
	</xsl:template>
	
	<xsl:template match="fans" mode="fans">
		<xsl:choose>
			<xsl:when test="count(DCStorageObject)!=0">
				<TableData name="Fans"><xsl:attribute name="display"><xsl:value-of select="$strFans"/></xsl:attribute>
					<SubHeader>
						<xsl:attribute name="display"><xsl:value-of select="$strFans1"/></xsl:attribute>
					</SubHeader>
					<Header>
						<Data name="Status" editable="Status" align="center" width="75">
							<xsl:attribute name="display"><xsl:value-of select="$strStatus"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strStatus1"/></xsl:attribute>
						</Data>
						<Data name="Name" editable="false"  width="150">
							<xsl:attribute name="display"><xsl:value-of select="$strName"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strName1"/></xsl:attribute>
						</Data>
						<Data name="State" editable="false" width="100">
							<xsl:attribute name="display"><xsl:value-of select="$strState"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strState1"/></xsl:attribute>
						</Data>						
						<Data name="Speed" editable="false">
							<xsl:attribute name="display"><xsl:value-of select="$strSpeed"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSpeed1"/></xsl:attribute>
						</Data>										
					</Header>
					<xsl:apply-templates select="DCStorageObject" mode="faninfo"/>
				</TableData>
			</xsl:when>
			<xsl:otherwise/>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="DCStorageObject" mode="faninfo">
		<Row>
			<Data type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="ObjStatus"/></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="GetState"><xsl:with-param name="state"><xsl:value-of select="ObjState"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest2"/></xsl:attribute>
				<xsl:attribute name="value">
				<xsl:choose>
				<xsl:when test="Value='0'"><xsl:value-of select="$strStopped"/></xsl:when>
				<xsl:when test="Value='4'"><xsl:value-of select="$strSlow"/></xsl:when>
				<xsl:when test="Value='8'"><xsl:value-of select="$strMedium"/></xsl:when>
				<xsl:when test="Value='12'"><xsl:value-of select="$strFast"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="$strUnknown"/></xsl:otherwise>
				</xsl:choose>
				</xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="tempprobes" mode="tempprobes">
		<xsl:choose>
			<xsl:when test="count(DCStorageObject)!=0">
				<TableData name="tempprobes">
					<xsl:attribute name="display"><xsl:value-of select="$strTemperatureProbes"/></xsl:attribute>
					<SubHeader>
						<xsl:attribute name="display"><xsl:value-of select="$strTemperatureProbes1"/></xsl:attribute>
					</SubHeader>
					<xsl:choose>
						<xsl:when test="/Enclosure/@cli='true'">
					<Header>
						<Data  align="center">
							<xsl:attribute name="display"><xsl:value-of select="$strStatus2"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strStatus3"/></xsl:attribute>
						</Data>
						<Data align="left">
							<xsl:attribute name="display"><xsl:value-of select="$strName2"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strName3"/></xsl:attribute>
						</Data>
						<Data align="center">
							<xsl:attribute name="display"><xsl:value-of select="$strState2"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strState3"/></xsl:attribute>
						</Data>
						<Data align="center">
							<xsl:attribute name="display"><xsl:value-of select="$strReading"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strReading1"/></xsl:attribute>
						</Data>						
					<Data align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strMinimumWarningThreshold"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strMinimumWarningThreshold1"/></xsl:attribute>
						<xsl:attribute name="append"><xsl:value-of select="$strWarningThreshold"/></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strMaximumWarningThreshold"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strMaximumWarningThreshold1"/></xsl:attribute>
						<xsl:attribute name="append"><xsl:value-of select="$strWarningThreshold1"/></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strMinimumFailureThreshold"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strMinimumFailureThreshold1"/></xsl:attribute>
						<xsl:attribute name="append"><xsl:value-of select="$strFailureThreshold"/></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strMaximumFailureThreshold"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strMaximumFailureThreshold1"/></xsl:attribute>
						<xsl:attribute name="append"><xsl:value-of select="$strFailureThreshold1"/></xsl:attribute>
					</Data>
						<Data align="center">
							<xsl:attribute name="display"><xsl:value-of select="$strUnits"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUnits1"/></xsl:attribute>
						</Data>					
					</Header>
					</xsl:when>
					<xsl:otherwise>
					<Header>
					<Data name="" width="75"><xsl:attribute name="value"><xsl:value-of select="$str"/></xsl:attribute><xsl:attribute name="display"><xsl:value-of select="$str1"/></xsl:attribute></Data>
					<Data name="" width="150"><xsl:attribute name="value"><xsl:value-of select="$str2"/></xsl:attribute><xsl:attribute name="display"><xsl:value-of select="$str3"/></xsl:attribute></Data>
					<Data name=""><xsl:attribute name="value"><xsl:value-of select="$str4"/></xsl:attribute><xsl:attribute name="display"><xsl:value-of select="$str5"/></xsl:attribute></Data>
					<Data name=""><xsl:attribute name="value"><xsl:value-of select="$str6"/></xsl:attribute><xsl:attribute name="display"><xsl:value-of select="$str7"/></xsl:attribute></Data>
					<Data colspan="2" underlined="true" align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strWarningThreshold2"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strWarningThreshold3"/></xsl:attribute>
					</Data>
					<Data colspan="2" underlined="true" align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strFailureThreshold2"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strFailureThreshold3"/></xsl:attribute>
					</Data>
					<Data name=""><xsl:attribute name="value"><xsl:value-of select="$str8"/></xsl:attribute><xsl:attribute name="display"><xsl:value-of select="$str9"/></xsl:attribute></Data>
				</Header>
					<Header>
						<Data  align="center" width="75">
							<xsl:attribute name="display"><xsl:value-of select="$strStatus4"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strStatus5"/></xsl:attribute>
						</Data>
						<Data align="left" width="150">
							<xsl:attribute name="display"><xsl:value-of select="$strName4"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strName5"/></xsl:attribute>
						</Data>
						<Data align="center">
							<xsl:attribute name="display"><xsl:value-of select="$strState4"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strState5"/></xsl:attribute>
						</Data>
						<Data align="center">
							<xsl:attribute name="display"><xsl:value-of select="$strReading2"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strReading3"/></xsl:attribute>
						</Data>						
					<Data align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strMinimum"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strMinimum1"/></xsl:attribute>
						<xsl:attribute name="append"><xsl:value-of select="$strWarningThreshold4"/></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strMaximum"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strMaximum1"/></xsl:attribute>
						<xsl:attribute name="append"><xsl:value-of select="$strWarningThreshold5"/></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strMinimum2"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strMinimum3"/></xsl:attribute>
						<xsl:attribute name="append"><xsl:value-of select="$strFailureThreshold4"/></xsl:attribute>
					</Data>
					<Data align="center">
						<xsl:attribute name="display"><xsl:value-of select="$strMaximum2"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strMaximum3"/></xsl:attribute>
						<xsl:attribute name="append"><xsl:value-of select="$strFailureThreshold5"/></xsl:attribute>
					</Data>
						<Data align="center">
							<xsl:attribute name="display"><xsl:value-of select="$strUnits2"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUnits3"/></xsl:attribute>
						</Data>					
					</Header>
					</xsl:otherwise>
					</xsl:choose>
					<xsl:apply-templates select="DCStorageObject" mode="tempprobeinfo"/>
				</TableData>
			</xsl:when>
			<xsl:otherwise>
				<TableData name="tempprobes">
					<xsl:attribute name="display"><xsl:value-of select="$strTemperatureProbes2"/></xsl:attribute>
					<SubHeader>
						<xsl:attribute name="display"><xsl:value-of select="$strTemperatureProbes3"/></xsl:attribute>
					</SubHeader>
					
					<Header>
						<Data>
							<xsl:attribute name="value"><xsl:value-of select="$strNoProbesOn"/></xsl:attribute>
						</Data>
					</Header>
				</TableData>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="DCStorageObject" mode="tempprobeinfo">
		<Row>
			<Data type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="ObjStatus"/></xsl:attribute>
			</Data>
			<Data  align="left">
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<Data  align="center">
				<xsl:attribute name="value"><xsl:call-template name="GetState"><xsl:with-param name="state"><xsl:value-of select="ObjState"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
			<Data  align="center">
				<xsl:attribute name="value"><xsl:value-of select="Value"/></xsl:attribute>
			</Data>
			<Data  align="center">
				<xsl:attribute name="value"><xsl:value-of select="LNCThreashold"/></xsl:attribute>
			</Data>
			<Data  align="center">
				<xsl:attribute name="value"><xsl:value-of select="UNCThreashold"/></xsl:attribute>
			</Data>
			<Data  align="center">
				<xsl:attribute name="value"><xsl:value-of select="LCThreashold"/></xsl:attribute>
			</Data>
			<Data  align="center">
				<xsl:attribute name="value"><xsl:value-of select="UCThreashold"/></xsl:attribute>
			</Data>
			<Data  align="center">
				<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="Units='Degrees C'"><xsl:value-of select="$strDegreesC"/></xsl:when>
					<xsl:when test="Units='Degrees F'"><xsl:value-of select="$strDegreesF"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="Units"/></xsl:otherwise>
				</xsl:choose>
				</xsl:attribute>
			</Data>			
		</Row>
	</xsl:template>
	<xsl:template match="powersupplies" mode="powersupplies">
		<xsl:choose>
			<xsl:when test="count(DCStorageObject)!=0">
				<TableData name="powersupplies"><xsl:attribute name="display"><xsl:value-of select="$strPowerSupplies"/></xsl:attribute>
					<SubHeader>
						<xsl:attribute name="display"><xsl:value-of select="$strPowerSupplies1"/></xsl:attribute>
					</SubHeader>
					<Header>
						<Data  align="center" width="75">
							<xsl:attribute name="display"><xsl:value-of select="$strStatus6"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strStatus7"/></xsl:attribute>
						</Data>
						<Data width="150">
							<xsl:attribute name="display"><xsl:value-of select="$strName6"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strName7"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><xsl:value-of select="$strState6"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strState7"/></xsl:attribute>
						</Data>
					</Header>
					<xsl:apply-templates select="DCStorageObject" mode="psupplies"/>
				</TableData>
			</xsl:when>
			<xsl:otherwise/>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="DCStorageObject" mode="psupplies">
	<Row>
			<Data type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="ObjStatus"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:call-template name="GetState"><xsl:with-param name="state"><xsl:value-of select="ObjState"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="GetState">
		<xsl:param name="state"/>
		<xsl:choose>
			<xsl:when test="$state='1'"><xsl:value-of select="$strReady"/></xsl:when>
			<xsl:when test="$state='2'"><xsl:value-of select="$strFailed"/></xsl:when>
			<xsl:when test="$state='4'"><xsl:value-of select="$strOnline"/></xsl:when>
			<xsl:when test="$state='8'"><xsl:value-of select="$strOffline"/></xsl:when>
			<xsl:when test="$state='32'"><xsl:value-of select="$strDegraded"/></xsl:when>
			<xsl:when test="$state='64'"><xsl:value-of select="$strRecovering"/></xsl:when>
			<xsl:when test="$state='1024'"><xsl:value-of select="$strRemoved"/></xsl:when>
			<xsl:when test="$state='16384'"><xsl:value-of select="$strResynching"/></xsl:when>
			<xsl:when test="$state='16388'"><xsl:value-of select="$strOnlineResynching"/></xsl:when>
			<xsl:when test="$state='32768'"><xsl:value-of select="$strRegenerating"/></xsl:when>
			<xsl:when test="$state='32772'"><xsl:value-of select="$strOnlineRegenerating"/></xsl:when>
			<xsl:when test="$state='131072'"><xsl:value-of select="$strDegraded1"/></xsl:when>			
			<xsl:when test="$state='8388608'"><xsl:value-of select="$strRebuilding"/></xsl:when>
			<xsl:when test="$state='33587204'"><xsl:value-of select="$strOnlineRegeneratingFormatting"/></xsl:when>
			<xsl:when test="$state='2147483648'"><xsl:value-of select="$strReconstructing"/></xsl:when>
			<xsl:when test="$state='4294967296'"><xsl:value-of select="$strImportFailed"/></xsl:when>
			<xsl:when test="$state='8589934592'"><xsl:value-of select="$strUnclaimed"/></xsl:when>
			<xsl:when test="$state='268435456'"><xsl:value-of select="$strInitializing"/></xsl:when>
			<xsl:when test="$state='34359738368'"><xsl:value-of select="$strRestartable"/></xsl:when>
			<xsl:when test="$state='68719476736'"><xsl:value-of select="$strCorrupt"/></xsl:when>
			<xsl:when test="$state='137438953472'"><xsl:value-of select="$strPaused"/></xsl:when>
			<xsl:when test="$state='274877906944'"><xsl:value-of select="$strLocked"/></xsl:when>
			<xsl:when test="$state='1099511627776'"><xsl:value-of select="$strNeedEnumerate"/></xsl:when>
			<xsl:when test="$state='2199023255552'"><xsl:value-of select="$strBadDevice"/></xsl:when>
			<xsl:when test="$state='137438969856'"><xsl:value-of select="$strResynchingPaused"/></xsl:when>
			<xsl:when test="$state='549755813888'"><xsl:value-of select="$strNotReady"/></xsl:when>
			<xsl:when test="$state='549755813892'"><xsl:value-of select="$strOnlineUnreadable"/></xsl:when>
			<xsl:when test="$state='1099511644160'"><xsl:value-of select="$strNotRedundantResynching"/></xsl:when>
                        <xsl:when test="$state='4398046511105'"><xsl:value-of select="$strWarning"/></xsl:when>
			<xsl:when test="$state='8796093022212'"><xsl:value-of select="$strPredictiveFailure"/></xsl:when>			
                        <xsl:when test="$state='562949953421312'"><xsl:value-of select="$strBackgroundInit"/></xsl:when>
			<xsl:when test="$state='1125899906842624'"><xsl:value-of select="$strNotInstalled"/></xsl:when>
			<xsl:when test="$state='18014398509481984'"><xsl:value-of select="$strCommunicationLost"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="$strUnknown1"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="DCStorageObject" mode="enclosures">
		<ListData type="custom">
			<Data >
				<xsl:attribute name="display">Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<xsl:if test="Type!='1' or Type='1'">
				<Data>
					<xsl:attribute name="display">EMM Version</xsl:attribute>
					<xsl:attribute name="value">
						<xsl:call-template name="nullpossible">
							<xsl:with-param name="field">
								<xsl:value-of select="AppVer"></xsl:value-of>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display">Product Version</xsl:attribute>
					<xsl:attribute name="value">
						<xsl:call-template name="nullpossible">
							<xsl:with-param name="field">
								<xsl:value-of select="ProductVer"></xsl:value-of>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display">Asset Tag</xsl:attribute>
					<xsl:attribute name="value">
						<xsl:call-template name="nullpossible">
							<xsl:with-param name="field">
								<xsl:value-of select="AssetTag"></xsl:value-of>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display">Service Tag</xsl:attribute>
					<xsl:attribute name="value">
						<xsl:call-template name="nullpossible">
							<xsl:with-param name="field">
								<xsl:value-of select="ServiceTag"></xsl:value-of>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
		</xsl:if>
		</ListData>
	</xsl:template>
	
	<xsl:template name="imagedesc">
		<xsl:if test="ObjStatus='0'">
			<xsl:value-of select="$strOther"/>
		</xsl:if>
		<xsl:if test="ObjStatus='1'">
			<xsl:value-of select="$strUnknown2"/>
		</xsl:if>
		<xsl:if test="ObjStatus='2'">
			<xsl:value-of select="$strOK"/>
		</xsl:if>
		<xsl:if test="ObjStatus='3'">
			<xsl:value-of select="$strNonCritical"/>
		</xsl:if>
		<xsl:if test="ObjStatus='4'">
			<xsl:value-of select="$strCritical"/>
		</xsl:if>
		<xsl:if test="ObjStatus='5'">
			<xsl:value-of select="$strNonRecoverable"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="nullpossible">
		<xsl:param name="field"/>
		<xsl:if test="$field='(null)'">NA
		</xsl:if>
		<xsl:if test="$field!='(null)'">
			<xsl:value-of select="$field"/>
		</xsl:if>
	</xsl:template>

	<xsl:template match="OMAUserRights"/>

<!-- The following template is for PEDiags output file processing -->
<xsl:template match="DataArea">
	<xsl:variable name="tape"><xsl:value-of select="//Controller/DCStorageObject/Name" /></xsl:variable>

	<!--  Set the document title here  -->
	<OMA skin="modern">
		<DataArea>

			<!--  There has to be at least one <Name> tag  -->
			<xsl:choose>
				<xsl:when test="count(//Controller/DCStorageObject) > 0">
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:choose>
							<xsl:when test=" contains($tape,'PV') ">
							Tape Device on Controller 
							</xsl:when>
							<xsl:when test=" contains($tape,'TL') ">
							Tape Device on Controller 
							</xsl:when>
							<xsl:otherwise>
							<xsl:value-of select="$strDetailedEnclosureInformation" />
							</xsl:otherwise>
							</xsl:choose>
							<xsl:value-of select="/*/Controller/@name" />
						</xsl:attribute>
					</PageTitle>
					<xsl:apply-templates select="/*/Controller/DCStorageObject">
					</xsl:apply-templates>
				</xsl:when>
				<xsl:otherwise>
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:value-of select="$strNoDetailedEnclosure" /> 
						</xsl:attribute>
					</PageTitle>
				</xsl:otherwise>
			</xsl:choose>

		</DataArea>
	</OMA>
</xsl:template>

<!--  The following template formats the pediags output to desired format ready to display  -->
<xsl:template match="Controller/DCStorageObject">
<!--  Display tape device info in list format -->
	<ListData type="custom" columnspacing="true">
	
	<Data columnspacing="true" name="Name" editable="false" type="usting">
		<xsl:attribute name="display">
			<xsl:value-of select="$strName" /> 
		</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="Name" /> 
		</xsl:attribute>
	</Data>

	<Data columnspacing="true" name="Status" editable="false" type="usting">
		<xsl:attribute name="display">
			<xsl:value-of select="$strStatus" /> 
		</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="Status" /> 
		</xsl:attribute>
	</Data>
	
	<Data columnspacing="true" name="Firmware" editable="false" type="usting">
		<xsl:attribute name="display">Firmware</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="Firmware" /> 
		</xsl:attribute>
	</Data>
	
	<Data columnspacing="true" name="Descriptor" editable="false" type="usting">
		<xsl:attribute name="display">Device Descriptor</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="Descriptor" /> 
		</xsl:attribute>
	</Data>
	
	<Data columnspacing="true" name="Description" editable="false" type="usting">
		<xsl:attribute name="display">Description</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="Description" /> 
		</xsl:attribute>
	</Data>
	
	<Data columnspacing="true" name="Location" editable="false" type="usting">
		<xsl:attribute name="display">Device Location</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="Location" /> 
		</xsl:attribute>
	</Data>
	
	<Data columnspacing="true" name="ParentLocation" editable="false" type="usting">
		<xsl:attribute name="display">Parent Location</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="ParentLocation" /> 
		</xsl:attribute>
	</Data>

	<Data columnspacing="true" name="Manufacturer" editable="false" type="usting">
		<xsl:attribute name="display">Manufacturer</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="Manufacturer" /> 
		</xsl:attribute>
	</Data>
	
	<Data columnspacing="true" name="SerialNumber" editable="false" type="usting">
		<xsl:attribute name="display">Serial No.</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="SerialNumber" /> 
		</xsl:attribute>
	</Data>

	<Data columnspacing="true" name="ModelNumber" editable="false" type="usting">
		<xsl:attribute name="display">Model Number</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="ModelNumber" /> 
		</xsl:attribute>
	</Data>
	
	<Data columnspacing="true" name="AssetTag" editable="false" type="usting">
		<xsl:attribute name="display">Asset Tag</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="AssetTag" /> 
		</xsl:attribute>
	</Data>

	<xsl:for-each select="Characteristic/Data">
	<Data columnspacing="true" name="Data" editable="false" type="usting">
		<xsl:attribute name="display">
			<xsl:value-of select="@name" />
		</xsl:attribute>
		<xsl:attribute name="value">
			<xsl:value-of select="@value" />
		</xsl:attribute>
	</Data>
	</xsl:for-each>

	</ListData>

</xsl:template>
</xsl:stylesheet>
