<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="/">
	<xsl:if test="count(//OMA/CLIMsgID) > 0">
		<OMA>
			<SMStatus>-1</SMStatus>
		</OMA>
	</xsl:if>
	<xsl:apply-templates select="OMA/Disks"/>
</xsl:template>
	<xsl:template match="Disks">
	    <OMA skin="modern">
		<DataArea>
		<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strOSDisks"/></xsl:attribute>
				<xsl:choose>
					<xsl:when test="/OMA/@cli = 'true'">		
						<xsl:attribute name="status"><xsl:value-of select="//Containers/DCStorageObject[Name='Disks']/ObjStatus" /></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="status"><xsl:value-of select="//Component/@status" /></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="count(//DCStorageObject)!=0">
					<TableData columnspacing="true">
						<Header>
							<Data name="ID" editable="false" tyoe="usting" ignoreonweb="true">
								<xsl:attribute name="display"><xsl:value-of select="$strID"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strID1"/></xsl:attribute>
							</Data>
							<Data  align="center" name="Status" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strStatus"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strStatus1"/></xsl:attribute>
							</Data>
							<Data name="Name"  editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strName"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strName1"/></xsl:attribute>
							</Data>			
							<Data name="State" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strState"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strState1"/></xsl:attribute>
							</Data>
							<Data name="Type" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strType"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strType1"/></xsl:attribute>
							</Data>
							<Data name="Vendor" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strVendor"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strVendor1"/></xsl:attribute>
							</Data>							
							<Data name="Capacity" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strCapacity"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strCapacity1"/></xsl:attribute>
							</Data>				
							<Data name="Unallocated Space" editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$strUnallocatedSpace"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strUnallocatedSpace1"/></xsl:attribute>
							</Data>					
						</Header>
						<xsl:apply-templates select="DCStorageObject">
							<xsl:sort select="Name" order="ascending"/>
						</xsl:apply-templates>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<TableData name="VOLUMES">
					  			<xsl:attribute name="display"><xsl:value-of select="$strDisks"/></xsl:attribute>

						<Header>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="$strNoOSDisks"/></xsl:attribute>
							</Data>
						</Header>
					</TableData>
				</xsl:otherwise>
			</xsl:choose>
	</DataArea>
	</OMA>
	</xsl:template>
	<xsl:template match="DCStorageObject">
		<Row>
			<Data name="Test" editable="false" type="usting" ignoreonweb="true"><xsl:attribute name="display"><xsl:value-of select="$strTest"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ObjID"/></xsl:attribute>
			</Data>
			<Data type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="ObjStatus"/></xsl:attribute>
			</Data>
			<Data editable="false" type="usting" link="true">
				<xsl:attribute name="name"><xsl:value-of select="ObjID"/></xsl:attribute>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.am.webplugins.DiskInfoWebPlugin&amp;ID=<xsl:value-of select="ObjID"/>&amp;Name=<xsl:value-of select="Name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="GetState"><xsl:with-param name="state"><xsl:value-of select="ObjState"/></xsl:with-param></xsl:call-template><xsl:if test="Signature='0'"><xsl:value-of select="$strNoDiskSignature"/></xsl:if></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest2"/></xsl:attribute>
				<xsl:attribute name="value">
				<xsl:call-template name="SCSI-TYPE">
				</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest3"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Vendor"/></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest4"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="DecimalSep"><xsl:with-param name="Size"><xsl:value-of select="Length"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest5"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="DecimalSep"><xsl:with-param name="Size"><xsl:value-of select="FreeSpace"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="SCSI-TYPE">
			<xsl:choose>
				<xsl:when test="Bus=1"><xsl:value-of select="$strSCSI"/></xsl:when>
				<xsl:when test="Bus=2"><xsl:value-of select="$strIDE"/></xsl:when>
				<xsl:when test="Bus=64"><xsl:value-of select="$strSATA"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="$strUnknown"/></xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$strXsltextPortxsltext"/><xsl:value-of select="Port"/><xsl:value-of select="$strXsltextIDxsltext"/><xsl:value-of select="ID"/><xsl:value-of select="$strXsltextLUNxsltext"/><xsl:value-of select="LUN"/><xsl:text>)</xsl:text>
	</xsl:template>
	<xsl:template name="GetState">
		<xsl:param name="state"/>
		<xsl:choose>
			<xsl:when test="$state='1'"><xsl:value-of select="$strReady"/></xsl:when>
			<xsl:when test="$state='2'"><xsl:value-of select="$strFailed"/></xsl:when>
			<xsl:when test="$state='4'"><xsl:value-of select="$strOnline"/></xsl:when>
			<xsl:when test="$state='8'"><xsl:value-of select="$strOffline"/></xsl:when>
			<xsl:when test="$state='32'"><xsl:value-of select="$strDegraded"/></xsl:when>
			<xsl:when test="$state='64'"><xsl:value-of select="$strRecovering"/></xsl:when>
			<xsl:when test="$state='1024'"><xsl:value-of select="$strRemoved"/></xsl:when>
			<xsl:when test="$state='16384'"><xsl:value-of select="$strResynching"/></xsl:when>
			<xsl:when test="$state='16388'"><xsl:value-of select="$strOnlineResynching"/></xsl:when>
			<xsl:when test="$state='32768'"><xsl:value-of select="$strRegenerating"/></xsl:when>
			<xsl:when test="$state='32772'"><xsl:value-of select="$strOnlineRegenerating"/></xsl:when>
			<xsl:when test="$state='131072'"><xsl:value-of select="$strDegraded1"/></xsl:when>			
			<xsl:when test="$state='8388608'"><xsl:value-of select="$strRebuilding"/></xsl:when>
			<xsl:when test="$state='33587204'"><xsl:value-of select="$strOnlineRegeneratingFormatting"/></xsl:when>
			<xsl:when test="$state='2147483648'"><xsl:value-of select="$strReconstructing"/></xsl:when>
			<xsl:when test="$state='4294967296'"><xsl:value-of select="$strImportFailed"/></xsl:when>
			<xsl:when test="$state='8589934592'"><xsl:value-of select="$strUnclaimed"/></xsl:when>
			<xsl:when test="$state='268435456'"><xsl:value-of select="$strInitializing"/></xsl:when>
			<xsl:when test="$state='34359738368'"><xsl:value-of select="$strRestartable"/></xsl:when>
			<xsl:when test="$state='68719476736'"><xsl:value-of select="$strCorrupt"/></xsl:when>
			<xsl:when test="$state='137438953472'"><xsl:value-of select="$strPaused"/></xsl:when>
			<xsl:when test="$state='274877906944'"><xsl:value-of select="$strLocked"/></xsl:when>
			<xsl:when test="$state='1099511627776'"><xsl:value-of select="$strNeedEnumerate"/></xsl:when>
			<xsl:when test="$state='2199023255552'"><xsl:value-of select="$strBadDevice"/></xsl:when>
			<xsl:when test="$state='137438969856'"><xsl:value-of select="$strResynchingPaused"/></xsl:when>
			<xsl:when test="$state='549755813888'"><xsl:value-of select="$strNotReady"/></xsl:when>
			<xsl:when test="$state='549755813892'"><xsl:value-of select="$strOnlineUnreadable"/></xsl:when>
			<xsl:when test="$state='1099511644160'"><xsl:value-of select="$strNotRedundantResynching"/></xsl:when>
                        <xsl:when test="$state='4398046511105'"><xsl:value-of select="$strWarning"/></xsl:when>
			<xsl:when test="$state='8796093022212'"><xsl:value-of select="$strPredictiveFailure"/></xsl:when>			
                        <xsl:when test="$state='562949953421312'"><xsl:value-of select="$strBackgroundInit"/></xsl:when>
			<xsl:when test="$state='1125899906842624'"><xsl:value-of select="$strNotInstalled"/></xsl:when>
			<xsl:when test="$state='18014398509481984'"><xsl:value-of select="$strCommunicationLost"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="$strUnknown1"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="DecimalSep">
		<xsl:param name="Size"/>
			<xsl:variable name="formatval"><xsl:value-of select="format-number(($Size div (1024*1024*1024)),'#,##0.00')"/></xsl:variable>
			<xsl:variable name="univdecsep">
				<xsl:choose>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.;,</xsl:when>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,;.</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="localdecsep"><xsl:value-of select="$str"/></xsl:variable>
			<xsl:value-of select="translate($formatval,$univdecsep,$localdecsep)"/><xsl:value-of select="$strXsltextGBxsltext"/>
	</xsl:template>	
	<xsl:template match="OMAUserRights"/>
	<xsl:template match="*"/>
</xsl:stylesheet>
