<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/">
	    <OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="status"><xsl:value-of select="//Containers/DCStorageObject[Name='Arrays']/ObjStatus" /></xsl:attribute>
				<xsl:attribute name="display"><xsl:value-of select="$strArraySubsystems"/></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="count(//Controllers/DCStorageObject)!=0">
					<xsl:apply-templates select="//Controllers/DCStorageObject"/>
				</xsl:when>
				<xsl:otherwise>
					<TableData name="ARRAYDISKS" >
						<xsl:attribute name="display"><xsl:value-of select="$strControllers"/></xsl:attribute>
						<Header>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="$strNoRAIDControllers"/></xsl:attribute>
							</Data>	
						</Header>
					</TableData>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="Controllers/DCStorageObject">
		<xsl:variable name="ControllerName">
			<xsl:value-of select="Name"/>
		</xsl:variable>
		<ComboData>
		<xsl:attribute name="name">Controller <xsl:call-template name="index"><xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param></xsl:call-template></xsl:attribute>
		<xsl:attribute name="display"><xsl:value-of select="$strController"/><xsl:call-template name="index"><xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param></xsl:call-template></xsl:attribute>
		<ListData>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strController1"/><xsl:call-template name="index"><xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param></xsl:call-template></xsl:attribute>
				<xsl:attribute name="status"><xsl:value-of select="ObjStatus" /></xsl:attribute>
			</SubHeader>
				<Data  ignoreonweb="true" align="left"><xsl:attribute name="display"><xsl:value-of select="$strID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="ObjID"/></xsl:attribute>
				</Data>
				<Data link="true" align="left"><xsl:attribute name="display"><xsl:value-of select="$strName"/></xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="ObjID"/></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.am.webplugins.ArrayWebPlugin&amp;ID=<xsl:value-of select="ObjID"/>&amp;Name=<xsl:value-of select="Name"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				</Data>
				<Data align="left"><xsl:attribute name="display"><xsl:value-of select="$strState"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:call-template name="GetState"><xsl:with-param name="state"><xsl:value-of select="ObjState"/></xsl:with-param></xsl:call-template></xsl:attribute>
				</Data>
				<Data align="left">
					<xsl:attribute name="display"><xsl:value-of select="$strFirmwareVersion"/></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="FirmwareVer = '(null)' "><xsl:value-of select="$strNoValue"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="FirmwareVer"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
	
		</ListData>
		<xsl:choose>
			<xsl:when test="count(//VDisk[@controller=$ControllerName]//DCStorageObject)!=0">
				<xsl:apply-templates select="//VDisk[@controller=$ControllerName]" mode="VDisk">
					<xsl:with-param name="ControllerName"><xsl:value-of select="$strController2"/><xsl:call-template name="index"><xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param></xsl:call-template></xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
		</xsl:choose>
		</ComboData>
	</xsl:template>
	<xsl:template match="VDisk" mode="VDisk">
		<xsl:param name="ControllerName"/>
		<TableData columnspacing="true">
			<xsl:attribute name="name">VDisk<xsl:call-template name="index"><xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param></xsl:call-template></xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="$strVirtualDisks"/></xsl:attribute>
			<SubHeader>
				<xsl:attribute name="display"><xsl:value-of select="$strVirtualDisksOn"/><xsl:value-of select="$ControllerName"/></xsl:attribute>
			</SubHeader>
			<Header>
				<Data  align="center" name="ID" editable="false" tyoe="usting" ignoreonweb="true">
					<xsl:attribute name="display"><xsl:value-of select="$strID1"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strID2"/></xsl:attribute>
				</Data>
				<Data  align="center" name="Status" editable="false" type="usting">
					<xsl:attribute name="display"><xsl:value-of select="$strStatus"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strStatus1"/></xsl:attribute>
				</Data>
				<Data name="Name"  editable="false" type="usting">
					<xsl:attribute name="display"><xsl:value-of select="$strName1"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strName2"/></xsl:attribute>
				</Data>			
				<Data name="State" editable="false" type="usting">
					<xsl:attribute name="display"><xsl:value-of select="$strState1"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strState2"/></xsl:attribute>
				</Data>	
				<Data name="Read Cache"  editable="false" type="usting">
					<xsl:attribute name="display"><xsl:value-of select="$strReadCache"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strReadCache1"/></xsl:attribute>
				</Data>				
				<Data name="Write Cache"  editable="false" type="usting">
					<xsl:attribute name="display"><xsl:value-of select="$strWriteCache"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strWriteCache1"/></xsl:attribute>
				</Data>		
				<Data name="Cache Policy"  editable="false" type="usting">
					<xsl:attribute name="display"><xsl:value-of select="$strCachePolicy"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strCachePolicy1"/></xsl:attribute>
				</Data>
				<Data name="Layout" editable="false" type="usting">
					<xsl:attribute name="display"><xsl:value-of select="$strLayout"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strLayout1"/></xsl:attribute>
				</Data>
				<Data name="Size" editable="false" type="usting">
					<xsl:attribute name="display"><xsl:value-of select="$strSize"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strSize1"/></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="DCStorageObject" mode="virtualinfo"/>
		</TableData>
	</xsl:template>
	<xsl:template match="DCStorageObject" mode="virtualinfo">
		<Row>
			<Data name="Test" editable="false" type="usting" ignoreonweb="true"><xsl:attribute name="display"><xsl:value-of select="$strTest"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ObjID"></xsl:value-of></xsl:attribute>
			</Data>
			<Data type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="ObjStatus" /></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting" link="true"><xsl:attribute name="display"><xsl:value-of select="$strTest1"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest2"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="GetState"><xsl:with-param name="state"><xsl:value-of select="ObjState"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest3"/></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="ReadPolicy='1'"><xsl:value-of select="$strEnabledReadAhead"/></xsl:when>
						<xsl:when test="ReadPolicy='2'"><xsl:value-of select="$strDisabled"/></xsl:when>
						<xsl:when test="ReadPolicy='3'"><xsl:value-of select="$strEnabledReadAheadAdaptive"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="$strNA"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest4"/></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="WritePolicy='1'"><xsl:value-of select="$strWriteBackEnabled"/></xsl:when>
						<xsl:when test="WritePolicy='2'"><xsl:value-of select="$strWriteThroughDisabled"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="$strNA1"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest5"/></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="CachePolicy='1'"><xsl:value-of select="$strDirectIO"/></xsl:when>
						<xsl:when test="CachePolicy='2'"><xsl:value-of select="$strCacheIO"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="$strNA2"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest6"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:choose>
					<xsl:when test="Layout='1'"><xsl:value-of select="$strConcatenated"/></xsl:when>
					<xsl:when test="Layout='2'">RAID 0</xsl:when>
					<xsl:when test="Layout='4'">RAID 1</xsl:when>
					<xsl:when test="Layout='8'">RAID 2</xsl:when>
					<xsl:when test="Layout='16'">RAID 3</xsl:when>
					<xsl:when test="Layout='32'">RAID 4</xsl:when>
					<xsl:when test="Layout='64'">RAID 5</xsl:when>
					<xsl:when test="Layout='128'">RAID 6</xsl:when>
					<xsl:when test="Layout='256'">RAID 7</xsl:when>
					<xsl:when test="Layout='512'">RAID 10</xsl:when>					
					<xsl:when test="Layout='1024'">RAID 30</xsl:when>										
					<xsl:when test="Layout='2048'">RAID 50</xsl:when>	
					<xsl:otherwise><xsl:value-of select="$strUnknown"/></xsl:otherwise>					
				</xsl:choose></xsl:attribute>	
			</Data>
			<Data name="Test" editable="false" type="usting"><xsl:attribute name="display"><xsl:value-of select="$strTest7"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:call-template name="DecimalSep"><xsl:with-param name="Size"><xsl:value-of select="Size"/></xsl:with-param></xsl:call-template></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="GetState">
		<xsl:param name="state"/>
		<xsl:choose>
			<xsl:when test="$state='1'"><xsl:value-of select="$strReady"/></xsl:when>
			<xsl:when test="$state='2'"><xsl:value-of select="$strFailed"/></xsl:when>
			<xsl:when test="$state='4'"><xsl:value-of select="$strOnline"/></xsl:when>
			<xsl:when test="$state='8'"><xsl:value-of select="$strOffline"/></xsl:when>
			<xsl:when test="$state='32'"><xsl:value-of select="$strDegraded"/></xsl:when>
			<xsl:when test="$state='64'"><xsl:value-of select="$strRecovering"/></xsl:when>
			<xsl:when test="$state='1024'"><xsl:value-of select="$strRemoved"/></xsl:when>
			<xsl:when test="$state='16384'"><xsl:value-of select="$strResynching"/></xsl:when>
			<xsl:when test="$state='16388'"><xsl:value-of select="$strOnlineResynching"/></xsl:when>
			<xsl:when test="$state='32768'"><xsl:value-of select="$strRegenerating"/></xsl:when>
			<xsl:when test="$state='32772'"><xsl:value-of select="$strOnlineRegenerating"/></xsl:when>
			<xsl:when test="$state='131072'"><xsl:value-of select="$strDegraded1"/></xsl:when>			
			<xsl:when test="$state='8388608'"><xsl:value-of select="$strRebuilding"/></xsl:when>
			<xsl:when test="$state='33587204'"><xsl:value-of select="$strOnlineRegeneratingFormatting"/></xsl:when>
			<xsl:when test="$state='2147483648'"><xsl:value-of select="$strReconstructing"/></xsl:when>
			<xsl:when test="$state='4294967296'"><xsl:value-of select="$strImportFailed"/></xsl:when>
			<xsl:when test="$state='8589934592'"><xsl:value-of select="$strUnclaimed"/></xsl:when>
			<xsl:when test="$state='268435456'"><xsl:value-of select="$strInitializing"/></xsl:when>
			<xsl:when test="$state='34359738368'"><xsl:value-of select="$strRestartable"/></xsl:when>
			<xsl:when test="$state='68719476736'"><xsl:value-of select="$strCorrupt"/></xsl:when>
			<xsl:when test="$state='137438953472'"><xsl:value-of select="$strPaused"/></xsl:when>
			<xsl:when test="$state='274877906944'"><xsl:value-of select="$strLocked"/></xsl:when>
			<xsl:when test="$state='1099511627776'"><xsl:value-of select="$strNeedEnumerate"/></xsl:when>
			<xsl:when test="$state='2199023255552'"><xsl:value-of select="$strBadDevice"/></xsl:when>
			<xsl:when test="$state='137438969856'"><xsl:value-of select="$strResynchingPaused"/></xsl:when>
			<xsl:when test="$state='549755813888'"><xsl:value-of select="$strNotReady"/></xsl:when>
			<xsl:when test="$state='549755813892'"><xsl:value-of select="$strOnlineUnreadable"/></xsl:when>
			<xsl:when test="$state='1099511644160'"><xsl:value-of select="$strNotRedundantResynching"/></xsl:when>
                        <xsl:when test="$state='4398046511105'"><xsl:value-of select="$strWarning"/></xsl:when>
			<xsl:when test="$state='8796093022212'"><xsl:value-of select="$strPredictiveFailure"/></xsl:when>			
                        <xsl:when test="$state='562949953421312'"><xsl:value-of select="$strBackgroundInit"/></xsl:when>
			<xsl:when test="$state='1125899906842624'"><xsl:value-of select="$strNotInstalled"/></xsl:when>
			<xsl:when test="$state='18014398509481984'"><xsl:value-of select="$strCommunicationLost"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="$strUnknown1"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="DecimalSep">
		<xsl:param name="Size"/>
			<xsl:variable name="formatval"><xsl:value-of select="format-number(($Size div (1024*1024*1024)),'#,##0.00')"/></xsl:variable>
			<xsl:variable name="univdecsep">
				<xsl:choose>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = '.'">.;,</xsl:when>
					<xsl:when test="substring(format-number(1.1,'##0.0'), 2, 1) = ','">,;.</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="localdecsep"><xsl:value-of select="$str"/></xsl:variable>
			<xsl:value-of select="translate($formatval,$univdecsep,$localdecsep)"/><xsl:value-of select="$strXsltextGBxsltext"/>
	</xsl:template>
	<xsl:template name="replace-substring">
		<xsl:param name="text" />
		<xsl:param name="from" />
		<xsl:param name="to" />
		<xsl:choose>
			<xsl:when test="contains($text, $from)">
				<xsl:value-of select="substring-before ($text, $from)" />
				<xsl:copy-of select="$to" />
				<xsl:call-template name="replace-substring">
					<xsl:with-param name="text" select="substring-after($text, $from)" />
					<xsl:with-param name="from" select="$from" />
					<xsl:with-param name="to" select="$to" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$text" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="index">
		<xsl:param name="position"/>
		<xsl:value-of select="number($position)-1"/>
	</xsl:template>
	
	<xsl:template match="OMAUserRights"/>
	<xsl:template match="*"/>
</xsl:stylesheet>
