<!---<?xml version="1.0" encoding="UTF-8"?> -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output omit-xml-declaration="yes" method="xml" />
   <xsl:strip-space elements="*" />

  <xsl:template match="/">
      <xsl:apply-templates select="DataArea/Controller">
      </xsl:apply-templates>
      <xsl:apply-templates select="OMA/Controllers">
      </xsl:apply-templates>
	  <xsl:apply-templates select="OMA/SMStatus">
      </xsl:apply-templates>
   </xsl:template>

  <xsl:template match="DataArea/Controller">
  <xsl:call-template name="ControllerType">
	<xsl:with-param name="name">
		<xsl:value-of select="@name"/>
	</xsl:with-param>
  </xsl:call-template>
      
  </xsl:template>

  <xsl:template match="OMA/Controllers">
  <xsl:call-template name="ControllerType">
	<xsl:with-param name="name">
		<xsl:value-of select="DCStorageObject/Name"/>
	</xsl:with-param>
  </xsl:call-template>

  </xsl:template>

<!-- Returns the controller type string -->
  <xsl:template name="ControllerType">
	<xsl:param name="name"/>
	<xsl:choose>
		<xsl:when test=" contains($name,'1020') ">1020</xsl:when>
		<xsl:when test=" contains($name,'1030') ">1030</xsl:when>
		<xsl:when test=" contains($name,'160') ">160</xsl:when>
		<xsl:when test=" contains($name,'Ultra2') ">Ultra2</xsl:when>
		<xsl:when test=" contains($name,'Ultra') ">Ultra</xsl:when>
		<xsl:otherwise/>
	</xsl:choose>
  </xsl:template>

  <xsl:template match="OMA/SMStatus" />

</xsl:stylesheet>

