<!---<?xml version="1.0" encoding="UTF-8"?> -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml" omit-xml-declaration="yes" standalone="yes" />
   <xsl:strip-space elements="*" />
   

   <xsl:template match="SMBIOS">
       <!-- <xsl:attribute name="cli">true</xsl:attribute> -->
		       <xsl:call-template name="DIMMS" />
       <SMStatus>0</SMStatus>
   </xsl:template>


   <xsl:template name="DIMMS" match="Memory_Device">
          <xsl:for-each select="Memory_Device">
            <xsl:if test="string-length(Size) > 3">
             <FRUSMBIOSObj>
  				<FRUState>0</FRUState> 
				<DevName>
					<xsl:value-of select="Device_Locator" />
				</DevName>             
			    <SerialNumber>
					<xsl:value-of select="Serial_Number" />
				</SerialNumber>
  				<AssetTag> 
					<xsl:value-of select="Asset_Tag" />
				</AssetTag> 
				<PartNumber>
        			<xsl:value-of select="Part_Number"/>
				</PartNumber> 
			    	<Manufacturer>
					(<xsl:value-of select="Manufacturer" />)
  				</Manufacturer> 
  				<xsl:if test="Asset_Tag != ''">
					  <Manufacture_Date>
						  <xsl:value-of select="substring(Asset_Tag,3,2)"/>-<xsl:value-of select="substring(Asset_Tag,5,2)"/>
					  </Manufacture_Date>
  				</xsl:if>
             </FRUSMBIOSObj>
             </xsl:if>
           </xsl:for-each>
   </xsl:template>

   <xsl:template match="*" />
</xsl:stylesheet>

