<?xml version="1.0" encoding="US-ASCII"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml"  omit-xml-declaration="yes" standalone="yes" />
   <xsl:strip-space elements="*" />
   

   <xsl:template match="OMA">
       <!-- <xsl:attribute name="cli">true</xsl:attribute> -->
				  <xsl:for-each select="FRUIPMIObj">
					   <xsl:call-template name="System_Board" />
				</xsl:for-each>
				<xsl:for-each select="FRUBoardInfoObj">
					   <xsl:call-template name="Board_Info" />
				</xsl:for-each>
   </xsl:template>
   
   <xsl:template name="System_Board" match="FRUIPMIObj">
		<FRUIPMIObj>
               <xsl:attribute name="instance"><xsl:value-of select="@instance"/></xsl:attribute>
               <xsl:attribute name="ons"><xsl:value-of select="@ons"/></xsl:attribute>
			  <FRUInfoSrcStd><xsl:value-of select="FRUInfoSrcStd"/></FRUInfoSrcStd>
			  <FRUState><xsl:value-of select="FRUState"/></FRUState>
			  <sdrRecID><xsl:value-of select="sdrRecID"/></sdrRecID>
			  <devAccAddr><xsl:value-of select="devAccAddr"/></devAccAddr>
			  <FRUDevIDSlaveAddr><xsl:value-of select="FRUDevIDSlaveAddr"/></FRUDevIDSlaveAddr>
			  <FRUDevType><xsl:value-of select="FRUDevType"/></FRUDevType>
			  <accessLUN><xsl:value-of select="accessLUN"/></accessLUN>
			  <busID><xsl:value-of select="busID"/></busID>
			  <channelNum><xsl:value-of select="channelNum"/></channelNum>
			  <FRUEntityID><xsl:value-of select="FRUEntityID"/></FRUEntityID>
			  <FRUEntityInstance><xsl:value-of select="FRUEntityInstance"/></FRUEntityInstance>
			  <DevStr><xsl:value-of select="DevStr"/></DevStr>
			  <DevName><xsl:value-of select="DevName"/></DevName>
         </FRUIPMIObj>
   </xsl:template>
   
   <xsl:template name="Board_Info" match="FRUBoardInfoObj">
          <FRUBoardInfoObj >
               <xsl:attribute name="instance"><xsl:value-of select="@instance"/></xsl:attribute>
               <xsl:attribute name="ons"><xsl:value-of select="@ons"/></xsl:attribute>
			  <sdrRecID><xsl:value-of select="sdrRecID"/></sdrRecID>
			  <formatVersion><xsl:value-of select="formatVersion"/></formatVersion>
			  <areaLen><xsl:value-of select="areaLen"/></areaLen>
			  <langCode><xsl:value-of select="langCode"/></langCode>
			  <areaChecksum><xsl:value-of select="areaChecksum"/></areaChecksum>
			  <manufDateTime><xsl:value-of select="manufDateTime"/></manufDateTime>
			  <manufUTCTime><xsl:value-of select="manufUTCTime"/></manufUTCTime>
			  <BoardManuf><xsl:value-of select="BoardManuf"/></BoardManuf>
			  <BoardProdName><xsl:value-of select="BoardProdName"/></BoardProdName>
			  <BoardSerNum><xsl:value-of select="BoardSerNum"/></BoardSerNum>
			  <BoardPartNum><xsl:value-of select="BoardPartNum"/></BoardPartNum>
			  <RevisionLevel><xsl:value-of select="RevisionLevel"/></RevisionLevel>
			  <FRUFileID><xsl:value-of select="FRUFileID"/></FRUFileID>
			  <ManufDateTimeStr><xsl:value-of select="ManufDateTimeStr"/></ManufDateTimeStr>
         </FRUBoardInfoObj >
	</xsl:template>
	
</xsl:stylesheet>
