<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml" />
   <xsl:strip-space elements="*" />
   
   <xsl:template match="/OMA">
      <xsl:choose>
     	<xsl:when test="//ArrayDisks/DCStorageObject/BusProtocol = '8'">
        	<xsl:call-template name="ADisk"></xsl:call-template>
	</xsl:when>
     	<xsl:when test="//ArrayDisks/DCStorageObject/BusProtocol = '1'">
		<OMA>
		<SMStatus>-1</SMStatus>
                </OMA>
	</xsl:when>
        <xsl:otherwise>
		<OMA>
		<SMStatus>-1</SMStatus>
                </OMA>
        </xsl:otherwise>
     </xsl:choose>
   </xsl:template>

   <xsl:template name="ADisk" match="//OMA/ArrayDisks">
	   <OMA>
	   <xsl:if test="count(//DCStorageObject) &lt; 0">
			<SMStatus>-1</SMStatus>
	   </xsl:if>
	   <xsl:if test="count(//DCStorageObject) &gt; '0' ">
		  <ArrayDisks>
		     <xsl:attribute name="ControllerName"><xsl:value-of select="ArrayDisks/@ControllerName"/></xsl:attribute>
		     <xsl:attribute name="VirtualDiskName"><xsl:value-of select="ArrayDisks/@VirtualDiskName"/></xsl:attribute>
		     <xsl:attribute name="ChannelName"><xsl:value-of select="ArrayDisks/@ChannelName"/></xsl:attribute>
		     <xsl:attribute name="ArrayDiskName"><xsl:value-of select="ArrayDisks/@ArrayDiskName"/></xsl:attribute>
		     <xsl:attribute name="PCISlotNo"><xsl:value-of select="ArrayDisks/@PCISlotNo"/></xsl:attribute>
  		  <xsl:for-each select="ArrayDisks/DCStorageObject">
		        <xsl:call-template name="OneController"></xsl:call-template>
			</xsl:for-each>
		<SMStatus>0</SMStatus>
		</ArrayDisks>
		</xsl:if>
	</OMA>
   </xsl:template>

   <xsl:template match="OMA/SMStatus"  ></xsl:template>
	
   <xsl:template name="OneController" match="ArrayDisks/DCStorageObject">
      <xsl:choose>
	   <xsl:when test="EnclosureID='0'">
	   <DCStorageObject>
  		<ObjID>
				  	<xsl:value-of select="ObjID"/> 
		</ObjID>
		<ObjType>
				  	<xsl:value-of select="ObjType"/> 
		</ObjType>

		<AttributesMask>
				<xsl:value-of select="AttributesMask"/>
		</AttributesMask>

		<MasterMethodMask>
				<xsl:value-of select="MasterMethodMask"/>
		</MasterMethodMask>

		<CurrentMethodMask>
				<xsl:value-of select="CurrentMethodMask"/>
		</CurrentMethodMask>

		<ObjState>
				  	<xsl:value-of select="ObjState"/> 
		</ObjState>
		<ObjStatus>
				  	<xsl:value-of select="ObjStatus"/> 
		</ObjStatus>
		<ControllerNum>
				  	<xsl:value-of select="ControllerNum"/> 
		</ControllerNum>
		<Channel>
				  	<xsl:value-of select="Channel"/> 
		</Channel>
		<EnclosureID>
				  	<xsl:value-of select="EnclosureID"/> 
		</EnclosureID>
	    <PartNo>
			<xsl:value-of select="PartNo"/>
		</PartNo>
	    <Length>
		   <xsl:value-of select="Length"/>
		</Length>
        <GlobalNo>
			<xsl:value-of select="GlobalNo"/>
		</GlobalNo>
        <ProductID>
			<xsl:value-of select="ProductID"/>
		</ProductID>
	    <UsedSpace>
			<xsl:value-of select="UsedSpace"/>
		</UsedSpace>
        <ContiguousFree>
			<xsl:value-of select="ContiguousFree"/>
		</ContiguousFree>
        <FreeSpace>
			<xsl:value-of select="FreeSpace"/>
		</FreeSpace>
        <Vendor>
			<xsl:value-of select="Vendor"/>
		</Vendor>
        <Revision>
			<xsl:value-of select="Revision"/>
		</Revision>
        <DeviceSerialNumber>
			<xsl:value-of select="DeviceSerialNumber"/>
		</DeviceSerialNumber>
        <NumOfPartition>
			<xsl:value-of select="NumOfPartition"/>
		</NumOfPartition>
        <Nexus>
			<xsl:value-of select="Nexus"/>
		</Nexus>
        <BusProtocol>
			<xsl:value-of select="BusProtocol"/>
		</BusProtocol>
        <SASAddress>
			<xsl:value-of select="SASAddress"/>
		</SASAddress>
        <DeviceID>
			<xsl:value-of select="DeviceID"/>
		</DeviceID>
        <TargetID>
			<xsl:value-of select="TargetID"/>
		</TargetID>
        <DiskProductVendor>
			<xsl:value-of select="DiskProductVendor"/>
		</DiskProductVendor>
        <ManufactureDay>
			<xsl:value-of select="ManufactureDay"/>
		</ManufactureDay>
        <ManufactureWeek>
			<xsl:value-of select="ManufactureWeek"/>
		</ManufactureWeek>
        <ManufactureYear>
			<xsl:value-of select="ManufactureYear"/>
		</ManufactureYear>
        <EnclosureIndex>
			<xsl:value-of select="EnclosureIndex"/>
		</EnclosureIndex>
        <ArraySize>
			<xsl:value-of select="ArraySize"/>
		</ArraySize>
        <TreeStatus>
			<xsl:value-of select="TreeStatus"/>
		</TreeStatus>

	   </DCStorageObject>
        </xsl:when>
	   </xsl:choose>
      </xsl:template>
   
</xsl:stylesheet>

