<!---<?xml version="1.0" encoding="UTF-8"?> -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml" />
   <xsl:strip-space elements="*" />
   

   <xsl:template match="SMBIOS">
   <OMA>
       <xsl:attribute name="cli">true</xsl:attribute>
		       <xsl:call-template name="System_Board" />
		       <xsl:call-template name="DIMMS" />
		<SMStatus>0</SMStatus>
  </OMA>        
   </xsl:template>

   <xsl:template name="System_Board" match="Base_Board_Information">
       <!--Yes there are 2 levels of OMA -->
		<FRUIPMIObj>
                 <xsl:attribute name="instance">1</xsl:attribute>
			<DevName>System MotherBoard</DevName>
                        <FRUState>2</FRUState>
                </FRUIPMIObj>
                 <FRUBoardInfoObj >
                    <xsl:attribute name="ons">Root/MainSystemChassis/FRUIPMIObj:1/FRUBoardInfoObj
                    </xsl:attribute>
 	 				<BoardManuf>
 	 				   <xsl:value-of select="Base_Board_Information/Manufacturer"/>
 	 				</BoardManuf> 
 	 				<BoardProdName>
					  <xsl:value-of select="System_Information/Product_Name" />
					</BoardProdName>
  					<BoardSerNum>
		        	<xsl:choose>
		        		<xsl:when test="substring(Base_Board_Information/Serial_Number,1,2) = '..'">
		        		     <xsl:value-of select="substring(Base_Board_Information/Serial_Number,3,14)" />
		        		</xsl:when>
		        		<xsl:otherwise>
		        		     <xsl:value-of select="substring(Base_Board_Information/Serial_Number,1,14)" />
		        		</xsl:otherwise>
		        	</xsl:choose>	
  					</BoardSerNum> 
					<BoardPartNum>
					  <xsl:value-of select="Base_Board_Information/Product" />
					</BoardPartNum> 
					<RevisionLevel>
					  <xsl:value-of select="Base_Board_Information/Version" />
					</RevisionLevel> 
             </FRUBoardInfoObj >
   </xsl:template>

   <xsl:template name="DIMMS" match="Memory_Device">
          <xsl:for-each select="Memory_Device">
            <xsl:if test="Size != '0x0'">
             <FRUSMBIOSObj>
  				<FRUState>0</FRUState> 
				<DevName>
					<xsl:value-of select="Device_Locator" />
				</DevName>             
			    <SerialNumber>
					<xsl:value-of select="Serial_Number" />
				</SerialNumber>
  				<AssetTag> 
					<xsl:value-of select="Asset_Tag" />
				</AssetTag> 
				<PartNumber>
        			<xsl:value-of select="Part_Number"/>
				</PartNumber> 
			    <Manufacturer>
					<xsl:value-of select="Manufacturer" />
  				</Manufacturer> 
             </FRUSMBIOSObj>
             </xsl:if>
           </xsl:for-each>
   </xsl:template>

   <xsl:template match="*" />
</xsl:stylesheet>

