<?xml version="1.0" encoding="US-ASCII"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml"  omit-xml-declaration="yes" standalone="yes" />
   <xsl:strip-space elements="*" />
   

   <xsl:template match="OMA">
   	    <OMA>
			<ChassisList>
				    <xsl:attribute name="index"><xsl:value-of select="OMA/ChassisList/@index"/></xsl:attribute>
				    <xsl:attribute name="count"><xsl:value-of select="OMA/ChassisList/@count"/></xsl:attribute>
				<Chassis>
				    <xsl:attribute name="display"><xsl:value-of select="OMA/ChassisList/Chassis/@display"/></xsl:attribute>
				    <xsl:attribute name="index"><xsl:value-of select="OMA/ChassisList/Chassis/@index"/></xsl:attribute>
       				<xsl:apply-templates select="OMA/ChassisList/Chassis"/>
       			</Chassis>
			</ChassisList>       				
			<xsl:apply-templates select="OMA/BaseBoardList"/>
			<SMStatus>0</SMStatus>
		</OMA>				
   </xsl:template>
   
   	<xsl:template match="ChassisInfo">
			<ChassisInfo>
					<ChassisProps1>
						<ChassType><xsl:value-of select="ChassisProps1/ChassType"/></ChassType>
						<ChassClass><xsl:value-of select="ChassisProps1/ChassClass"/></ChassClass>
						<ChassModel><xsl:value-of select="ChassisProps1/ChassModel"/></ChassModel>
						<ChassManufacturer><xsl:value-of select="ChassisProps1/ChassManufacturer"/></ChassManufacturer>
						<ChassLockPresent><xsl:value-of select="ChassisProps1/ChassLockPresent"/></ChassLockPresent>
					</ChassisProps1>
					<ChassisProps2>
						<ServiceTag><xsl:value-of select="ChassisProps2/ServiceTag"/></ServiceTag>
						<AssetTag><xsl:value-of select="ChassisProps2/AssetTag"/></AssetTag>
					</ChassisProps2>
				</ChassisInfo>
</xsl:template>

<xsl:template match="Hardware">
				<Hardware>
				    <ProcessorList>
						<xsl:attribute name="count"><xsl:value-of select="ProcessorList/@count"/></xsl:attribute>
						<xsl:for-each select="ProcessorList/DevProcessor">
							<DevProcessor>
									<ExtName><xsl:value-of select="ExtName"/></ExtName>
									<Family><xsl:value-of select="Family"/></Family>
									<ProcessorStatus><xsl:value-of select="ProcessorStatus"/></ProcessorStatus>
									<Manufacturer><xsl:value-of select="Manufacturer"/></Manufacturer>
									<MaxSpeed unit=" MHz"><xsl:value-of select="MaxSpeed"/></MaxSpeed>
									<CurSpeed unit=" MHz"><xsl:value-of select="CurSpeed"/></CurSpeed>
									<ExtClockSpeed unit=" MHz"><xsl:value-of select="ExtClockSpeed"/></ExtClockSpeed>
									<Upgrade><xsl:value-of select="Upgrade"/></Upgrade>
									<Version><xsl:value-of select="Version"/></Version>
									<Voltage><xsl:attribute name="unit"><xsl:value-of select="Voltage/@unit"/></xsl:attribute>
									<xsl:value-of select="Voltage"/></Voltage>
							</DevProcessor>
						</xsl:for-each>
				    </ProcessorList>
				<MemoryInfo>
						<TotalPhysMemorySize unit=" KB"><xsl:value-of select="MemoryInfo/TotalPhysMemorySize"/></TotalPhysMemorySize>
						<TotalPhysMemorySizeMB unit=" MB"><xsl:value-of select="MemoryInfo/TotalPhysMemorySizeMB"/></TotalPhysMemorySizeMB>
				</MemoryInfo>
				<MemoryArrayList>
					<xsl:attribute name="count"><xsl:value-of select="MemoryArrayList/@count"/></xsl:attribute>
						<MemoryArray>
							<Location><xsl:value-of select="MemoryArrayList/MemoryArray/Location"/></Location>
							<Use><xsl:value-of select="MemoryArrayList/MemoryArray/Use"/></Use>
							<ErrCorrType><xsl:value-of select="MemoryArrayList/MemoryArray/ErrCorrType"/></ErrCorrType>
							<NumSocketsTotal><xsl:value-of select="MemoryArrayList/MemoryArray/NumSocketsTotal"/></NumSocketsTotal>
							<NumSocketsInUse><xsl:value-of select="MemoryArrayList/MemoryArray/NumSocketsInUse"/></NumSocketsInUse>
							<MaxSize unit=" KB"><xsl:value-of select="MemoryArrayList/MemoryArray/MaxSize"/></MaxSize>
							<MaxSizeMB unit=" MB"><xsl:value-of select="MemoryArrayList/MemoryArray/MaxSizeMB"/></MaxSizeMB>
							<InstalledSizeMBCumulative unit=" MB"><xsl:value-of select="MemoryArrayList/MemoryArray/InstalledSizeMBCumulative"/></InstalledSizeMBCumulative>
						</MemoryArray>
					</MemoryArrayList>
					<MaxInstalledSizeMBCumulative unit=" MB"><xsl:value-of select="MaxInstalledSizeMBCumulative"/></MaxInstalledSizeMBCumulative>
					<MaxSizeMBCumulative unit=" MB"><xsl:value-of select="MaxSizeMBCumulative"/></MaxSizeMBCumulative>
					<SlotsList>
						<xsl:for-each select="SlotsList/Slot">
							<Slot>
								<xsl:attribute name="index"><xsl:value-of select="@index"/></xsl:attribute>
								<xsl:attribute name="status"><xsl:value-of select="@status"/></xsl:attribute>
								<xsl:attribute name="oid"><xsl:value-of select="@oid"/></xsl:attribute>
								<Type><xsl:value-of select="Type"/></Type>
								<Length><xsl:value-of select="Length"/></Length>
								<SlotID><xsl:value-of select="SlotID"/></SlotID>
								<IsVolt5><xsl:value-of select="IsVolt5"/></IsVolt5>
								<IsVolt33><xsl:value-of select="IsVolt33"/></IsVolt33>
								<IsPMECapable><xsl:value-of select="IsPMECapable"/></IsPMECapable>
								<HotPlugSystemSlot>
									<DataBusWidth><xsl:value-of select="HotPlugSystemSlot/DataBusWidth"/></DataBusWidth>
									<SlotSpeed><xsl:value-of select="HotPlugSystemSlot/SlotSpeed"/></SlotSpeed>
								</HotPlugSystemSlot>
								<SlotDevice>
									<DeviceDesc><xsl:value-of select="SlotDevice/DeviceDesc"/></DeviceDesc>
								</SlotDevice>						
								<SMBName><xsl:value-of select="SMBName"/></SMBName>
								<ExtName><xsl:value-of select="ExtName"/></ExtName>
							</Slot>
						</xsl:for-each>
					</SlotsList>
					<SystemBIOS>
						<SMBIOSPresent><xsl:value-of select="SystemBIOS/SMBIOSPresent"/></SMBIOSPresent>
						<Manufacturer><xsl:value-of select="SystemBIOS/Manufacturer"/></Manufacturer>
						<Version><xsl:value-of select="SystemBIOS/Version"/></Version>
						<ReleaseDate><xsl:value-of select="SystemBIOS/ReleaseDate"/></ReleaseDate>
					</SystemBIOS>
				</Hardware>
	</xsl:template>
	<xsl:template  match="BaseBoardList">
		<BaseBoardList>
			<xsl:attribute name="count"><xsl:value-of select="@count"/></xsl:attribute>
			<xsl:for-each select="BaseBoard">
			<BaseBoard >
				<xsl:attribute name="index"><xsl:value-of select="@index"/></xsl:attribute>
				<BaseBoardType><xsl:value-of select="BaseBoardType"/></BaseBoardType>
				<Manufacturer><xsl:value-of select="Manufacturer"/></Manufacturer>
				<ProductName><xsl:value-of select="ProductName"/></ProductName>
				<Version><xsl:value-of select="Version"/></Version>
				<ServiceTag><xsl:value-of select="ServiceTag"/></ServiceTag>
				<PiecePartID><xsl:value-of select="PiecePartID"/></PiecePartID>
				<AssetTag ><xsl:value-of select="AssetTag"/></AssetTag>
				<FeatureFlags>
					<xsl:if test="FeatureFlags/HostingBoard">
					   <HostingBoard><xsl:value-of select="FeatureFlags/HostingBoard"/></HostingBoard> 
					</xsl:if>
					<xsl:if test="FeatureFlags/Removable">
					   <Removable><xsl:value-of select="FeatureFlags/Removable"/></Removable> 
					</xsl:if>
					<xsl:if test="FeatureFlags/Replaceable">
					   <Replaceable><xsl:value-of select="FeatureFlags/Replaceable"/></Replaceable> 
					</xsl:if>
					<xsl:if test="FeatureFlags/HotSwappable">
					   <HotSwappable><xsl:value-of select="FeatureFlags/HotSwappable"/></HotSwappable> 
					</xsl:if>
					<xsl:if test="FeatureFlags/RequiresDCard">
					    <RequiresDCard><xsl:value-of select="FeatureFlags/RequiresDCard"/></RequiresDCard> 
					</xsl:if>
				</FeatureFlags>
				<BoardLocation ><xsl:value-of select="BoardLocation"/></BoardLocation>
				<BaseBoardTypeStr><xsl:value-of select="BaseBoardTypeStr"/></BaseBoardTypeStr>
			</BaseBoard>
			</xsl:for-each>
		</BaseBoardList>
	
	</xsl:template>
<!--	<xsl:template match="*"/> -->
	
</xsl:stylesheet>
