<?xml version="1.0" encoding="US-ASCII"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml"  omit-xml-declaration="yes" standalone="yes" />
   <xsl:strip-space elements="*" />

<xsl:template match="osda">
		<OMA>
			<Network>
				<IPAddrList>
				<xsl:for-each select="//NETADPCONFIG">
				    <xsl:if test="IPEnabled = 'Yes'">
						<IPAddr>
							<xsl:attribute name="index"><xsl:value-of select="position()"/></xsl:attribute>
						   <xsl:value-of select="IPAddress"/>
						</IPAddr>
					</xsl:if>
				</xsl:for-each>
				</IPAddrList>
				<NICList>
				<xsl:for-each select="NETADPLISTHW" >
				    <xsl:if test="PNP_Device_ID and MAC_Address">
						<NICCard>
							<xsl:attribute name="status">1</xsl:attribute>
							<xsl:attribute name="index"><xsl:value-of select="Index"/></xsl:attribute>
							<Description><xsl:value-of select="Name"/></Description>
							<IPAddress><xsl:value-of select="NETADPCONFIG/IPAddress"/></IPAddress>
							<SubnetMask><xsl:value-of select="NETADPCONFIG/IPSubnet"/></SubnetMask>
							<DefaultGateway><xsl:value-of select="NETADPCONFIG/DefaultIPGateway"/></DefaultGateway>
							<CurrentMacAddr><xsl:value-of select="NETADPCONFIG/MACAddress"/></CurrentMacAddr>
						</NICCard>
					</xsl:if>						
				</xsl:for-each>
				
				</NICList>
			</Network>
		</OMA>
</xsl:template>


</xsl:stylesheet>
