<!---<?xml version="1.0" encoding="UTF-8"?> -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output omit-xml-declaration="yes" method="xml" />
   <xsl:strip-space elements="*" />    
   
   <!--<xsl:template match="OMA/ArrayDisks/Enclosures" />-->

   <xsl:template match="OMA">
      <OMA>
	   <xsl:if test="count(//Channel) &lt; 2">
			<SMStatus>-1</SMStatus>
	   </xsl:if>
	   <xsl:if test="count(//Channel) &gt; 1 ">
		       <xsl:for-each select="//ArrayDisks/Enclosures/DCStorageObject">
				   <xsl:if test="position()= 2 ">
					<xsl:call-template name="EnclTitle"></xsl:call-template>
					</xsl:if>
		       </xsl:for-each>
				<xsl:for-each select="//ArrayDisks/Channel">
				   <xsl:if test="position() =2 ">
					<xsl:call-template name="OneDisk"></xsl:call-template>
					</xsl:if>
				</xsl:for-each>
		</xsl:if>
	   <xsl:if test="count(//Channel/Disks)= 0 ">
				<SMStatus>-1</SMStatus>
	   </xsl:if>
	</OMA>	
	
	</xsl:template>

   <xsl:template name="EnclTitle" match="DCStorageObject"> 
	<Enclosures>
	<DCStorageObject>
		<ObjID type="astring"><xsl:value-of select="ObjID"/></ObjID>
		<ObjType type="u32"><xsl:value-of select="ObjType"/></ObjType>
		<ObjState type="u64"><xsl:value-of select="ObjState"/></ObjState>
		<Name type="astring"><xsl:value-of select="Name"/></Name>
		<ObjStatus type="u32"><xsl:value-of select="ObjStatus"/></ObjStatus>
		<Type type="u32"><xsl:value-of select="Type"/></Type>
		<Channel type="u32"><xsl:value-of select="Channel"/></Channel>
		<Config type="u32"><xsl:value-of select="Config"/></Config>
		<AppVer type="astring"><xsl:value-of select="AppVer"/></AppVer>
		<ProductVer type="astring"><xsl:value-of select="ProductVer"/></ProductVer>
		<ServiceTag type="astring"><xsl:value-of select="ServiceTag"/></ServiceTag>
		<AssetTag type="astring"><xsl:value-of select="AssetTag"/></AssetTag>
		<AssetName type="astring"><xsl:value-of select="AssetName"/></AssetName>
	</DCStorageObject>	
	</Enclosures>
		   <xsl:choose>
			<xsl:when test="DCStorageObject/Name != '' ">
					<SMStatus>0</SMStatus>
			</xsl:when>
			<xsl:otherwise>
					<SMStatus>-1</SMStatus>
			</xsl:otherwise>
			</xsl:choose>
   </xsl:template>
   
   <xsl:template name="OneDisk" match="Channel/Disks">
	   <ArrayDisks>
 	    <Channel>
		   <Name><xsl:value-of select="Name"/></Name>
		   <TYPE><xsl:value-of select="TYPE"/></TYPE>
			<ID><xsl:value-of select="ID"/></ID>
			<ObjStatus><xsl:value-of select="ObjStatus"/></ObjStatus>
			 <Disks>
		   <xsl:for-each select="Disks/DCStorageObject" >
	    	<DCStorageObject>
		       <ObjID><xsl:value-of select="ObjID"/>  </ObjID> 	
	          <ObjType><xsl:value-of select="ObjType"/></ObjType>
	          <ObjState><xsl:value-of select="ObjState"/></ObjState>
	          <Name><xsl:value-of select="Name"/></Name>
	          <ObjStatus><xsl:value-of select="ObjStatus"/></ObjStatus>	
	          <DeviceName><xsl:value-of select="DeviceName"/></DeviceName>
	          <Port><xsl:value-of select="Port"/></Port>
	          <ID><xsl:value-of select="ID"/></ID>
	          <LUN><xsl:value-of select="LUN"/></LUN>
	          <Vendor><xsl:value-of select="Vendor"/></Vendor>
	          <ProductID><xsl:value-of select="ProductID"/></ProductID>
	          <Revision><xsl:value-of select="Revision"/></Revision>
	          <FreeSpace><xsl:value-of select="FreeSpace"/></FreeSpace>
	          <Length><xsl:value-of select="Length"/></Length>
	          <Type><xsl:value-of select="Type"/></Type>
	          <Bus><xsl:value-of select="Bus"/></Bus>
			</DCStorageObject>
			 </xsl:for-each>
		  </Disks>
		</Channel>
		</ArrayDisks>
		   <xsl:choose>
			<xsl:when test="Disks/DCStorageObject/Name != '' ">
					<SMStatus>0</SMStatus>
			</xsl:when>
			<xsl:otherwise>
					<SMStatus>-1</SMStatus>
			</xsl:otherwise>
			</xsl:choose>
  	 </xsl:template>
   
   
   <xsl:template match="SMStatus" />
</xsl:stylesheet>

