<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml" />
   <xsl:strip-space elements="*" />
   
<xsl:template match="OMA/Containers" />
<xsl:template match="OMA/Controllers"/>

<xsl:template match="OMA/VDisks">
<xsl:variable name="CName" select="//Controllers/DCStorageObject[position()=3]/Name"></xsl:variable>
<OMA>
       <xsl:if test="count(VDisk[@controller= $CName]) != 0">
			<xsl:for-each select="VDisk[@controller= $CName]">
				   <VDisks>
					  <VDisk>
					    <xsl:attribute name="controller"><xsl:value-of select="@controller"/></xsl:attribute>
						   <xsl:for-each select="DCStorageObject">
							   <xsl:call-template name="OneDisk"> </xsl:call-template>
						</xsl:for-each>
					  </VDisk>
					</VDisks>
				</xsl:for-each>
		<SMStatus>0</SMStatus>
		</xsl:if> 
       <xsl:if test="count(VDisk[@controller= $CName]) = 0">
		<SMStatus>-1</SMStatus>
		</xsl:if> 
		
	</OMA>
	</xsl:template>
	
   <xsl:template name="OneDisk" match="DCStorageObject">
	   <DCStorageObject>
			<ObjID><xsl:value-of select="ObjID"/></ObjID>
			<ObjType><xsl:value-of select="ObjType"/> </ObjType>
			<ObjState><xsl:value-of select="ObjState"/></ObjState>
			<Name><xsl:value-of select="Name"/></Name>
			<ObjStatus><xsl:value-of select="ObjStatus"/></ObjStatus>
			<DeviceName><xsl:value-of select="DeviceName"/></DeviceName>
			<ReadPolicy><xsl:value-of select="ReadPolicy"/></ReadPolicy>
			<WritePolicy><xsl:value-of select="WritePolicy"/></WritePolicy>
			<CachePolicy><xsl:value-of select="CachePolicy"/>	</CachePolicy>
			<StripeSize><xsl:value-of select="StripeSize"/></StripeSize>
			<Layout><xsl:value-of select="Layout"/></Layout>
			<Size><xsl:value-of select="Size"/></Size>
	   </DCStorageObject>
      </xsl:template>

</xsl:stylesheet>

