<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<!-- including globals for CLI. GUI automatically loads globals.xsl -->

<!--	<xsl:include href="globals.xsl"/> -->
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="no"/>
	
	<xsl:variable name="IsiDRAC8Present">
		<xsl:choose>
			<xsl:when test="/OMA/EMPObj/type = '32' or /OMA/EMPObj/type = '33' or /OMA/EMPObj/type = '34' ">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

	<xsl:variable name="IsiDRAC7Present">
		<xsl:choose>
			<xsl:when test="/OMA/EMPObj/type = '16' or /OMA/EMPObj/type = '17' ">true</xsl:when>
		<xsl:otherwise>false</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

	<xsl:variable name="IsiDRAC6Present"> <!--iDRAC Ent or Exp-->
    <xsl:choose>
      <xsl:when test="/OMA/EMPObj/type = '10' or /OMA/EMPObj/type = '11' ">true</xsl:when>
      <xsl:otherwise>false</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name="IsiDRACPresent"> <!--iDRAC on Blade-->
    <xsl:choose>
      <xsl:when test="/OMA/EMPObj/type = '8' ">true</xsl:when>
      <xsl:otherwise>false</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>	
  
	<xsl:variable name="solEnabled">
		<xsl:choose>
			<!-- if there are any payloadAccessCapabilities nodes with SOL = 'true' -->
			<xsl:when test="/OMA/EMPUserAccessListObj/userAccessListarray/userAccessList[channelMediumType='4']/payloadAccessCapabilities[SOL='true']">true</xsl:when>
			<xsl:otherwise>false</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="dracUserPrivEnabled">
		<xsl:choose>
			<!-- if EMPRACObj object is present: -->
			<xsl:when test="/OMA/EMPRACObj">true</xsl:when>
			<xsl:otherwise>false</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="dracAdminBitmask">511</xsl:variable>
	<xsl:variable name="dracPowerUserBitmask">249</xsl:variable>
	<xsl:variable name="dracGuestBitmask">1</xsl:variable>
	<xsl:variable name="dracNoneBitmask">0</xsl:variable>
	<xsl:variable name="dracCustomBitmask">0</xsl:variable>



	<xsl:template match="OMA">
	<xsl:if test="count(CLIMsgID) = 0">
	<OMA skin="modern" >
	<DataArea>
	<xsl:variable name="usrights">7</xsl:variable>
		

 			<PageTitle><xsl:attribute name="display"><xsl:value-of select="$strRemoteAccessInformation"/></xsl:attribute></PageTitle>

  <!-- No upgrade or firmware noticies no data to support -->  
  <!--
			<xsl:choose>
				<xsl:when test="EMPObj/type='13'">	
					<PromptText><xsl:value-of select="$strUpgradeMaser"/></PromptText> 
					<PromptText><xsl:value-of select="$strUpgradeAMEA"/></PromptText>
				</xsl:when>
				<xsl:when test="(EMPObj/type='10' or EMPObj/type='11') and /OMA/MaserDeviceInfo/type != '1' ">	
					<PromptText><xsl:value-of select="$strUpgradeAMEA"/></PromptText>
				</xsl:when>
				<xsl:when test="(EMPObj/type='10' or EMPObj/type='11') and count(/OMA/MaserDeviceInfo) = '0' ">	
					<PromptText><xsl:value-of select="$strUpgradeAMEA"/></PromptText>
				</xsl:when>
				
			</xsl:choose>
-->
			<!--xsl:choose>
			<xsl:when test="EMPObj/defaultRestoreStatus = '0'"-->
			<!--TableData columnspacing="true">
				<Row>
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="$HIPLSTR_strResetToDefault"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$HIPLSTR_strResetToDefault"/></xsl:attribute>
					</Data>
				</Row>
			</TableData-->
			<!--/xsl:when>
			<xsl:otherwise-->
					
		<TableData columnspacing="true" name="BMC">	          
                   <xsl:attribute name="display"><xsl:value-of select="$gstrRemoteAccessDevice"/></xsl:attribute>
		<SubHeader value="BMC Sub">
                   <xsl:attribute name="display"><xsl:value-of select="$gstrRemoteAccessDevice"/></xsl:attribute>
	       </SubHeader>
						<Header>
							<Data width="40%">
								<xsl:attribute name="display"><xsl:value-of select="$strAttribute"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strAttribute"/></xsl:attribute>
							</Data>
							<Data width="60%">
								<xsl:attribute name="display"><xsl:value-of select="$strValue"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strValue"/></xsl:attribute>
							</Data>
						</Header>
						<xsl:apply-templates select="EMPObj"/>

						<xsl:apply-templates select="EMPLANConfigObj">
							<xsl:with-param name="bIsIPTable">false</xsl:with-param>
						</xsl:apply-templates>
				</TableData>
    
      <xsl:if test="EMPObj/ipv4State= '1' or EMPObj/ipv4State= '255'  " >
        <TableData columnspacing="true" name="IPv4Address">
          <xsl:attribute name="display">
            <xsl:value-of select="$strIPv4Address"/>
          </xsl:attribute>

          <SubHeader value="IPv4Address Sub">
            <xsl:attribute name="display">
              <xsl:value-of select="$strIPv4Address"/>
            </xsl:attribute>
          </SubHeader>
          <Header>
            <Data width="40%">
              <xsl:attribute name="display">
                <xsl:value-of select="$strAttribute"/>
              </xsl:attribute>
              <xsl:attribute name="value">
                <xsl:value-of select="$strAttribute"/>
              </xsl:attribute>
            </Data>
            <Data width="60%">
              <xsl:attribute name="display">
                <xsl:value-of select="$strValue"/>
              </xsl:attribute>
              <xsl:attribute name="value">
                <xsl:value-of select="$strValue"/>
              </xsl:attribute>
            </Data>
          </Header>
          <xsl:apply-templates select="EMPLANConfigObj">
            <xsl:with-param name="bIsIPTable">true</xsl:with-param>
          </xsl:apply-templates>
        </TableData>
      </xsl:if>
		
		<xsl:if test="EMPV6LANConfigObj/ipv6State='1'" >
				<ListData type="custom"  name="IPv6Address">
					<xsl:attribute name="display">
						<xsl:value-of select="$strIPv6Address"/>
					</xsl:attribute>

					<Header value="IPv6Address Sub">
            <Data>
              <xsl:attribute name="display"><xsl:value-of select="$strIPv6Address"/></xsl:attribute>
              <xsl:attribute name="value"><xsl:value-of select="$strIPv6Address"/></xsl:attribute>
              </Data>
					</Header>
				
					<xsl:apply-templates select="EMPV6LANConfigObj"/>
				</ListData>
		</xsl:if>
		
		
		<xsl:if test="DRSCSummaryObj">
          <ListData name="RAC" type="custom">
            <xsl:attribute name="display"><xsl:value-of select="$strDRAC"/></xsl:attribute>
						<Header>
              <Data>
							<xsl:attribute name="display"><xsl:value-of select="$strDRAC"/></xsl:attribute>
              <xsl:attribute name="value"><xsl:value-of select="$strDRAC"/></xsl:attribute>
              </Data>
						</Header>

					
						<xsl:apply-templates select="DRSCSummaryObj"/>
						<xsl:apply-templates select="RemoteHostObj"/>
					</ListData>
		</xsl:if>
		
        <xsl:if test="EMPNICConfigObj" >
				<TableData columnspacing="true" name="NIC Configuration">
					<xsl:attribute name="display">
						<xsl:value-of select="$strNICConfiguration"/>
					</xsl:attribute>

					<SubHeader value="NIC Configuration Sub">
						<xsl:attribute name="display">
							<xsl:value-of select="$strNICConfiguration"/>
						</xsl:attribute>
					</SubHeader>
					<Header>
						<Data width="40%">
							<xsl:attribute name="display"><xsl:value-of select="$strAttribute"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAttribute"/></xsl:attribute>
						</Data>
						<Data width="60%">
							<xsl:attribute name="display"><xsl:value-of select="$strValue"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strValue"/></xsl:attribute>
						</Data>
					</Header>
					<xsl:apply-templates select="EMPNICConfigObj"/>
				</TableData>
				</xsl:if>
    
        <xsl:if test="EMPV6LANConfigObj/ipv6State='1'" >
				<TableData columnspacing="true" name="IPv6Address">
					<xsl:attribute name="display">
						<xsl:value-of select="$strIPv6Address"/>
					</xsl:attribute>

					<SubHeader value="IPv6Address Sub">
						<xsl:attribute name="display">
							<xsl:value-of select="$strIPv6Address"/>
						</xsl:attribute>
					</SubHeader>
					<Header>
						<Data width="40%">
							<xsl:attribute name="display"><xsl:value-of select="$strAttribute"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAttribute"/></xsl:attribute>
						</Data>
						<Data width="60%">
							<xsl:attribute name="display"><xsl:value-of select="$strValue"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strValue"/></xsl:attribute>
						</Data>
					</Header>
					<xsl:apply-templates select="EMPV6LANConfigObj"/>
				</TableData>
				</xsl:if>

		<xsl:if test="EMPSerialConfigObj" >
				<TableData columnspacing="true" name="Serial Port Config">
					<xsl:attribute name="display">
						<xsl:value-of select="$strSerialPortConf"/>
					</xsl:attribute>

					<SubHeader value="Serial Port Config Sub">
						<xsl:attribute name="display">
							<xsl:value-of select="$strSerialPortConf"/>
						</xsl:attribute>
					</SubHeader>
					<Header>
						<Data width="40%">
							<xsl:attribute name="display"><xsl:value-of select="$strAttribute"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAttribute"/></xsl:attribute>
						</Data>
						<Data width="60%">
							<xsl:attribute name="display"><xsl:value-of select="$strValue"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strValue"/></xsl:attribute>
						</Data>
					</Header>
					<xsl:apply-templates select="EMPSerialConfigObj"/>
				</TableData>
		</xsl:if>

        <xsl:if test="EMPSOLConfigObj/SOLEnable='1'" >
				<TableData columnspacing="true" name="SerialOverLAN">
					<xsl:attribute name="display">
						<xsl:value-of select="$strSerialOverLAN"/>
					</xsl:attribute>

					<SubHeader value="SerialOverLAN Sub">
						<xsl:attribute name="display">
							<xsl:value-of select="$strSerialOverLAN"/>
						</xsl:attribute>
					</SubHeader>
					<Header>
						<Data width="40%">
							<xsl:attribute name="display"><xsl:value-of select="$strAttribute"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strAttribute"/></xsl:attribute>
						</Data>
						<Data width="60%">
							<xsl:attribute name="display"><xsl:value-of select="$strValue"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strValue"/></xsl:attribute>
						</Data>
					</Header>
					<xsl:apply-templates select="EMPSOLConfigObj"/>
				</TableData>
				</xsl:if>
		
		<xsl:if test="EMPUserListObj" >
				<TableData columnspacing="true" name="Remote Access Users">
					<xsl:attribute name="display">
						<xsl:value-of select="$strEMPUsers"/>
					</xsl:attribute>

					<SubHeader value="Remote Access Users Sub">
						<xsl:attribute name="display">
							<xsl:value-of select="$strEMPUsers"/>
						</xsl:attribute>
					</SubHeader>
					<Header>
						<Data>
							<xsl:attribute name="display"><xsl:value-of select="$strUserID"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUserID"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><xsl:value-of select="$strState"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strState"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><xsl:value-of select="$strUserName"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strUserName"/></xsl:attribute>
						</Data>
						<Data>
							<xsl:attribute name="display"><xsl:value-of select="$strLAN"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strLAN"/></xsl:attribute>
						</Data>
						<xsl:if test="/OMA/EMPSerialConfigObj">
						<Data>
							<xsl:attribute name="display"><xsl:value-of select="$strSerialPort"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSerialPort"/></xsl:attribute>
						</Data>
						</xsl:if>
						<!-- add SOL column, if enabled -->
						<xsl:if test="$solEnabled='true'">
							<Data display="{$strSerialOverLan}" value="{$strSerialOverLan}"/>
						</xsl:if>
						<!-- add DRACUserPriv column, if enabled -->
						<xsl:if test="$dracUserPrivEnabled='true' or $IsiDRAC6Present='true' or $IsiDRAC7Present='true' or $IsiDRACPresent='true' ">
						  <xsl:choose>
							<xsl:when test="$IsiDRAC6Present='true' or $IsiDRACPresent='true' or $IsiDRAC7Present='true'">
							  <Data display="{$striDRACUserPrivilege}" value="{$striDRACUserPrivilege}"/>
							</xsl:when>
							<xsl:otherwise>
							  <Data display="{$strDracUserPrivilege}" value="{$strDracUserPrivilege}"/>
							</xsl:otherwise>
						  </xsl:choose>
						</xsl:if>
					</Header>
					 <xsl:apply-templates select="EMPUserListObj/userListarray/userList"/>
				</TableData>
		
		</xsl:if>
		

        <xsl:if test="DRSCSummaryObj">
					<TableData columnspacing="true" name="RAC">
						<xsl:attribute name="display"><xsl:value-of select="$strDRAC"/></xsl:attribute>
						<SubHeader value="DRAC">
							<xsl:attribute name="display"><xsl:value-of select="$strDRAC"/></xsl:attribute>
						</SubHeader>

						<Header>
							<Data editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$Attribute"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$Attribute1"/></xsl:attribute>
							</Data>
							<Data editable="false" type="usting">
								<xsl:attribute name="display"><xsl:value-of select="$Value"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$Value1"/></xsl:attribute>
							</Data>
						</Header>
						<xsl:apply-templates select="DRSCSummaryObj"/>
						<xsl:apply-templates select="RemoteHostObj"/>
					</TableData>
                    </xsl:if>


			<!--/xsl:otherwise>
			</xsl:choose-->
		<!--	Not required for GUI, nonfunctional
			<script language="javascript">
				var rci=null;
			       function loadIMC(url)
				{
				 if ((rci == null) || (rci.closed) ||(typeof(rci) == 'undefined'))
					rci = window.open ("", "rci"); 

				  rci.location.href = url;
				  rci.focus();
				}
		      </script>
  -->
		</DataArea>
	 </OMA>
	 </xsl:if>
</xsl:template>

<xsl:template match="EMPObj">
<Row>
	<Data>
		<xsl:attribute name="display"><xsl:value-of select="$strDeviceType"/></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="$strDeviceType"/></xsl:attribute>
	</Data>
	<Data>
		<xsl:choose>	
			<xsl:when test="type='32' or type='33' or type='34' ">		  	
				<xsl:choose>
					<xsl:when test="/OMA/EMPObj/licenseClass='5' or /OMA/EMPObj/licenseClass='3' or /OMA/EMPObj/licenseClass='1' or /OMA/EMPObj/licenseClass='0'">
						<xsl:attribute name="value"><xsl:value-of select="$gstrIDRAC8Exp"/></xsl:attribute>					    
					</xsl:when>
					<xsl:when test="/OMA/EMPObj/licenseClass='4'">
						<xsl:attribute name="value"><xsl:value-of select="$gstrIDRAC8Ent"/></xsl:attribute>	    					   
					</xsl:when>
					<xsl:when test="/OMA/EMPObj/licenseClass='2'">
						<xsl:attribute name="value"><xsl:value-of select="$gstrBMC"/></xsl:attribute>	    					   
					</xsl:when>				
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="$gstrIDRAC8Exp"/></xsl:attribute>	    					   
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
		
			<xsl:when test="type='16'  or type='17'">		  	
				<xsl:choose>
					<xsl:when test="/OMA/EMPObj/licenseClass='5' or /OMA/EMPObj/licenseClass='3' or /OMA/EMPObj/licenseClass='1' or /OMA/EMPObj/licenseClass='0'">
						<xsl:attribute name="value"><xsl:value-of select="$gstrIDRAC7Exp"/></xsl:attribute>					    
					</xsl:when>
					<xsl:when test="/OMA/EMPObj/licenseClass='4'">
						<xsl:attribute name="value"><xsl:value-of select="$gstrIDRAC7Ent"/></xsl:attribute>	    					   
					</xsl:when>
					<xsl:when test="/OMA/EMPObj/licenseClass='2'">
						<xsl:attribute name="value"><xsl:value-of select="$gstrBMC"/></xsl:attribute>	    					   
					</xsl:when>				
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="$gstrIDRAC7Exp"/></xsl:attribute>	    					   
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
	  
			<xsl:when test="(type='10'  or type='11') and /OMA/MaserDeviceInfo/type='1' ">
				<xsl:attribute name="display"><xsl:value-of select="$gstrIDRAC6Ent"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$gstrIDRAC6Ent"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="type='10' or type='11' ">
				<xsl:attribute name="display"><xsl:value-of select="$gstrIDRAC6Exp"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$gstrIDRAC6Exp"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="type='13' or type='0' ">
				<xsl:attribute name="display"><xsl:value-of select="$gstrBMC"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$gstrBMC"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="type='8' ">
				<xsl:attribute name="display"><xsl:value-of select="$gstrIDRAC"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$gstrIDRAC"/></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="display"><xsl:value-of select="DisplayName"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="DisplayName"/></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</Data>
</Row>
<!--			<Row>
				<xsl:if test="type='16' or type='17' or type='32' or type='33' or type='34'">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strIDRACPorts"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strIDRACPorts"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:choose>
					<xsl:when test="/OMA/MaserDeviceInfo">
						<xsl:attribute name="value"><xsl:value-of select="$strPresent"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="$strAbsent"/></xsl:attribute>
					</xsl:otherwise>
					</xsl:choose>
				</Data>
				</xsl:if>
			</Row>
-->
      <Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strBMCFirmwareVersion"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strBMCFirmwareVersion"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Version"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Version"/></xsl:attribute>
				</Data>

			</Row>

			<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strSystemGUID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strSystemGUID"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="GUID"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="GUID"/></xsl:attribute>
				</Data>

			</Row>

			<xsl:if test="numPossibleActiveSessions != '255'">
				<Row>
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="$strNumberofPossible"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strNumberofPossible"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="numPossibleActiveSessions"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="numPossibleActiveSessions"/></xsl:attribute>
					</Data>
				</Row>
			</xsl:if>

			<xsl:if test="numCurrentlyActiveSessions != '255'">
				<Row>
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="$strNumberofCurrent"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strNumberofCurrent"/></xsl:attribute>
					</Data>
					<Data>
						<!--Showing Not Available(N/A) for now instead of wrong value which we are geting from OMSA(hapi) -->
						<!--<xsl:attribute name="display"><xsl:value-of select="numCurrentlyActiveSessions"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="numCurrentlyActiveSessions"/></xsl:attribute>-->
						<xsl:attribute name="display"><xsl:value-of select="$strNotAvailable"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strNotAvailable"/></xsl:attribute>
					</Data>
				</Row>
			</xsl:if>
</xsl:template>
  
<xsl:template match="EMPLANConfigObj">
<xsl:param name="bIsIPTable">false</xsl:param>
	
	<xsl:if test="$bIsIPTable!='true'">
			<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strEnableIPMIOverLAN"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strEnableIPMIOverLAN"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:choose>
					<xsl:when test="IPMIMessagingAccessMode = '2'">
						<xsl:attribute name="display"><xsl:value-of select="$strYes"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strYes"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="display"><xsl:value-of select="$strNo"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strNo"/></xsl:attribute>
					</xsl:otherwise>
					</xsl:choose>
				</Data>

			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strSOLEnabled"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strSOLEnabled"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:choose>
					<xsl:when test="/OMA/EMPSOLConfigObj/SOLEnable = '1'">
						<xsl:attribute name="display"><xsl:value-of select="$strYes"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strYes"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
              <!--This Choose has to be removed once the SOL config data is available through the iDRAC WSMAN Namespace -->
							<xsl:when test="/OMA/EMPObj/SOLEnable ='1'">
								<xsl:attribute name="display"><xsl:value-of select="$strYes"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strYes"/></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="display"><xsl:value-of select="$strNo"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strNo"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
					</xsl:choose>
				</Data>

			</Row>
			</xsl:if>		
			
			<xsl:if test="$bIsIPTable='true'">

				<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strIPAddressSource"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strIPAddressSource"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:if test="IPAddrSource = '1'">
						<xsl:attribute name="display"><xsl:value-of select="$strStaticAddress"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strStaticAddress"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="IPAddrSource = '2'">
						<xsl:attribute name="display"><xsl:value-of select="$strAddressObtainedby"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strAddressObtainedby"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="IPAddrSource = '3'">
						<xsl:attribute name="display"><xsl:value-of select="$strBIOS"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strBIOS"/></xsl:attribute>
					</xsl:if>
				</Data>

			</Row>

			<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strCurrentIPAddress"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strCurrentIPAddress"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="IPAddress"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
				</Data>

			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strCurrentIPSubnet"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strCurrentIPSubnet"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="SubnetMask"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
				</Data>

			</Row>
			<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strCurrentIPGateway"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strCurrentIPGateway"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="DefaultGateway"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="DefaultGateway"/></xsl:attribute>
				</Data>

			</Row>
			</xsl:if>
			<xsl:if test="$bIsIPTable!='true'">
			<Row>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strMACAddress"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strMACAddress"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="MACAddress"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="MACAddress"/></xsl:attribute>
				</Data>
				
				<!--<xsl:if test="$IsiDRAC7Present='true' or $IsiDRAC6Present='true' or $IsiDRACPresent='true' or $IsiDRAC8Present='true'">
			       
			        <Data ignoreoncli="true">
			            <xsl:attribute name="display"><xsl:value-of select="$RemoteConnect"/></xsl:attribute>
			           	<xsl:attribute name="value"><xsl:value-of select="$LogintoIPv4RemoteiDRAC"/></xsl:attribute>
					</Data>
					
					<xsl:if test=" /OMA/EMPObj/uiStatus!='0'">
						<xsl:if test="/OMA/EMPObj/ipv6Url/@isnull!='true' or /OMA/EMPObj/ipv6Url!=''">
							<Data link='true' ignoreoncli="true">
							<xsl:attribute name="value"><xsl:value-of select="$LogintoIPv6RemoteiDRAC"/></xsl:attribute>
							 </Data>
						</xsl:if>
					</xsl:if>
			    </xsl:if>-->
				
			 </Row>
			</xsl:if>

			<xsl:if test="$bIsIPTable!='true'">
			<xsl:if test="VLANID != '-1'" >
				<!--<Row>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strNICConfiguration"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strVLANTag"/></xsl:attribute>
					</Data>
				</Row>-->
				<Row>
					<Data name="VLANEnable" >
					<xsl:attribute name="value"> <xsl:value-of select="$strEnableVLANID"/></xsl:attribute>
					 </Data>
					 <Data>
						<xsl:attribute name="value"><xsl:value-of select="VLANIDEnable"/></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data name="VLANIDString" >
						<xsl:attribute name="value"><xsl:value-of select="$strVLANID"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="VLANID"/></xsl:attribute>
					</Data>
				</Row>
				<Row>
				<Data name="PriorityString" >
					<xsl:attribute name="value"><xsl:value-of select="$strPriority"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="VLANPriority"/></xsl:attribute>
				</Data>
				</Row>
			</xsl:if>
			</xsl:if>
</xsl:template>

<xsl:template match="EMPV6LANConfigObj">
	<Row>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="$strIPAddressSource"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strIPAddressSource"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:choose>
			<xsl:when test="ipv6AddrConfiguration = '1'">
				<xsl:attribute name="display"><xsl:value-of select="$strAuto"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strAuto"/></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="display"><xsl:value-of select="$strStaticAddress"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strStaticAddress"/></xsl:attribute>
			</xsl:otherwise>
			</xsl:choose>

		</Data>
	</Row>
	
	
	<Row>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="$strGlobalLocalAddress"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strGlobalLocalAddress"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="GLAddress"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="GLAddress"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="$strDefaultGatewayAddress"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strDefaultGatewayAddress"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="GatewayAddress"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="GatewayAddress"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="$strSiteLocalAddress"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strSiteLocalAddress"/></xsl:attribute>
			</Data>
			<xsl:choose>
			<xsl:when test="SLAddress!=''">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SLAddress"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SLAddress"/></xsl:attribute>
			</Data>
			</xsl:when>
			<xsl:otherwise>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="$gstrNotAvailable"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$gstrNotAvailable"/></xsl:attribute>
			</Data>
			</xsl:otherwise>
			</xsl:choose>
	</Row>
	<Row>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="$strLinkLocalAddress"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strLinkLocalAddress"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="LLAddress"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="LLAddress"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="$strDNSAddressSource"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strDNSAddressSource"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:choose>
			<xsl:when test="ipv6DNSConfiguration = '1'">
				<xsl:attribute name="display"><xsl:value-of select="$strAuto"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strAuto"/></xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="display"><xsl:value-of select="$strStaticAddress"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strStaticAddress"/></xsl:attribute>
			</xsl:otherwise>
			</xsl:choose>
		</Data>
	</Row>
	<Row>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="$strPreferredDNSSServer"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strPreferredDNSSServer"/></xsl:attribute>
		</Data>
		<xsl:choose>
		<xsl:when test="DNS1Address != ''">
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="DNS1Address"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="DNS1Address"/></xsl:attribute>
		</Data>
		</xsl:when>
		<xsl:otherwise>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="$gstrNotAvailable"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$gstrNotAvailable"/></xsl:attribute>
		</Data>
		</xsl:otherwise>
		</xsl:choose>
	</Row>
	<Row>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="$strAlternateDNSSServer"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strAlternateDNSSServer"/></xsl:attribute>
		</Data>
		<xsl:choose>
		<xsl:when test="DNS2Address != ''">
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="DNS2Address"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="DNS2Address"/></xsl:attribute>
		</Data>
		</xsl:when>
		<xsl:otherwise>
		<Data>
			<xsl:attribute name="display"><xsl:value-of select="$gstrNotAvailable"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$gstrNotAvailable"/></xsl:attribute>
		</Data>
		</xsl:otherwise>
		</xsl:choose>
	</Row>

</xsl:template>

<xsl:template match="EMPNICConfigObj">
	<Row>
		<Data>
				<xsl:attribute name="value"><xsl:value-of select="$strchannelNumber"/></xsl:attribute>	
		</Data>
		<Data>
				<xsl:attribute name="value"><xsl:value-of select="channelNumber"/></xsl:attribute>	
		</Data>
	</Row>
	<Row>
		<xsl:choose>
			<xsl:when test="separatePrimaryFailover='1'">
				<Data width="200" name="primaryNic" >
					<xsl:attribute name="value"><xsl:value-of select="$strPrimaryNic"/></xsl:attribute>
				</Data>
				<Data>
					
					<xsl:if test="primaryCapabilities/NIC1Only='true' and primarySettings = '2'">
						<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection1"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="primaryCapabilities/NIC2Only='true' and primarySettings = '3'">
						<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection2"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="primaryCapabilities/NIC3Only='true' and primarySettings = '4'">
						<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection3"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="primaryCapabilities/NIC4Only='true' and primarySettings = '5'">
						<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection4"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="primaryCapabilities/Dedicated='true' and primarySettings = '1'">
						<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection5"/></xsl:attribute>
					</xsl:if>
				
				</Data>
			</xsl:when>
			<xsl:otherwise>
				
			<Data width="200" name="NicSelection" >
				<xsl:attribute name="value"><xsl:value-of select="$strNicSelection"/></xsl:attribute>
			</Data>
	   		<xsl:if test="teamingModeCapabilities/NIC1Only='true'">
				<xsl:if test="teamingModeSettings/NIC1Only='true'">
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strNicSelection1"/></xsl:attribute>
				</Data>
				</xsl:if>
		    </xsl:if>
		    
			<xsl:if test="teamingModeCapabilities/NIC1TeamedNIC2='true'">
				<xsl:if test="teamingModeSettings/NIC1TeamedNIC2='true'">
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strNicSelection3"/></xsl:attribute>
				</Data>
				</xsl:if>
			</xsl:if>
			
			<xsl:if test="teamingModeCapabilities/Dedicated='true'">
				<xsl:if test="teamingModeSettings/Dedicated='true'">
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strNicSelection4"/></xsl:attribute>
				</Data>
				    </xsl:if>
			</xsl:if>

			<xsl:if test="teamingModeCapabilities/NICRecieveOnAll='true'">
				<xsl:if test="teamingModeSettings/NICRecieveOnAll='true'">
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strNicSelection5"/></xsl:attribute>
				</Data>
				</xsl:if>
			</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</Row>
	<Row>
		<xsl:choose>
			<xsl:when test="separatePrimaryFailover='1'">
		<Data>
				<xsl:attribute name="value"><xsl:value-of select="$strFailoverNic"/></xsl:attribute>	
		</Data>
		<Data>
				<xsl:choose>
				<xsl:when test="failoverSettings = 0">
				<xsl:attribute name="value"><xsl:value-of select="$strNone"/></xsl:attribute>
				</xsl:when>
				<xsl:when test="failoverCapabilities/NIC1Only='true' and failoverSettings = 2">
					<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection1"/></xsl:attribute>
				</xsl:when>
				<xsl:when test="failoverCapabilities/NIC2Only='true' and failoverSettings = 3">
					<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection2"/></xsl:attribute>
				</xsl:when>
				<xsl:when test="failoverCapabilities/NIC3Only='true' and failoverSettings = 4">
					<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection3"/></xsl:attribute>
				</xsl:when>
				<xsl:when test="failoverCapabilities/NIC4Only='true' and failoverSettings = 5">
					<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection4"/></xsl:attribute>
				</xsl:when>
				<xsl:when test="failoverCapabilities/NICRecieveOnAll='true' and failoverSettings = 6">
					<xsl:attribute name="value"><xsl:value-of select="$primaryFailoverNicSelection6"/></xsl:attribute>
				</xsl:when>
				</xsl:choose>
		</Data>
		</xsl:when>
	</xsl:choose>
	</Row>
	
</xsl:template>

<xsl:template match="EMPSerialConfigObj">
	<Row>
		<Data>
				<xsl:attribute name="value"><xsl:value-of select="$strchannelNumber"/></xsl:attribute>	
		</Data>
		<Data>
				<xsl:attribute name="value"><xsl:value-of select="channelNumber"/></xsl:attribute>	
		</Data>
	</Row>
	<Row>
		<Data name="ConnectionMode" >
				<xsl:attribute name="value"><xsl:value-of select="$strConnectionModeSetting"/></xsl:attribute>
		</Data>		
			<xsl:if test="connectionModeSupport/DirBasic='true'">
				<xsl:if test="(connectionModeEnables/Basic='true') and (connectionMode='1') and (connectionModeEnables/Terminal='false')">
					<Data>
							<xsl:attribute name="value"><xsl:value-of select="$strDirectconnectbasic"/></xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:if>
			
			<xsl:if test="connectionModeSupport/DirTerm='true'">
				<xsl:if test="(connectionModeEnables/Basic='false') and (connectionMode='1') and (connectionModeEnables/Terminal='true')">
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strDirectconectTerminal"/></xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:if>
			
			<xsl:if test="connectionModeSupport/DirBasicTerm='true'">
				<xsl:if test="(connectionModeEnables/Basic='true') and (connectionMode='1') and (connectionModeEnables/Terminal='true')">
					<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strDirectconnectbasicterm"/></xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:if>

			<xsl:if test="connectionModeSupport/ModemBasic='true'">
				<xsl:if test="(connectionModeEnables/Basic='true') and (connectionMode='0') and (connectionModeEnables/Terminal='false')">
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strModemconnectbasic"/></xsl:attribute>
					</Data>	
					</xsl:if>
			</xsl:if>
			
			<xsl:if test="connectionModeSupport/ModemTerm='true'">
				<xsl:if test="(connectionModeEnables/Basic='false') and (connectionMode='0') and (connectionModeEnables/Terminal='true')">
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strModemconectTerminal"/></xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:if>
			
			<xsl:if test="connectionModeSupport/ModemBasicTerm='true'">
				<xsl:if test="(connectionModeEnables/Basic='true') and (connectionMode='0') and (connectionModeEnables/Terminal='true')">
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$strModemconnectbasicterm"/></xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:if>
	</Row>
	<xsl:variable name="selectedBitrate" select="number(commSettingsBitRate)"/>
	<Row>
    <Data name="BitRateVolatile" >
				<xsl:attribute name="value"><xsl:value-of select="$strBitRate"/></xsl:attribute>	
	</Data>
		<xsl:if test="bitRateCapabilities/bitrate_9600 = 'true'">
			<xsl:if test="$selectedBitrate = 6">
						<Data>		
							<xsl:attribute name="value" ><xsl:value-of select="$str9600bps"/></xsl:attribute>
						</Data>
			</xsl:if>
		</xsl:if>
				
		<xsl:if test="bitRateCapabilities/bitrate_19200 = 'true'">
			<xsl:if test="$selectedBitrate = 7">
					<Data>
					<xsl:attribute name="value"><xsl:value-of select="$str19200bps" /></xsl:attribute>
					</Data>
			</xsl:if>
		</xsl:if>				
		
		<xsl:if test="bitRateCapabilities/bitrate_38400 = 'true'">
			<xsl:if test="$selectedBitrate = 8">
					<Data>
					<xsl:attribute name="value"><xsl:value-of select="$str38400bps"/></xsl:attribute>
					</Data>
			</xsl:if>
		</xsl:if>
		
		<xsl:if test="bitRateCapabilities/bitrate_57600 = 'true'">
			<xsl:if test="$selectedBitrate = 9">
					<Data>
					<xsl:attribute name="value"><xsl:value-of select="$str57600bps"/></xsl:attribute>
					</Data>
			</xsl:if>
		</xsl:if>
		
		<xsl:if test="bitRateCapabilities/bitrate_115200 = 'true'">
			<xsl:if test="$selectedBitrate = 10">
					<Data>
					<xsl:attribute name="value"><xsl:value-of select="$str115200kbps"/></xsl:attribute>
					</Data>
			</xsl:if>
		</xsl:if>
	</Row>
	<Row>
		<Data name="FlowControl" >
				<xsl:attribute name="value"><xsl:value-of select="$strFlowControl"/></xsl:attribute>
		</Data>
		<xsl:if test="commSettingsFlowControl=0">
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="$strNone"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="commSettingsFlowControl=1">
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="$strRTSCTS"/></xsl:attribute>
			</Data>
		</xsl:if>
	</Row>
	<Row>
		<Data name="MaxAuth" >
				<xsl:attribute name="value"><xsl:value-of select="$strMaximumUserPrivileges"/></xsl:attribute>
		</Data>
		<xsl:if test="channelAccessLevel=4">
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="$strAdministrator"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="channelAccessLevel=3">
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="$strOperator"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="channelAccessLevel=2">
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="$strUser"/></xsl:attribute>
			</Data>
		</xsl:if>
</Row>
<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strSerialPortConf"/> </xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strTerminalModeConf"/></xsl:attribute>
		</Data>
</Row>
<Row>
	<Data name="LineEditing" >
		<xsl:attribute name="value"><xsl:value-of select="$strLineEditing"/></xsl:attribute>		
	</Data>
	<xsl:if test="terminalModeLineEditing='1'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strEnabled"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="terminalModeLineEditing='0'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strDisabled"/></xsl:attribute>
		</Data>
	</xsl:if>
</Row>
<Row>
       <Data name="DeleteControl" >
				<xsl:attribute name="value"><xsl:value-of select="$strDeleteControl"/></xsl:attribute>			
		</Data>
			
		<xsl:if test="terminalModeDeleteControl='0'">
			<xsl:choose>
			<xsl:when test="$IsiDRACPresent ='true' or $IsiDRAC6Present ='true' or $IsiDRAC7Present ='true'">
			   <Data>
					<xsl:attribute name="value"><xsl:value-of select="$strIDRACoutputsadel"/></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strBMCoutputsadel"/></xsl:attribute>
				</Data>
			</xsl:otherwise>
			</xsl:choose>					
		</xsl:if>
		
		<xsl:if test="terminalModeDeleteControl='1'">
			<xsl:choose>
			<xsl:when test="$IsiDRACPresent ='true' or $IsiDRAC6Present ='true' or $IsiDRAC7Present ='true'">
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strIDRACoutputsabksp"/></xsl:attribute>
				</Data>
			</xsl:when>
			<xsl:otherwise>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="$strBMCoutputsabksp"/></xsl:attribute>
				</Data>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
</Row>
<Row>
    <Data name="EchoControl" >
			<xsl:attribute name="value"><xsl:value-of select="$strEchoControl"/></xsl:attribute>
	</Data>
		
	<xsl:if test="terminalModeEcho='1'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strEcho"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="terminalModeEcho='0'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strNoEcho"/></xsl:attribute>
		</Data>
	</xsl:if>
</Row>
 <Row>
    <Data name="HandshakingControl" >
				<xsl:attribute name="value"><xsl:value-of select="$strHandshakingControl"/></xsl:attribute>
	</Data>
			
	<xsl:if test="terminalModeHandshake='1'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strEnabled"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="terminalModeHandshake='0'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strDisabled"/></xsl:attribute>
		</Data>
	</xsl:if>
 </Row>
<Row>
    <Data name="NewLine">
				<xsl:attribute name="value"><xsl:value-of select="$strNewLineSequence"/></xsl:attribute>
	</Data>
						
	<xsl:if test="terminalModeNLSeq='0'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strNone"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="terminalModeNLSeq='1'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strCRLF"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="terminalModeNLSeq='2'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strNULL"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="terminalModeNLSeq='3'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strCR"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="terminalModeNLSeq='4'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strLFCR"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="terminalModeNLSeq='5'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strLF"/></xsl:attribute>
		</Data>
	</xsl:if>
</Row>
<Row>
    <Data name="InputNewLine" >
				<xsl:attribute name="value"><xsl:value-of select="$strInputNewLine"/></xsl:attribute>
	</Data>
			
	<xsl:if test="terminalModeInputNLSeq='1'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strCR"/></xsl:attribute>
		</Data>
	</xsl:if>
	<xsl:if test="terminalModeInputNLSeq='2'">
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strNULL"/></xsl:attribute>
		</Data>
	</xsl:if>
</Row>


</xsl:template>

<xsl:template match="EMPSOLConfigObj">
	<Row>
		<Data>
				<xsl:attribute name="value"><xsl:value-of select="$strchannelNumber"/></xsl:attribute>	
		</Data>
		<Data>
				<xsl:attribute name="value"><xsl:value-of select="channelNumber"/></xsl:attribute>	
		</Data>
	</Row>
	<xsl:variable name="selectedBitrate" select="number(SOLBitRateVolatile)"/>
	<Row>
    <Data name="BitRateVolatile" >
				<xsl:attribute name="value"><xsl:value-of select="$strBitRateVolatile"/></xsl:attribute>	
	</Data>
		<xsl:if test="bitRateCapabilities/bitrate_9600 = 'true'">
			<xsl:if test="$selectedBitrate = 6">
						<Data>		
							<xsl:attribute name="value" ><xsl:value-of select="$str9600bps"/></xsl:attribute>
						</Data>
			</xsl:if>
		</xsl:if>
				
		<xsl:if test="bitRateCapabilities/bitrate_19200 = 'true'">
			<xsl:if test="$selectedBitrate = 7">
					<Data>
					<xsl:attribute name="value"><xsl:value-of select="$str19200bps" /></xsl:attribute>
					</Data>
			</xsl:if>
		</xsl:if>				
		
		<xsl:if test="bitRateCapabilities/bitrate_38400 = 'true'">
			<xsl:if test="$selectedBitrate = 8">
					<Data>
					<xsl:attribute name="value"><xsl:value-of select="$str38400bps"/></xsl:attribute>
					</Data>
			</xsl:if>
		</xsl:if>
		
		<xsl:if test="bitRateCapabilities/bitrate_57600 = 'true'">
			<xsl:if test="$selectedBitrate = 9">
					<Data>
					<xsl:attribute name="value"><xsl:value-of select="$str57600bps"/></xsl:attribute>
					</Data>
			</xsl:if>
		</xsl:if>
		
		<xsl:if test="bitRateCapabilities/bitrate_115200 = 'true'">
			<xsl:if test="$selectedBitrate = 10">
					<Data>
					<xsl:attribute name="value"><xsl:value-of select="$str115200kbps"/></xsl:attribute>
					</Data>
			</xsl:if>
		</xsl:if>
	</Row>
	<Row>
			<Data name="MaxUserPriv" >
				<xsl:attribute name="value"><xsl:value-of select="$strMaximumUserPrivilege"/></xsl:attribute>		
			</Data>
			<xsl:variable name="privLevel" select="SOLAuthenPrivilegeLevel"/>
			<Data>
				<xsl:choose>
					<xsl:when test="number($privLevel) = 4">
					<xsl:attribute name="value"><xsl:value-of select="$strAdministrator"/></xsl:attribute>
					</xsl:when>
					<xsl:when test="number($privLevel) = 3">
					<xsl:attribute name="value"><xsl:value-of select="$strOperator"/></xsl:attribute>
					</xsl:when>
					<xsl:when test="number($privLevel) = 2">
					<xsl:attribute name="value"><xsl:value-of select="$strUser"/></xsl:attribute>
					</xsl:when>
				</xsl:choose>
			</Data>
	</Row>
	
	<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strSerialOverLAN"/> </xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="$strAdvancedSettings"/></xsl:attribute>
		</Data>
	</Row>
	<Row>
	      <Data name="Interval" >
				<xsl:attribute name="value"><xsl:value-of select="$strSOLRetryCount"/></xsl:attribute>
				</Data>
				<Data>
				<xsl:attribute name="value"><xsl:value-of select="SOLRetryCount"/></xsl:attribute>
			</Data>
    </Row>
	<Row>
	      <Data name="Interval" >
				<xsl:attribute name="value"><xsl:value-of select="$strSOLRetryInterval"/></xsl:attribute>
				</Data>
				<Data>
				<xsl:attribute name="value"><xsl:value-of select="SOLRetryInterval"/></xsl:attribute>
			</Data>
    </Row>
	<Row>
	      <Data name="Interval" >
				<xsl:attribute name="value"><xsl:value-of select="$strCharacterAccumulateInterval"/></xsl:attribute>
				</Data>
				<Data>
				<xsl:attribute name="value"><xsl:value-of select="SOLCharAccumInterval"/></xsl:attribute>
			</Data>
    </Row>
    <Row>
			<Data name="Threshold" >
				<xsl:attribute name="value"><xsl:value-of select="$strCharacterSendThreshold"/></xsl:attribute>
				</Data>
				<Data>
				<xsl:attribute name="value"><xsl:value-of select="SOLCharSendThreshold"/></xsl:attribute>
			</Data>
    </Row>
</xsl:template>

	<xsl:template match="userList">
	<xsl:variable name="usrights">7</xsl:variable>
	<xsl:variable name="userIndex"><xsl:value-of select="userID"/></xsl:variable>
		<Row>
			<Data>
				<xsl:attribute name="value">
					<xsl:value-of select="userID"/>
				</xsl:attribute>
			</Data>
			<Data>
					<xsl:attribute name="value">
						<xsl:choose>
						<xsl:when test="currentState='true'">
							<xsl:value-of select="$strEnabled"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$strDisabled"/>
						</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
			</Data>


			<Data>
					<xsl:attribute name="value">
						<xsl:value-of select="UserName"/>
					</xsl:attribute>
			</Data>

			<Data>
				<xsl:attribute name="value">
					<xsl:apply-templates select="/OMA/EMPUserAccessListObj/userAccessListarray/userAccessList">
						<xsl:with-param name="userid"><xsl:value-of select="userID"/></xsl:with-param>
						<!--xsl:with-param name="channel">1</xsl:with-param-->
						<xsl:with-param name="mediatype">4</xsl:with-param>
					</xsl:apply-templates>
				</xsl:attribute>

			</Data>
			<xsl:if test="/OMA/EMPSerialConfigObj">
			<Data>
				<xsl:attribute name="value">
					<xsl:apply-templates select="/OMA/EMPUserAccessListObj/userAccessListarray/userAccessList">
						<xsl:with-param name="userid"><xsl:value-of select="userID"/></xsl:with-param>
						<!--xsl:with-param name="channel">2</xsl:with-param-->
						<xsl:with-param name="mediatype">5</xsl:with-param>
					</xsl:apply-templates>	
				</xsl:attribute>
				
			</Data>
			</xsl:if>
			<!-- add SOL, if enabled -->
			<xsl:if test="$solEnabled='true'">
				<Data>
					<xsl:attribute name="value">
						<xsl:choose>
							<!-- if this user's SOL is allowed, then see if it's enabled or not: -->
							<xsl:when test="/OMA/EMPUserAccessListObj/userAccessListarray/userAccessList[userID=$userIndex and channelMediumType='4']/payloadAccessCapabilities/SOL = 'true'">
								<xsl:choose>
									<xsl:when test="/OMA/EMPUserAccessListObj/userAccessListarray/userAccessList[userID=$userIndex and channelMediumType='4']/payloadAccessSettings/SOL = 'true'">
										<xsl:value-of select="$strEnabled"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$strDisabled"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</xsl:if>
			<!-- add DRACUserPriv, if enabled -->
			<xsl:if test="$dracUserPrivEnabled='true' or $IsiDRAC6Present='true' or $IsiDRACPresent='true' or $IsiDRAC7Present='true'">
				<xsl:variable name="dracPermissions">
					<xsl:call-template name="calcDracPermissionsBitflag">
						<xsl:with-param name="node" select="RACPriv"/>
					</xsl:call-template>
				</xsl:variable>
				<Data>

				<xsl:if test="$IsiDRAC6Present='true' or $IsiDRACPresent='true' or $IsiDRAC7Present='true'">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="$dracPermissions = $dracAdminBitmask"><xsl:value-of select="$strAdministrator"/></xsl:when>
							<xsl:when test="$dracPermissions = $dracPowerUserBitmask"><xsl:value-of select="$strOperator"/></xsl:when>
							<xsl:when test="$dracPermissions = $dracGuestBitmask"><xsl:value-of select="$strReadOnly"/></xsl:when>
							<xsl:when test="$dracPermissions = $dracNoneBitmask"><xsl:value-of select="$strNone"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="$strDracCustom"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					</xsl:if>

				<xsl:if test="$dracUserPrivEnabled='true'">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="$dracPermissions = $dracAdminBitmask"><xsl:value-of select="$strAdministrator"/></xsl:when>
							<xsl:when test="$dracPermissions = $dracPowerUserBitmask"><xsl:value-of select="$strDracPowerUser"/></xsl:when>
							<xsl:when test="$dracPermissions = $dracGuestBitmask"><xsl:value-of select="$strDracGuest"/></xsl:when>
							<xsl:when test="$dracPermissions = $dracNoneBitmask"><xsl:value-of select="$strNone"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="$strDracCustom"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</xsl:if>

				</Data>
			</xsl:if>
		</Row>
	</xsl:template>
	
	<xsl:template match="userAccessList ">
		<xsl:param name="userid"/>
		<!--xsl:param name="channel"/>
		<xsl:if test="($userid=userID) and ($channel=channelNumber)"-->
		<xsl:param name="mediatype"/>
		<xsl:if test="($userid=userID) and ($mediatype=channelMediumType)">

			<xsl:choose>
				<xsl:when test="userAccessLevel='2'">
					<xsl:value-of select="$strUser"/>
				</xsl:when>
				<xsl:when test="userAccessLevel='3'">
					<xsl:value-of select="$strOperator"/>
				</xsl:when>
				<xsl:when test="userAccessLevel='4'">
					<xsl:value-of select="$strAdministrator"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$strNone"/>
				</xsl:otherwise>

			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<xsl:template name="calcDracPermissionsBitflag">
		<xsl:param name="node"/>
		<xsl:value-of select="number($node/LoginUser = 'true') * 1 +
								number($node/CardConfigAdmin = 'true') * 2 +
								number($node/UserConfigAdmin = 'true') * 4 +
								number($node/LogClearAdmin = 'true') * 8 +
								number($node/ServerResetPwrOnOffUser = 'true') * 16 +
								number($node/ConsoleRedirUser = 'true') * 32 +
								number($node/VirtualMediaUser = 'true') * 64 +
								number($node/TestAlertUser = 'true') * 128 +
								number($node/DebugCmdAdmin = 'true') * 256"/>
	</xsl:template>

<xsl:template match="DRSCSummaryObj">
			<Row>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value"><xsl:value-of select="$Product"/></xsl:attribute>
				</Data>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value">
						 <xsl:value-of select="DRSIdentificationObj/ProductInfo"/>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value"><xsl:value-of select="$Description"/></xsl:attribute>
				</Data>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value">
						 <xsl:value-of select="DRSIdentificationObj/DescriptionInfo"/>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value"><xsl:value-of select="$Version"/></xsl:attribute>
				</Data>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value">
						 <xsl:value-of select="DRSIdentificationObj/VersionInfo"/>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value"><xsl:value-of select="$CurrentIPAddress"/></xsl:attribute>
				</Data>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value">
						 <xsl:value-of select="CurrentLanNetworkingObj/NicCurrentIpAddress"/>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value"><xsl:value-of select="$CurrentIPSubnet"/></xsl:attribute>
				</Data>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value">
						 <xsl:value-of select="CurrentLanNetworkingObj/NicCurrentNetMask"/>
					</xsl:attribute>
				</Data>
			</Row>
			<Row>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value"><xsl:value-of select="$CurrentIPGateway"/></xsl:attribute>
				</Data>
				<Data type="ustring" editable="false">
					<xsl:attribute name="value">
						 <xsl:value-of select="CurrentLanNetworkingObj/NicCurrentNetGateway"/>
					</xsl:attribute>
				</Data>
			</Row>
			<!--
			<Row>
				<Data type="ustring" editable="false" ignoreoncli="true">
					<xsl:attribute name="value"><xsl:value-of select="$RemoteConnect"/></xsl:attribute>
				</Data>
				<Data link="true" ignoreoncli="true">
					<xsl:attribute name="value"><xsl:value-of select="$LogintoRemoteDRAC"/></xsl:attribute>
				</Data>
			</Row>
			-->
</xsl:template>
</xsl:stylesheet>
