<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:strip-space elements="*"/>
  <xsl:output method="xml" indent="no"/>
    <xsl:template match="*">
      <xsl:processing-instruction name="xml-stylesheet">
        <xsl:text>type="text/xsl" </xsl:text>
        <xsl:text>href="DataArea.xsl"</xsl:text>
      </xsl:processing-instruction>
        <OMA skin="modern">
            <DataArea>
                <PageTitle>
                    <xsl:attribute name="display">Firmware Information</xsl:attribute>
                </PageTitle>
                <xsl:call-template name="FirmwareList"/>
            </DataArea>
        </OMA>
    </xsl:template>
    <xsl:template name="FirmwareList">
        <TableData>
            <Header>
                <Data name="Name" editable="false" type="ustring">
                    <xsl:attribute name="display">Name</xsl:attribute>
                    <xsl:attribute name="value">Name</xsl:attribute>
                </Data>
                <Data name="Version" editable="false" type="ustring">
                    <xsl:attribute name="display">Version</xsl:attribute>
                    <xsl:attribute name="value">Version</xsl:attribute>
                </Data>
            </Header>
            <xsl:for-each select="Device">
                <Row>
                    <Data>
                        <xsl:attribute name="value">
                            <xsl:value-of select="@display"/>
                        </xsl:attribute>
                    </Data>
                    <Data>
                        <xsl:attribute name="value">
                            <xsl:value-of select="Application/@version"/>
                        </xsl:attribute>
                    </Data>
                </Row>
            </xsl:for-each>
        </TableData>
    </xsl:template>
</xsl:stylesheet>