<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
	<xsl:template match="/OMA">
	<OMA skin="modern">
	<DataArea>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Display information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates/>
				</xsl:otherwise>
			</xsl:choose>
			</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="DSETINFO">
		<ListData type="custom">
			<xsl:if test="DSETVersion">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="DSETVersion/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="DSETVersion"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="DSETBuild">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="DSETBuild/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="DSETBuild"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="ComputerName">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ComputerName/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ComputerName"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="ModelName">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ModelName/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ModelName"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="OSVersion">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="OSVersion/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="OSVersion"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="BldNum">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="BldNum/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BldNum"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="SrvcPk">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SrvcPk/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SrvcPk"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="CliParam">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="CliParam/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CliParam"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="CliParamCount">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="CliParamCount/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CliParamCount"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="ForceDSETdriver">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ForceDSETdriver/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ForceDSETdriver"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetAllFiles">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetAllFiles/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetAllFiles"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetAMfiles">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetAMfiles/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetAMfiles"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetClusterfiles">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetClusterfiles/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetClusterfiles"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetDTCHARlogFiles">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetDTCHARlogFiles/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetDTCHARlogFiles"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetEVTfiles">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetEVTfiles/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetEVTfiles"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetITAfiles">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetITAfiles/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetITAfiles"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetNSfiles">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetNSfiles/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetNSfiles"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetOMfiles">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetOMfiles/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetOMfiles"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetPV660files">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetPV660files/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetPV660files"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetReportOnly">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetReportOnly/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetReportOnly"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="GetSANfiles">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="GetSANfiles/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="GetSANfiles"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="InstallShield">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="InstallShield/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="InstallShield"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="NoAdminCheck">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="NoAdminCheck/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="NoAdminCheck"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="noPause">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="noPause/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="noPause"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="PauseAtEnd">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="PauseAtEnd/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="PauseAtEnd"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="ReportSaveFile">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ReportSaveFile/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ReportSaveFile"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="ReportSavePath">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ReportSavePath/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ReportSavePath"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="SkipLogs">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SkipLogs/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SkipLogs"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="SkipHWReport">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SkipHWReport/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SkipHWReport"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="SkipSTReport">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SkipSTReport/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SkipSTReport"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="SkipSWReport">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SkipSWReport/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SkipSWReport"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="SnmpInstalled">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SnmpInstalled/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SnmpInstalled"/></xsl:attribute>
			</Data>
			<xsl:if test="UseTimeFilename">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="UseTimeFilename/@name"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="UseTimeFilename"/></xsl:attribute>
			</Data>
			</xsl:if>
			</xsl:if>
		</ListData>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
