<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" omit-xml-declaration="no"/>
	<xsl:strip-space elements="*"/>
	
	
		<xsl:template match="OMA">
		<OMA skin="modern" >
		  <DataArea>
				<xsl:call-template name="SystemBIOS"/>
				<xsl:call-template name="Firmware"/>
				<xsl:call-template name="DRSCInfo"/>
				<xsl:call-template name="OSInfo"/>
				<xsl:call-template name="OEMInfo"/>
				<xsl:call-template name="PERCAdaptersInfo"/>
			</DataArea>
		</OMA>
		</xsl:template>
   		<xsl:template match="OMA1/UserAdmin" />	
		<xsl:template match="OMA/OMA1/SMStatus"/>
		<xsl:template match="OMA/OMA/SMStatus"/>
		
	
	<xsl:template name="SystemBIOS">
		<xsl:if test="count(OMA1/BIOSVerInfo/SystemBIOS) != '0'">
			<ListData name="BIOS Info" type="custom">
				<Data name="Name">
					<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">BIOS</xsl:attribute>
				</Data>
				<Data name="Version">
					<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="OMA1/BIOSVerInfo/SystemBIOS/Version"/></xsl:attribute>
				</Data>
				<Data name="Update">
					<xsl:attribute name="display"><!--XLATESTART-->Updateable<!--XLATESTOP--></xsl:attribute>
					<!--<xsl:if test="count(LUUpdateable) = '0'">
						<xsl:attribute name="value">N/A</xsl:attribute>
					</xsl:if>-->
					<!--<xsl:if test="LUUpdateable = '1'">-->
					<!--	<xsl:if test="UserAdmin = '1'">-->
							<xsl:if test="OMA1/BIOSInfo2/LastBIOSUpdate/Support = '1'">
								<xsl:attribute name="value">Yes</xsl:attribute>
							</xsl:if>
							<xsl:if test="OMA1/BIOSInfo2/LastBIOSUpdate/Support != '1'">
								<xsl:attribute name="value">N/A</xsl:attribute>
							</xsl:if>
						<!--</xsl:if>-->
						<!--<xsl:if test="count(UserAdmin) = '0'">
							<xsl:attribute name="value">N/A</xsl:attribute>
						</xsl:if>-->
					<!--</xsl:if>-->
				</Data>
			</ListData>
		</xsl:if>
	</xsl:template>
	<xsl:template name="Firmware">
<!--		<xsl:variable name="updatable" select="LUUpdateable"/>-->
		<xsl:variable name="updatable" select="1"/>
		<xsl:variable name="admin" select="UserAdmin"/>
		<xsl:for-each select="OMA1/FWVerInfo/FirmwareList/Firmware">
			<ListData name="Firmware Info" type="custom" >
				<xsl:attribute name="display"><!--XLATESTART-->Firmware Info<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">Value</xsl:attribute>
				<Data name="Name">
					<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="FWText"/></xsl:attribute>
				</Data>
				<Data name="Version">
					<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="FWVersion"/></xsl:attribute>
				</Data>
				<Data name="Update">
					<xsl:attribute name="display"><!--XLATESTART-->Updateable<!--XLATESTOP--></xsl:attribute>
					<xsl:if test="$updatable = '1' and /OMA1/SysIDInfo/ChassisProps1/MachineID != '140'">
						<xsl:if test="$admin = '1'">
							<xsl:attribute name="value">Yes</xsl:attribute>
							<xsl:if test="FWText = 'Secondary BP'">
								<xsl:attribute name="value">N/A</xsl:attribute>
							</xsl:if>
						</xsl:if>
						<xsl:if test="$admin != '1'">
							<xsl:attribute name="value">N/A</xsl:attribute>
						</xsl:if>
					</xsl:if>
					<xsl:if test="$updatable != '1' or /OMA1/SysIDInfo/ChassisProps1/MachineID = '140'">
						<xsl:attribute name="value">N/A</xsl:attribute>
					</xsl:if>
				</Data>
			</ListData>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="OSInfo">
		<xsl:if test="count(OMA1/OSVerInfo/OSInfo) != '0'">
			<ListData name="OS" type="custom">
				<xsl:attribute name="display"><!--XLATESTART-->OS Version Info<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">Value</xsl:attribute>
				<Data name="Name">
					<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="OMA1/OSVerInfo/OSInfo/OSName"/></xsl:attribute>
				</Data>
				<Data name="Version">
					<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="OMA1/OSVerInfo/OSInfo/OSVersion"/></xsl:attribute>
				</Data>
				<Data name="Update">
					<xsl:attribute name="display"><!--XLATESTART-->Updateable<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">Yes</xsl:attribute>
				</Data>
			</ListData>
		</xsl:if>
	</xsl:template>
	<xsl:template name="OEMInfo">
		<xsl:if test="count(OMA1/OEMInfo/OEM/Name) != '0'">
			<ListData name="System Management" type="custom">
				<xsl:attribute name="display"><!--XLATESTART-->System Management Info<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">Value</xsl:attribute>
				<Data name="Name">
					<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					<xsl:choose>
						<xsl:when test="OMA1/OEMInfo/OEM/Name/@display = 'Dell'">
							<xsl:attribute name="value">Dell <xsl:value-of select="OMA1/OEMInfo/OEM/ProdName"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value"><xsl:value-of select="OMA1/OEMInfo/OEM/ProdName"/></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</Data>
				<Data name="Version">
					<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="OMA1/AboutInfo/About/ProductVersion"/></xsl:attribute>
				</Data>
				<Data name="Update">
					<xsl:attribute name="display"><!--XLATESTART-->Updateable<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">Yes</xsl:attribute>
				</Data>
			</ListData>
		</xsl:if>
	</xsl:template>
	<xsl:template name="DRSCInfo">
		<xsl:if test="count(OMA1/DRSCInfo/DRSIdentificationObj) != '0'">
			<xsl:if test="OMA1/DRSCInfo/DRSIdentificationObj/DrsType != '5'">
			<ListData name="Remote Access Controller" type="custom">
				<xsl:attribute name="display"><!--XLATESTART-->DRAC Info<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">Value</xsl:attribute>
				<Data name="Name">
					<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->RAC Firmware<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="Version">
					<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="OMA1/DRSCInfo/DRSIdentificationObj/VersionInfo"/></xsl:attribute>
				</Data>
				<Data name="Update">
					<xsl:attribute name="display"><!--XLATESTART-->Updateable<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">Yes</xsl:attribute>
				</Data>
			</ListData>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:template name="PERCAdaptersInfo">
		<!--<xsl:variable name="updatable" select="LUUpdateable"/> -->
		<!--<xsl:variable name="admin" select="UserAdmin"/>-->
		<xsl:for-each select="OMA/Controllers/DCStorageObject">
			<ListData name="PERC Firmware" type="custom">
				<xsl:attribute name="display"><!--XLATESTART-->PERC Firmware Item<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">Value</xsl:attribute>
				<Data name="Name">
					<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				</Data>
				<Data name="Version">
					<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Firmware Version <!--XLATESTOP--><xsl:value-of select="FirmwareVer"/></xsl:attribute>
				</Data>
				<Data name="OS Driver">
					<xsl:attribute name="display"><!--XLATESTART-->OS Driver Version<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="CurrentDriverVersion"/></xsl:attribute>
				</Data>
				<Data name="Update">
					<xsl:attribute name="display"><!--XLATESTART-->Updateable<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">Yes</xsl:attribute>
				</Data>
			</ListData>
		</xsl:for-each>
	</xsl:template>
	
<!--	<xsl:template match="*"/> -->
</xsl:stylesheet>
