<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
    <xsl:import href="Utils.xsl"/>
    <xsl:import href="globals.xsl"/>
<xsl:variable name="strPowerConsumptionInfo"><!--XLATESTART-->Power Consumption Information<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerConsumption"><!--XLATESTART-->Power Consumption<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAmperage"><!--XLATESTART-->Amperage<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerHeadroom"><!--XLATESTART-->Power Headroom<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSystemInstantaneousHeadroom"><!--XLATESTART-->System Instantaneous Headroom<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSystemPeakHeadroom"><!--XLATESTART-->System Peak Headroom<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocation"><!--XLATESTART-->Location<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIndex"><!--XLATESTART-->Index<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStatus"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProbeName"><!--XLATESTART-->Probe Name<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailureThreshold"><!--XLATESTART-->Failure Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWarningThreshold"><!--XLATESTART-->Warning Threshold<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerTrackStats"><!--XLATESTART-->Power Tracking Statistics<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStatistic"><!--XLATESTART-->Statistic<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMeasureStartTime"><!--XLATESTART-->Measurement Start Time<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMeasureFinishTime"><!--XLATESTART-->Measurement Finish Time<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnergyConsumption"><!--XLATESTART-->Energy Consumption<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSystemPeakPower"><!--XLATESTART-->System Peak Power<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSystemPeakAmperage"><!--XLATESTART-->System Peak Amperage<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPeakTime"><!--XLATESTART-->Peak Time<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPeakReading"><!--XLATESTART-->Peak Reading<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCurrentProbesNotFound"><!--XLATESTART-->Current probes not found<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strClickTheProbe"><!--XLATESTART-->Click the probe name to configure thresholds (if applicable).<!--XLATESTOP--></xsl:variable>
<!-- Added to merge all-->
<xsl:variable name="strResetWarnMsg"><!--XLATESTART-->Reset Warning<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strWattUnit"><!--XLATESTART-->Watts<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKiloWattHrUnit"><!--XLATESTART-->Kwh<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAmperageUnit"><!--XLATESTART-->amp<!--XLATESTOP--></xsl:variable>
<!--  These came from Pwrbudget -->
<xsl:variable name="strPwrInventory"><!--XLATESTART-->Power Inventory<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIdlePower"><!--XLATESTART-->System Idle Power<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaxPotentialPwrConsumption"><!--XLATESTART-->System Maximum Potential Power<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerBudget"><!--XLATESTART-->Power Budget<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBudgetCap"><!--XLATESTART-->Power Cap <!--XLATESTOP--></xsl:variable>  
<xsl:variable name="strEditPowerCap"><!--XLATESTART-->Edit any one of the values for configuring the power cap<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalid"><!--XLATESTART-->Invalid<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnableCap"><!--XLATESTART-->Enable Power Cap<!--XLATESTOP--></xsl:variable>  
<!-- these came from Pwr Profiles -->
<xsl:variable name="strPwrProfiles"><!--XLATESTART-->Power Profiles<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPwrCustomOptions"><!--XLATESTART-->Custom Attributes<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPwrProfilesMsg"><!--XLATESTART-->Power Profiles can help you maximize your system's performance or conserve energy.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPwrProfilesMsgWithCustom"><!--XLATESTART-->Select a power profile or choose "Custom" to manually change the power profile attributes.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSelectPwrProfile"><!--XLATESTART-->Select a power profile<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProfileMaxPerformance"><!--XLATESTART--><!--DONOTTRANSLATE-->Maximum Performance<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProfileATP"><!--XLATESTART--><!--DONOTTRANSLATE-->Active Power Controller<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProfileOSControl"><!--XLATESTART--><!--DONOTTRANSLATE-->OS Control<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProfileCustom"><!--XLATESTART--><!--DONOTTRANSLATE-->Custom<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProfileCPUPowerMgmt"><!--XLATESTART--><!--DONOTTRANSLATE-->CPU Power and Performance Management<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProfileMemoryPowerMgmt"><!--XLATESTART--><!--DONOTTRANSLATE-->Memory Power and Performance Management<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProfileFanPowerMgmt"><!--XLATESTART--><!--DONOTTRANSLATE-->Fan Power and Performance Management<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProfileOSDBPM"><!--XLATESTART--><!--DONOTTRANSLATE-->OS Demand Based Power Management<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProfileSystemDBPM"><!--XLATESTART--><!--DONOTTRANSLATE-->System Demand Based Power Management<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMinimumPower"><!--XLATESTART--><!--DONOTTRANSLATE-->Minimum Power<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMaximumPerformance"><!--XLATESTART--><!--DONOTTRANSLATE-->Maximum Performance<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAreYouDone"><!--XLATESTART-->Ensure that you have completed setup.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSelected"><!--XLATESTART-->Selected<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNotSelected"><!--XLATESTART-->Not Selected<!--XLATESTOP--></xsl:variable>
<xsl:variable name="str800MHz"><!--XLATESTART--><!--DONOTTRANSLATE-->800 MHz<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="str1067MHz"><!--XLATESTART--><!--DONOTTRANSLATE-->1067 MHz<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="str1333MHz"><!--XLATESTART--><!--DONOTTRANSLATE-->1333 MHz<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerProfilesNAMessage"><!--XLATESTART-->Power Profiles Information is not available on this system.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDecimalFractionSeperator"><!--XLATESTART--><!--DONOTTRANSLATE-->.<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNA"><!--XLATESTART--><!--DONOTTRANSLATE-->Not Available<!--/DONOTTRANSLATE--><!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRetSystemSummary"><!--XLATESTART-->Go to System Summary<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
