<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
	<xsl:template match="/OMA">
	<OMA skin="modern">
		<DataArea>
			<TableData columnspacing="true">

				<xsl:call-template name="Message"></xsl:call-template>
			</TableData>
		</DataArea>
		</OMA>
	</xsl:template>
	
	<xsl:template name="NewLine">
		<xsl:text>
		</xsl:text>
	</xsl:template>

	<xsl:template name="Message">
	<xsl:param name="id"><xsl:value-of select="CLIMsgID"></xsl:value-of></xsl:param>
	<xsl:param name="parsetxt"><xsl:value-of select="CLIParseName"></xsl:value-of></xsl:param>
	<Header>
	<Data>
			<xsl:choose>
			<xsl:when test="$id = '1000'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Command Successful.<!--XLATETHIS--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1001'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Signed number expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1002'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! unsigned number expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1003'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! true or false expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1004'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! alphanumeric or symbol expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1005'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Required parameter missing: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1006'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! At least one optional parameter must be specified.<!--XLATETHIS--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1007'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Command incomplete <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '8'">
					<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Error! Hardware not found: <!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1008'">
					<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Error! Hardware not found: <!--XLATESTOP--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1009'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! cannot load data accessor: <!--XLATETHIS--></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1010'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Index too large. Maximum index for this command is: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1011'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Hardware subsystem reports command failed.  <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1012'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Unrecognized parameter value: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1013'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Text too long. Maximum number of characters is: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1014'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Value incorrect for parameter: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1015'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Number expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1016'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Date in form mmddyy expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>		
			<xsl:when test="$id = '1017'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Percent (0-100) expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>	
			<xsl:when test="$id = '1018'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Number with up to 1 digit after decimal point expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>			
			<xsl:when test="$id = '1019'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Number with up to 2 digits after decimal point  expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>			
			<xsl:when test="$id = '1020'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Number with up to 3 digits after decimal point  expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>	
			<xsl:when test="$id = '1021'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Month is invalid: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1022'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Day is invalid: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1023'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Not a leap year: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1024'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Alphanumeric expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>	
			<xsl:when test="$id = '1025'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Unrecognized parameter: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1026'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Cannot make date with this mmddyy on 32 bit operating system: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
				</xsl:when>
			<xsl:when test="$id = '1027'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! IP Address (ddd.ddd.ddd.ddd) expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
				</xsl:when>
			<xsl:when test="$id = '1028'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Required parameter missing: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
				</xsl:when>
			<xsl:when test="$id = '1037'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Whole numbers seperated by colon(s) expected. Read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1038'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Whole numbers seperated by colon range error. Max is: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
					
			<xsl:when test="$id = '1039'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Multiple values not unique:  <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1040'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Illegal combination of parameters. <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			
			<xsl:when test="$id = '1043'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! IP Subnet (ddd.ddd.ddd.ddd) expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>	
						
			<xsl:when test="$id = '1044'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! IP Subnet set bits must be contiguous, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>	
			
			<xsl:when test="$id = '1101'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! Signed number or "default" expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1102'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! unsigned number or "default" expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1103'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! true or false or "default" expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1104'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! alphanumeric or symbol or "default" expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
			<xsl:when test="$id = '1105'">
				<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLTATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATETHIS-->Error! positive number or "default" expected, read: <!--XLATETHIS-->
				<xsl:value-of select="$parsetxt"/></xsl:attribute>
			</xsl:when>
		</xsl:choose>
		</Data>
		</Header>
<!--		
		<Row>
		<Data>
				<xsl:attribute name="value"><xsl:value-of select="$id"></xsl:value-of></xsl:attribute>
		</Data>
		</Row>
-->		
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>