<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
	<xsl:template match="/osda">
	<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Operating System Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<ListData type="custom">
				<xsl:apply-templates select="OSInfo"/>
			</ListData>
		</DataArea>
		</OMA>
	</xsl:template>
		
	<xsl:template match="OSInfo" >
		<xsl:apply-templates select="OSVersion"/>
		<xsl:apply-templates select="SrvcPk"/>
		<xsl:apply-templates select="BldNum"/>
		<xsl:apply-templates select="HostName"/>
		<xsl:apply-templates select="WinPath"/>
		<xsl:apply-templates select="SysPath"/>
		<xsl:apply-templates select="UsrName"/>
		<xsl:apply-templates select="TotPhyMem"/>
		<xsl:apply-templates select="AvailPhyMem"/>
		<xsl:apply-templates select="TotVirMem"/>
		<xsl:apply-templates select="AvailVirMem"/>
		<xsl:apply-templates select="TotPageFile"/>
		<xsl:apply-templates select="TotExtVirMem"/>
	</xsl:template>
	<xsl:template match="OSVersion">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Operating System Version<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="SrvcPk">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Service Pack<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="BldNum">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Build Number<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="HostName">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Hostname<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="WinPath">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Windows Directory Path<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="SysPath">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->System Directory Path<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="UsrName">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Currently logged in User<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="TotPhyMem">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Total Physical Memory(bytes)<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="AvailPhyMem">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Free Physical Memory(bytes)<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="TotVirMem">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Total Virtual Memory(bytes)<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>		
	<xsl:template match="AvailVirMem">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Free Virtual Memory(bytes)<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="TotPageFile">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Total Page File Size(bytes)<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="TotExtVirMem">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->Total Extended Virtual Memory<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
