<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
	<xsl:template match="/osda">
	<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Display Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Display information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
						<xsl:apply-templates select="DISPLAY"><xsl:sort select="Name"></xsl:sort></xsl:apply-templates>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="DISPLAY">
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Name/@displayname"/></xsl:attribute>
				<xsl:choose>
				<xsl:when test="Name != ''">
					<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				</xsl:when>
                <xsl:otherwise>					
					<xsl:attribute name="value">Null</xsl:attribute>
                </xsl:otherwise>
                </xsl:choose>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="PNP_Device_ID/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="PNP_Device_ID"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Adapter_Type/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Adapter_Type"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Adapter_Description/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Adapter_Description"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Adapter_RAM/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Adapter_RAM"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Installed_Drivers/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Installed_Drivers"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Driver_Version/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Driver_Version"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Color_Planes/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Color_Planes"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Color_Table_Entries/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Color_Table_Entries"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Resolution/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Resolution"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Bits_Pixel/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Bits_Pixel"/></xsl:attribute>
			</Data>
		</ListData>
	</xsl:template>
	
	<xsl:template match="*"/>
</xsl:stylesheet>
