<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
    <xsl:processing-instruction name="xml-stylesheet">
        <xsl:text>type="text/xsl" </xsl:text>
        <xsl:text>href="DataArea.xsl"</xsl:text>
    </xsl:processing-instruction>
    <OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Drivers<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Driver information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
                    <TableData  columnspacing="true" sortable="true">
                        <Header>
                            <Data name="Internal Name">
                                <xsl:attribute name="value"><!--XLATESTART-->Internal Name<!--XLATESTOP--></xsl:attribute>
                                <xsl:attribute name="display">
                                    <!--XLATESTART-->Internal Name<!--XLATESTOP-->
                                </xsl:attribute>
                                <xsl:attribute name="link">true</xsl:attribute>
                            </Data>
                            <Data name="Description">
                                <xsl:attribute name="value"><!--XLATESTART-->Description<!--XLATESTOP--></xsl:attribute>
                                <xsl:attribute name="display">
                                    <!--XLATESTART-->Description<!--XLATESTOP-->
                                </xsl:attribute>
                                <xsl:attribute name="link">true</xsl:attribute>
                            </Data>
                            <Data name="File">
                                <xsl:attribute name="value"><!--XLATESTART-->File<!--XLATESTOP--></xsl:attribute>
                                <xsl:attribute name="display">
                                    <!--XLATESTART-->File<!--XLATESTOP-->
                                </xsl:attribute>
                                <xsl:attribute name="link">true</xsl:attribute>
                            </Data>
                            <Data name="Version">
                                <xsl:attribute name="value"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
                                <xsl:attribute name="display">
                                    <!--XLATESTART-->Version<!--XLATESTOP-->
                                </xsl:attribute>
                                <xsl:attribute name="link">true</xsl:attribute>
                            </Data>
							<xsl:if test="count(//Status)>0">
                                <Data name="Type" >
                                    <xsl:attribute name="value"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:attribute>
                                    <xsl:attribute name="display">
                                        <!--XLATESTART-->Type<!--XLATESTOP-->
                                    </xsl:attribute>
                                    <xsl:attribute name="link">true</xsl:attribute>
                                </Data>
							</xsl:if>
                            <Data name="Start">
                                <xsl:attribute name="value"><!--XLATESTART-->Start<!--XLATESTOP--></xsl:attribute>
                                <xsl:attribute name="display">
                                    <!--XLATESTART-->Start<!--XLATESTOP-->
                                </xsl:attribute>
                                <xsl:attribute name="link">true</xsl:attribute>
                            </Data>
                            <Data name="Status">
                                <xsl:attribute name="value"><!--XLATESTART-->Status<!--XLATESTOP--></xsl:attribute>
                                <xsl:attribute name="display">
                                    <!--XLATESTART-->Status<!--XLATESTOP-->
                                </xsl:attribute>
                                <xsl:attribute name="link">true</xsl:attribute>
                            </Data>
                            <Data name="Name">
                                <xsl:attribute name="value"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
                                <xsl:attribute name="display">
                                    <!--XLATESTART-->Name<!--XLATESTOP-->
                                </xsl:attribute>
                                <xsl:attribute name="link">true</xsl:attribute>
                            </Data>
                            <Data name="Company">
                                <xsl:attribute name="value"><!--XLATESTART-->Company<!--XLATESTOP--></xsl:attribute>
                                <xsl:attribute name="display">
                                    <!--XLATESTART-->Company<!--XLATESTOP-->
                                </xsl:attribute>
                                <xsl:attribute name="link">true</xsl:attribute>
                            </Data>
						</Header>
						<xsl:apply-templates select="Drivers"><xsl:sort select="Internal_Name"></xsl:sort></xsl:apply-templates>
					</TableData>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="Drivers">
		<Row>
			<Data>
			    <xsl:choose>
			    	<xsl:when test="contains(Internal_Name,'.sys')" >
						<xsl:attribute name="value"><xsl:value-of select="substring(Internal_Name,1,string-length(Internal_Name)-4)"/></xsl:attribute>
			    	</xsl:when>
			    	<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="Internal_Name"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Filename"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Version"/></xsl:attribute>
			</Data>
			<xsl:if test="count(//Status) > 0">
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
				</Data>
			</xsl:if>				
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Start"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Status"/></xsl:attribute> 
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<!-- shift down from type and  is until driverver is modified -->
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Company"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
