<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
	<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Forced Hardware<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Forced Hardware Information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(ForcedHardware) = 1">
						<xsl:variable name="testvar">
							<xsl:value-of select="ForcedHardware/DeviceID"/>
						</xsl:variable>
						<xsl:if test="$testvar">
							<xsl:call-template name="NoForcedHardware"/>
						</xsl:if>
					</xsl:if>
					<xsl:if test="count(ForcedHardware) != 1">
						<xsl:call-template name="FoundForcedHardware"/>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template name="FoundForcedHardware">
		<TableData columnspacing="true">
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Device<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Device<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Device ID<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Device ID<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="ForcedHardware"><xsl:sort select="Device"></xsl:sort></xsl:apply-templates>
		</TableData>
	</xsl:template>
	<xsl:template match="ForcedHardware">
		<Row>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Device"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Device"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="DeviceID"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="DeviceID"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="NoForcedHardware">
		<TableData>
			<Row>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->No forced hardware found<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->No forced hardware found<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
</xsl:stylesheet>
