<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>
<xsl:param name="field" select="'Source'" />
<xsl:param name="ord" select="'ascending'"/>

<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="osda">
	<osda>
		<xsl:choose>
			<xsl:when test="$field='Source'">
				<xsl:if test="$ord='ascending'">
				<xsl:for-each select="LogEntry">
					<xsl:sort select="Source" order="ascending" data-type="text"/>
					<LogEntry>
					<EventID><xsl:value-of select="./EventID"/></EventID>
					<EventType><xsl:value-of select="./EventType"/></EventType>
					<Time><xsl:value-of select="./Time"/></Time>
					<Source><xsl:value-of select="./Source"/></Source>
					<Message><xsl:value-of select="./Message"/></Message>
					</LogEntry>
				</xsl:for-each>
				</xsl:if>
				<xsl:if test="$ord='descending'">
				<xsl:for-each select="LogEntry">
					<xsl:sort select="Source" order="descending" data-type="text"/>
					<LogEntry>
					<EventID><xsl:value-of select="./EventID"/></EventID>
					<EventType><xsl:value-of select="./EventType"/></EventType>
					<Time><xsl:value-of select="./Time"/></Time>
					<Source><xsl:value-of select="./Source"/></Source>
					<Message><xsl:value-of select="./Message"/></Message>
					</LogEntry>
				</xsl:for-each>
				</xsl:if>
			</xsl:when>
			
			<xsl:when test="$field='EventType'">
				<xsl:if test="$ord='ascending'">
				<xsl:for-each select="LogEntry">
					<xsl:sort select="EventType" order="ascending" data-type="text"/>
					<LogEntry>
					<EventID><xsl:value-of select="./EventID"/></EventID>
					<EventType><xsl:value-of select="./EventType"/></EventType>
					<Time><xsl:value-of select="./Time"/></Time>
					<Source><xsl:value-of select="./Source"/></Source>
					<Message><xsl:value-of select="./Message"/></Message>
					</LogEntry>
				</xsl:for-each>
				</xsl:if>
				<xsl:if test="$ord='descending'">
				<xsl:for-each select="LogEntry">
					<xsl:sort select="EventType" order="descending" data-type="text"/>
					<LogEntry>
					<EventID><xsl:value-of select="./EventID"/></EventID>
					<EventType><xsl:value-of select="./EventType"/></EventType>
					<Time><xsl:value-of select="./Time"/></Time>
					<Source><xsl:value-of select="./Source"/></Source>
					<Message><xsl:value-of select="./Message"/></Message>
					</LogEntry>
				</xsl:for-each>
				</xsl:if>
			</xsl:when>
		</xsl:choose>
	<LogLimited><xsl:value-of select="LogLimited" /></LogLimited>
	<SMStatus><xsl:value-of select="SMStatus" /></SMStatus>
	</osda>
</xsl:template>

</xsl:stylesheet>