<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml" encoding="UTF-8"/>
	<xsl:template match="/osda">
		<OMA skin="modern">
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Internet Explorer<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<xsl:choose>
					<xsl:when test="SMStatus != '0' ">
						<TableData>
							<Row>
								<Data>
									<xsl:attribute name="value"><!--XLATESTART-->Internet Explorer information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
								</Data>
							</Row>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<ListData type="custom">
							<Header>
								<Data>
									<xsl:attribute name="value"><!--XLATESTART-->Item<!--XLATESTOP--></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><!--XLATESTART-->Value<!--XLATESTOP--></xsl:attribute>
								</Data>
							</Header>
							<xsl:apply-templates select="IEPATH"/>
						</ListData>
						<ListData type="custom">
							<xsl:for-each select="Item">
								<Data>
									<xsl:choose>
									<xsl:when test="@name='W2kVersion'">
<xsl:attribute name="display">Windows Version</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
							</xsl:when>			
									<xsl:otherwise>
										<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
									</xsl:otherwise>
									</xsl:choose>								
								</Data>
							</xsl:for-each>
						</ListData>
						<ListData type="custom">
							<xsl:apply-templates select="IEDATA"/>
						</ListData>
					</xsl:otherwise>
				</xsl:choose>
			</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="IEPATH">
		<xsl:if test="@name='IEXPLORE.EXE' ">
			<xsl:for-each select="Item">
				<Data>
					<xsl:if test="@name=''">
						<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					</xsl:if>
					<xsl:if test="@name!=''">
						<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
					</xsl:if>
					<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
				</Data>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template match="IEDATA">
		<xsl:if test="@name='International' ">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->International Module<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
			</Data>
			<xsl:for-each select="Item">
				<Data>
					<xsl:if test="@name=''">
						<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					</xsl:if>
					<xsl:if test="@name!=''">
						<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
					</xsl:if>
					<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
				</Data>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="@name='Main' ">
			<xsl:for-each select="Item">
				<Data>
					<xsl:if test="@name=''">
						<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					</xsl:if>
					<xsl:if test="@name!=''">
						<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
					</xsl:if>
					<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
				</Data>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="@name='MAIN' ">
			<xsl:for-each select="Item">
				<Data>
					<xsl:if test="@name=''">
						<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
					</xsl:if>
					<xsl:if test="@name!=''">
						<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
					</xsl:if>
					<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
				</Data>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
