<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Installed Items<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Installed Programs information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<TableData>
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Message<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>								
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->InstallLocation<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->InstallLocation<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->InstallSource<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->InstallSource<!--XLATESTOP--></xsl:attribute>
							</Data>
                            <Data>
                                <xsl:attribute name="display">
                                    <!--XLATESTART-->Install Date<!--XLATESTOP-->
                                </xsl:attribute>
                                <xsl:attribute name="value">
                                    <!--XLATESTART-->Install Date<!--XLATESTOP-->
                                </xsl:attribute>
                            </Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->Publisher<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->Publisher<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->URL InfoAbout<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->URL InfoAbout<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<xsl:apply-templates select="InstalledItems"><xsl:sort select="Name"></xsl:sort></xsl:apply-templates>
					</TableData>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="InstalledItems">
        <xsl:if test="string(Name)">
			<Row>                
				<Data>
					<xsl:attribute name="display">Name</xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Version"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Version"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="InstallLocation"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="InstallLocation"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="InstallSource"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="InstallSource"/></xsl:attribute>
				</Data>
                <Data>
                    <xsl:attribute name="value">
                        <xsl:if test="InstallDate">
                            <xsl:variable name="dt" select="InstallDate"/>
                            <!-- Month -->
                            <xsl:value-of select="substring($dt, 5, 2)" />
                            <xsl:text>/</xsl:text>
                            <!-- Day -->
                            <xsl:value-of select="substring($dt, 7, 2)" />
                            <xsl:text>/</xsl:text>
                            <!-- Year -->
                            <xsl:value-of select="substring($dt, 1, 4)" />
                        </xsl:if>
                    </xsl:attribute>
                </Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Publisher"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Publisher"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="URLInfoAbout"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="URLInfoAbout"/></xsl:attribute>
				</Data>                
			</Row>
        </xsl:if>
	</xsl:template>	
	<xsl:template match="*"/>
</xsl:stylesheet>
