<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
	<xsl:template match="/osda">
	<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->IRQ Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->IRQ information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<TableData columnspacing="true" sortable="true">
						<Header>
							<Data name="IRQ">
								<xsl:attribute name="value"><xsl:value-of select="//IRQ/@displayname"/></xsl:attribute>
								<xsl:attribute name="link">true</xsl:attribute>
							</Data>
							<Data name="Device">
								<xsl:attribute name="value"><xsl:value-of select="//Device/@displayname"/></xsl:attribute>
								<xsl:attribute name="link">true</xsl:attribute>
							</Data>
						</Header>
							<xsl:choose>
							<xsl:when test="DEVICEIRQ/IRQ/@type = 'uint32'">
								<xsl:apply-templates select="DEVICEIRQ">
								<xsl:sort select="IRQ" data-type="number"></xsl:sort>
							</xsl:apply-templates>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="DEVICEIRQ">
								<xsl:sort select="IRQ"></xsl:sort>
								</xsl:apply-templates>
							</xsl:otherwise>
							</xsl:choose>
					</TableData>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="DEVICEIRQ">
		<Row>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="IRQ"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Device"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
