<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Boot Menu<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Boot List information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
				
				<xsl:call-template name="BaseList"/>
				<xsl:call-template name="GrubList"/>
				<xsl:call-template name="MenuList"/>
				<xsl:call-template name="devicemap"/>
				
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
				
<xsl:template name="BaseList">
					<TableData columnspacing="true">
						<Header>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Flags/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Number/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Owner/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//User/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Date/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Process/@displayname"/></xsl:attribute>
							</Data>
						</Header>
					<SubHeader>
							<xsl:attribute name="display"><!-- -->Boot List<!----></xsl:attribute>
					</SubHeader>

						<xsl:for-each select="BOOTLIST">
							<Row>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Flags"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Number"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Owner"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="User"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Date"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Process"/></xsl:attribute>
								</Data>
							</Row>
						</xsl:for-each>
						
					</TableData>
</xsl:template>					

<xsl:template name="GrubList">
					<TableData columnspacing="true">
						<Header>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Flags/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Number/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Owner/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//User/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Date/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Process/@displayname"/></xsl:attribute>
							</Data>
						</Header>
					<SubHeader>
							<xsl:attribute name="display"><!-- -->Boot GRUB List<!----></xsl:attribute>
					</SubHeader>

						<xsl:for-each select="BOOTGRUB">
							<Row>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Flags"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Number"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Owner"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="User"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Date"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Process"/></xsl:attribute>
								</Data>
							</Row>
						</xsl:for-each>
						
					</TableData>
</xsl:template>					
	
<xsl:template name="MenuList">
			<ListData type="custom">			
				<xsl:for-each select="BOOTMENU" >
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="ITEM/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="VALUE"/></xsl:attribute>
				</Data>
			</xsl:for-each>
				  
		</ListData>
	
	</xsl:template>

<xsl:template name="devicemap">
	<TableData columnspacing="true">
		<Header>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="//ITEM/@displayname"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="//VALUE/@displayname"/></xsl:attribute>
			</Data>
		</Header>
		<SubHeader>
			<xsl:attribute name="display"><!-- -->Device Map List<!----></xsl:attribute>
		</SubHeader>
		<xsl:for-each select="BOOTDEVICE">
		<Row>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="ITEM"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="VALUE"/></xsl:attribute>
			</Data>
		</Row>
		</xsl:for-each>
		
	</TableData>
</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
