<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
	<xsl:template match="/osda">
	<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->XF86Display Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->XF86Display information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
				
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">Files</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">ServerFlags</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">Module</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">InputDevice</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">Monitor</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">Modes</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">Screen</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">Device</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">ServerLayout</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="Block">
						<xsl:with-param name="GroupName">DRI</xsl:with-param>
				</xsl:call-template>
				
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	
	<xsl:template name="Block">
	   <xsl:param name="GroupName"/>
		<ListData type="custom">
		    <Data><xsl:attribute name="display"><xsl:value-of select="$GroupName"/></xsl:attribute>
		    </Data>
		    <xsl:for-each select="Section[@name = $GroupName]">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Item/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="node()"/></xsl:attribute>
				</Data>
			</xsl:for-each>
		</ListData>
	</xsl:template>
	
	<xsl:template match="*"/>
</xsl:stylesheet>
