<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no"/>
	<xsl:template match="/osda">
		<OMA skin="modern">
			<DataArea>
				<PageTitle>
					<xsl:attribute name="display"><!--XLATESTART-->Memory Information<!--XLATESTOP--></xsl:attribute>
				</PageTitle>
				<xsl:choose>
					<xsl:when test="SMStatus != '0' ">
						<ListData type="custom">
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Memory Information Not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</ListData>
					</xsl:when>
					<xsl:otherwise>
						<ListData type="custom">
							<xsl:apply-templates select="MEMUSAGE"/>
						</ListData>
					</xsl:otherwise>
				</xsl:choose>
			</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template name="Memory" match="MEMUSAGE">
		<xsl:if test="MemTotal">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="MemTotal/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MemTotal"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="MemFree">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="MemFree/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MemFree"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="MemShared">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="MemShared/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MemShared"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Buffers">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Buffers/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Buffers"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Cached">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Cached/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Cached"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="SwapCached">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SwapCached/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SwapCached"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Active">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Active/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Active"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="ActiveAnon">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ActiveAnon/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ActiveAnon"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="ActiveCache">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ActiveCache/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ActiveCache"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Inact_dirty">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Inact_dirty/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Inact_dirty"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Inact_laundry">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Inact_laundry/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Inact_laundry"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Inact_clean">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Inact_clean/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Inact_clean"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Inact_target">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Inact_target/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Inact_target"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Inactive">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Inactive/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Inactive"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="HighTotal">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="HighTotal/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="HighTotal"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="HighFree">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="HighFree/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="HighFree"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="LowTotal">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="LowTotal/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="LowTotal"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="LowFree">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="LowFree/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="LowFree"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="SwapTotal">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SwapTotal/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SwapTotal"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="SwapFree">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SwapFree/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SwapFree"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Dirty">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Dirty/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Dirty"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Writeback">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Writeback/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Writeback"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="AnonPages">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="AnonPages/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="AnonPages"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Mapped">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Mapped/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Mapped"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Slab">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Slab/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Slab"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="SReclaimable">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SReclaimable/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SReclaimable"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="SUnreclaim">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SUnreclaim/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SUnreclaim"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="CommitLimit">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="CommitLimit/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CommitLimit"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Committed_AS">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Committed_AS/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Committed_AS"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="PageTables">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="PageTables/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="PageTables"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="NFS_Unstable">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="NFS_Unstable/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="NFS_Unstable"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Bounce">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Bounce/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Bounce"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="WritebackTmp">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="WritebackTmp/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="WritebackTmp"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="VmallocTotal">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="VmallocTotal/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="VmallocTotal"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="VmallocUsed">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="VmallocUsed/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="VmallocUsed"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="VmallocChunk">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="VmallocChunk/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="VmallocChunk"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="HugePages_Total">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="HugePages_Total/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="HugePages_Total"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="HugePages_Free">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="HugePages_Free/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="HugePages_Free"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="HugePages_Rsvd">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="HugePages_Rsvd/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="HugePages_Rsvd"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="HugePages_Surp">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="HugePages_Surp/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="HugePages_Surp"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="Hugepagesize">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Hugepagesize/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Hugepagesize"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="DirectMap4k">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="DirectMap4k/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="DirectMap4k"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="DirectMap2M">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="DirectMap2M/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="DirectMap2M"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="MachineMem">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="MachineMem/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MachineMem"/></xsl:attribute>
			</Data>
		</xsl:if>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
