<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Modules<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Modules information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<TableData columnspacing="true">
						<Header>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Name/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Size/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//User/@displayname"/></xsl:attribute>
							</Data>
						</Header>
						<xsl:apply-templates select="MODULES"><xsl:sort select="Name"></xsl:sort></xsl:apply-templates>
					</TableData>
					
					<xsl:call-template name="MODCONF"/>
					<xsl:call-template name="LIB_MODULES"/>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	
	<xsl:template match="MODULES">
		<Row>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="User"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	
	<xsl:template name="MODCONF">
		<TableData columnspacing="true">
			<Header>
				<Data>
					<xsl:attribute name="value">Command</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="//MODCONF/Command/@displayname"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="//MODCONF/Options/@displayname"/></xsl:attribute>
				</Data>
			</Header>
			<SubHeader>
					<xsl:attribute name="display"><!-- -->etc/modprobe.conf<!----></xsl:attribute>
			</SubHeader>
			<xsl:for-each select="MODCONF">
				<Row>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="Command"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="Options"/></xsl:attribute>
					</Data>
				</Row>
				</xsl:for-each>
			</TableData>
	</xsl:template>
	
	<xsl:template name="LIB_MODULES">
		<TableData columnspacing="true">
			<Header>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="//LIB_MODULES/Name/@displayname"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="//LIB_MODULES/Path/@displayname"/></xsl:attribute>
				</Data>
			</Header>
			<SubHeader>
					<xsl:attribute name="display"><!-- -->lib/modules/...<!----></xsl:attribute>
			</SubHeader>
			<xsl:for-each select="LIB_MODULES">
				<Row>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="Path"/></xsl:attribute>
					</Data>
				</Row>
				</xsl:for-each>
		</TableData>
	</xsl:template>
	
	<xsl:template match="*"/>
</xsl:stylesheet>
