<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Mounts<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Mount information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
				
				<xsl:call-template name="MountList"/>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
				
<xsl:template name="MountList">
					<TableData columnspacing="true">
						<Header>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Device/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Mount_Point/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Type/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Flags/@displayname"/></xsl:attribute>
							</Data>
						</Header>
						<xsl:for-each select="MOUNTS">
							<Row>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Device"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Mount_Point"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Flags"/></xsl:attribute>
								</Data>
							</Row>
						</xsl:for-each>
						
					</TableData>
</xsl:template>					

	<xsl:template match="*"/>
</xsl:stylesheet>
