<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Network Adapter Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:for-each select="NETADPLISTHW">
				<xsl:call-template name="NETADPLIST"/>
			</xsl:for-each>
			
			<xsl:call-template name="Resolve"/>
			
			<xsl:call-template name="Hosts"/>
			   
			
		</DataArea>
		</OMA>
	</xsl:template>
		
	<xsl:template name="NETADPLIST">
		<ListData type="custom">
			<xsl:if test="Name">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Name/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Adapter_Type">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Adapter_Type/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Adapter_Type"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="MAC_Address">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="MAC_Address/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="MAC_Address"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="IRQ_Number">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="IRQ_Number/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IRQ_Number"/></xsl:attribute>
				</Data>
			</xsl:if>			
		
			<xsl:for-each select="NETADPCONFIG">
				<xsl:if test="InetIPAddress">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="InetIPAddress/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="InetIPAddress"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="BroadCast">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="BroadCast/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="BroadCast"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="SubnetMask">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="SubnetMask/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="Inet6IPAddress ">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select=" Inet6IPAddress/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="Inet6IPAddress"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="Scope  ">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select=" Scope /@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="Scope "/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="Status ">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select=" Status/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select=" Status"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="StatusChar ">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select=" StatusChar/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select=" StatusChar"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="MTU">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select=" MTU/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="MTU "/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="Metric ">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select=" Metric/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select=" Metric"/></xsl:attribute>
					</Data>
     			</xsl:if>											
			</xsl:for-each>								
			<!-- Now get the protocol Items-->
			<xsl:for-each select="NETPROTOCOL">
				<xsl:if test="RXPackets ">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="RXPackets /@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="RXPackets "/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="RXErrors">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="RXErrors/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="RXErrors"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="RXDropped">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="RXDropped/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="RXDropped"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="RXOverruns">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="RXOverruns/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="RXOverruns"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="RXFrame">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="RXFrame/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="RXFrame"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="TXPackets">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="TXPackets/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="TXPackets"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="TXErrors">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="TXErrors/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="TXErrors"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="TXDropped ">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="TXDropped/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="TXDropped"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="TXOverruns">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="TXOverruns/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="TXOverruns"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="TXCarrier">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="TXCarrier/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="TXCarrier"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="Collisions">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="Collisions/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="Collisions"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="TxQueueLen">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="TxQueueLen/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="TxQueueLen"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="RXbytes">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="RXbytes/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="RXbytes"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				<xsl:if test="TXbytes">
					<Data>
						<xsl:attribute name="display"><xsl:value-of select="TXbytes/@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="TXbytes"/></xsl:attribute>
					</Data>
     			</xsl:if>											
				</xsl:for-each>
		</ListData>
	</xsl:template>
	
	<xsl:template name="Resolve" >
		<ListData type="custom">
				<Data>
				<xsl:attribute name="display">Contents of etc/resolve.conf</xsl:attribute>
				</Data>
		      <xsl:for-each select="NETRESOLV/NameServer">
		          <Data>
						<xsl:attribute name="display"><xsl:value-of select="@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="node()"/></xsl:attribute>
		          </Data>
		      </xsl:for-each>		
		      <xsl:for-each select="NETRESOLV/Search">
		          <Data>
						<xsl:attribute name="display"><xsl:value-of select="@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="node()"/></xsl:attribute>
		          </Data>
		      </xsl:for-each>		
		      <xsl:for-each select="NETRESOLV/Domain">
		          <Data>
						<xsl:attribute name="display"><xsl:value-of select="@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="node()"/></xsl:attribute>
		          </Data>
		      </xsl:for-each>		
		      <xsl:for-each select="NETRESOLV/SortList">
		          <Data>
						<xsl:attribute name="display"><xsl:value-of select="@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="node()"/></xsl:attribute>
		          </Data>
		      </xsl:for-each>		
		      <xsl:for-each select="NETRESOLV/Options">
		          <Data>
						<xsl:attribute name="display"><xsl:value-of select="@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="node()"/></xsl:attribute>
		          </Data>
		      </xsl:for-each>		
	</ListData>
	</xsl:template>
	
	<xsl:template name="Hosts" >
		<ListData type="custom">
				<Data><xsl:attribute name="display">Contents of etc/hosts</xsl:attribute>
				</Data>
				<Data>
						<xsl:attribute name="display">IP Address</xsl:attribute>
						<xsl:attribute name="value">Host Name</xsl:attribute>
				</Data>
		      <xsl:for-each select="NETHOSTS/Item">
		          <Data>
						<xsl:attribute name="display"><xsl:value-of select="@address"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="node()"/></xsl:attribute>
		          </Data>
		      </xsl:for-each>		
	</ListData>
	</xsl:template>
	
	<xsl:template match="*"/>
</xsl:stylesheet>
