<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
   <xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no" standalone="no" />
   <xsl:variable name="Kstr"><!--XLATESTART-->K<!--XLATESTOP--></xsl:variable>

   <xsl:template match="/osda">
      <OMA skin="modern">
         <DataArea>
            <PageTitle>
               <xsl:attribute name="display"><!--XLATESTART-->Processes<!--XLATESTOP-->
               </xsl:attribute>
            </PageTitle>

            <xsl:choose>
               <xsl:when test="SMStatus != '0' ">
                  <TableData>
                     <Row>
                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Processes information not found.<!--XLATESTOP-->
                           <xsl:value-of select="CmdHelp" />
                           </xsl:attribute>
                        </Data>
                     </Row>
                  </TableData>
               </xsl:when>

               <xsl:otherwise>
                  <TableData columnspacing="true">
                     <Header>
                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//Name/@displayname"/>
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//ID/@displayname"/>
                           </xsl:attribute>
                        </Data>
                        <!-- New items for Linux-->
                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//PercentCPU/@displayname"/>
                           </xsl:attribute>
                        </Data>
                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//PercentMem_Usage/@displayname"/>
                           </xsl:attribute>
                        </Data>
                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//Mem_Usage/@displayname"/>
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//VM_Size/@displayname"/>
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//CPU_Time/@displayname"/>
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//Started/@displayname"/>
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//Path/@displayname"/>
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//Status/@displayname"/>
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//User/@displayname"/>
                           </xsl:attribute>
                        </Data>
                        <Data>
                           <xsl:attribute name="value"><xsl:value-of select="//TTY/@displayname"/>
                           </xsl:attribute>
                        </Data>

                     </Header>
                     <xsl:apply-templates select="Processes[normalize-space(Name)]">
                     </xsl:apply-templates>
                  </TableData>
               </xsl:otherwise>
            </xsl:choose>

         </DataArea>
      </OMA>
   </xsl:template>

   <xsl:template match="Processes">
      <Row>
         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Name" />
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="ID" />
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
            <xsl:value-of select="PercentCPU" />
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
            <xsl:value-of select="PercentMem_Usage" />
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
            <xsl:value-of select="Mem_Usage" /><xsl:value-of select="$Kstr"/>
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
            <xsl:value-of select="VM_Size" /><xsl:value-of select="$Kstr"/>
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="CPU_Time" />
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Started" />
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Path" />
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Status" />
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="User" />
            </xsl:attribute>
         </Data>
         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="TTY" />
            </xsl:attribute>
         </Data>
      </Row>
   </xsl:template>

</xsl:stylesheet>

