<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Services information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Service Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<TableData columnspacing="true">
					<Header>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Name/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//State/@displayname"/></xsl:attribute>
							</Data>
						</Header>
						<xsl:apply-templates select="SERVICE"><xsl:sort select="Name"></xsl:sort></xsl:apply-templates>
					</TableData>
			</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	
	<xsl:template match="SERVICE">
		<Row>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="State"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	
	

	<xsl:template match="*"/>
</xsl:stylesheet>
