<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Storage Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<ListData type="custom">
						<Data>
						<xsl:attribute name="value"><!--XLATESTART-->Storage Information Not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:for-each select="MEMSTAT">
					<xsl:call-template name="Mem">
					   <xsl:with-param name="Name" select="@name"/>
					</xsl:call-template>
					</xsl:for-each>
					<xsl:for-each select="STORAGEBASE">
					<xsl:call-template name="Base"/>
					</xsl:for-each>
					<xsl:for-each select="ATTACHEDSCSI">
					<xsl:call-template name="SCSI"/>
					</xsl:for-each>
				</xsl:otherwise>
				
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	
	<xsl:template name="Mem">
	   <xsl:param name="Name"/>
		<ListData type="custom">
		        <Data>
					<xsl:attribute name="display"><xsl:value-of select="$Name"/></xsl:attribute>
				</Data>
				  <xsl:for-each select="ITEM">
				  <Data>
						<xsl:attribute name="display"><xsl:value-of select="@displayname"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="node()"/></xsl:attribute>
						<xsl:attribute name="unit"><xsl:value-of select="@unit"/></xsl:attribute>
				  </Data>
				  </xsl:for-each>
		</ListData>
	</xsl:template>

	<xsl:template name="Base">
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Drive/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Drive"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Description/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Compressed/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Compressed"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="FileSystem/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="FileSystem"/></xsl:attribute>
			</Data>
			<xsl:if test="Size">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Size/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="FreeSpace">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="FreeSpace/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="FreeSpace"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="VolumeName">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="VolumeName/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="VolumeName"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="VolumeSerial">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="VolumeSerial/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="VolumeSerial"/></xsl:attribute>
			</Data>
			</xsl:if>
		</ListData>
	</xsl:template>
	
	<xsl:template name="SCSI">
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ATTACHEDHOST/Host/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ATTACHEDHOST/Host"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ATTACHEDHOST/Channel/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ATTACHEDHOST/Channel"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ATTACHEDHOST/SC_ID/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ATTACHEDHOST/SC_ID"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ATTACHEDHOST/LUN/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ATTACHEDHOST/LUN"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ATTACHEDVENDOR/Vendor/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ATTACHEDVENDOR/Vendor"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ATTACHEDVENDOR/Model/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ATTACHEDVENDOR/Model"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ATTACHEDVENDOR/Rev/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ATTACHEDVENDOR/Rev"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ATTACHEDTYPE/Type/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ATTACHEDTYPE/Type"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ATTACHEDTYPE/Revision/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ATTACHEDTYPE/Revision"/></xsl:attribute>
			</Data>
		</ListData>
	</xsl:template>


	<xsl:template match="*"/>
</xsl:stylesheet>
