<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
	<xsl:template match="/osda">
	<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->USB<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->USB information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
				   <ListData type="custom" >
						<xsl:apply-templates select="LinUSB"/>
						</ListData>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="LinUSB">
	   <Data>
			   <xsl:attribute name="display"><!--XLATEBEGIN -->Linux List File items<!--XLATEEND --></xsl:attribute>
	   </Data>
		<xsl:for-each select="Item">
			<xsl:if test="@displayname ='Bus' ">
			   <Data>
					   <xsl:attribute name="display">
					   <xsl:value-of select="string('==========  USB Device ')"/>
					   <xsl:value-of select="substring-before(node(),' ') "/>
<!--					   <xsl:value-of select="substring-before(substring-after(node(),'Device'),'  ')"/> -->
					   <xsl:value-of select="string( ' ========== ')"/>
					   </xsl:attribute>
			   </Data>
			</xsl:if>
			<Data>
			   <xsl:attribute name="display"><xsl:value-of select="@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="node()"/></xsl:attribute>
			</Data>
			</xsl:for-each>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
