<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
	<xsl:template match="/osda">
	<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Modem<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Modem information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
						<xsl:apply-templates select="MODEM" ><xsl:sort select="Name"></xsl:sort></xsl:apply-templates>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="MODEM">
		<ListData type="custom">
		   <xsl:if test="No_modems">
			<Data>
				<xsl:attribute name="display">
					<!--XLATESTART-->Modem information not found.<!--XLATESTOP--></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Name">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Name/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Description">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Description/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Device_ID">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Device_ID/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Device_ID"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Device_Type">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Device_Type/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Device_Type"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Attached_To">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Attached_To/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Attached_To"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Answer_Mode">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Answer_Mode/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Answer_Mode"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="PNP_Device_ID">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="PNP_Device_ID/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="PNP_Device_ID"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Provider_Name">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Provider_Name/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Provider_Name"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Modem_Inf_Path">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Modem_Inf_Path/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Modem_Inf_Path"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Modem_Inf_Section">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Modem_Inf_Section/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Modem_Inf_Section"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Blind_Off">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Blind_Off/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Blind_Off"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Blind_On">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Blind_On/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Blind_On"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Compression_On">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Compression_On/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Compression_On"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Error_Control_Forced">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Error_Control_Forced/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Error_Control_Forced"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Error_Control_Off">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Error_Control_Off/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Error_Control_Off"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Error_Control_On">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Error_Control_On/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Error_Control_On"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Flow_Control_Hard">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Flow_Control_Hard/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Flow_Control_Hard"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Flow_Control_Off">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Flow_Control_Off/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Flow_Control_Off"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Flow_Control_Soft">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Flow_Control_Soft/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Flow_Control_Soft"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="DCB">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="DCB/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="DCB"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Default">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Default/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Default"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Inactivity_Timeout">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Inactivity_Timeout/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Inactivity_Timeout"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Modulation_Bell">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Modulation_Bell/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Modulation_Bell"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Modulation_CCITT">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Modulation_CCITT/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Modulation_CCITT"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Prefix">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Prefix/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Prefix"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Properties">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Properties/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Properties"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Pulse">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Pulse/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Pulse"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Reset">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Reset/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Reset"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Responses_Key_Name">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Responses_Key_Name/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Responses_Key_Name"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Speaker_Mode_Dial">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Speaker_Mode_Dial/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Speaker_Mode_Dial"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Speaker_Mode_Off">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Speaker_Mode_Off/@displayname"/>></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Speaker_Mode_Off"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Speaker_Mode_On">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Speaker_Mode_On/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Speaker_Mode_On"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Speaker_Mode_Setup">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Speaker_Mode_Setup/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Speaker_Mode_Setup"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Speaker_Volume_High">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Speaker_Volume_High/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Speaker_Volume_High"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Speaker_Volume_Low">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Speaker_Volume_Low/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Speaker_Volume_Low"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Speaker_Volume_Med">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Speaker_Volume_Med/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Speaker_Volume_Med"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="String_Format">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="String_Format/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="String_Format"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Terminator">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Terminator/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Terminator"/></xsl:attribute>
			</Data>
			</xsl:if>
		   <xsl:if test="Tone">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Tone/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Tone"/></xsl:attribute>
			</Data>
			</xsl:if>
			
		</ListData>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
