<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Network Adapter Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:for-each select="NETADPLISTHW">
				<xsl:call-template name="NETADPLIST"/>
			</xsl:for-each>
			<xsl:for-each select="NETPROTOCOL">
				<xsl:call-template name="NETPROTO"/>
			</xsl:for-each>
		</DataArea>
		</OMA>
	</xsl:template>
		
	<xsl:template name="NETADPLIST">
		<ListData type="custom">
			<xsl:if test="Name">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Name/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Adapter_Type">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Adapter_Type/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Adapter_Type"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Product_Name">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Product_Name/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Product_Name"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Installed">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Installed/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Installed"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="PNP_Device_ID">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PNP_Device_ID/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PNP_Device_ID"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Last_Reset">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Last_Reset/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Last_Reset"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Index">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Index/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Index"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Service_Name">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Service_Name/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Service_Name"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="NETADPCONFIG/DNS_Server_IP">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/DNS_Server_IP/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/DNS_Server_IP"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="NETADPCONFIG/DNS_Domain">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/DNS_Domain/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/DNS_Domain"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="NETADPCONFIG/Driver_Path">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/Driver_Path/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/Driver_Path"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="NETADPCONFIG/DHCP_Enabled">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/DHCP_Enabled/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/DHCP_Enabled"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="NETADPCONFIG/DHCP_Server">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/DHCP_Server/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/DHCP_Server"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="NETADPCONFIG/DHCP_Lease_Expires">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/DHCP_Lease_Expires/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/DHCP_Lease_Expires"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="NETADPCONFIG/DHCP_Lease_Obtained">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/DHCP_Lease_Obtained/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/DHCP_Lease_Obtained"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="NETADPCONFIG/IPAddress">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/IPAddress/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/IPAddress"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="NETADPCONFIG/IPSubnet">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/IPSubnet/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/IPSubnet"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="NETADPCONFIG/IPEnabled">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/IPEnabled/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/IPEnabled"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="NETADPCONFIG/DefaultIPGateway">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="NETADPCONFIG/DefaultIPGateway/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="NETADPCONFIG/DefaultIPGateway"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="MAC_Address">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="MAC_Address/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="MAC_Address"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="IRQ_Number">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="IRQ_Number/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="IRQ_Number"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="I_O_Port">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="I_O_Port/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="I_O_Port"/></xsl:attribute>
				</Data>
			</xsl:if>											
			<xsl:if test="Driver">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Driver/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Driver"/></xsl:attribute>
				</Data>
			</xsl:if>											
		</ListData>
	</xsl:template>
	
	<xsl:template name="NETPROTO">
		<ListData type="custom">
			<xsl:if test="Name">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Name/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Connectionless_Service">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Connectionless_Service/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Connectionless_Service"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Guarantees_Delivery">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Guarantees_Delivery/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Guarantees_Delivery"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Guarantees_Sequencing">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Guarantees_Sequencing/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Guarantees_Sequencing"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Maximum_Address_Size ">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Maximum_Address_Size /@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Maximum_Address_Size "/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Maximum_Message_Size">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Maximum_Message_Size/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Maximum_Message_Size"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Message_Oriented">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Message_Oriented/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Message_Oriented"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Minimum_Address_Size ">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Minimum_Address_Size /@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Minimum_Address_Size "/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Pseudo_Stream_Oriented">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Pseudo_Stream_Oriented/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Pseudo_Stream_Oriented"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Supports_Broadcasting ">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Supports_Broadcasting /@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Supports_Broadcasting "/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Supports_Connect_Data">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Supports_Connect_Data/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Supports_Connect_Data"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Supports_Disconnect_Data">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Supports_Disconnect_Data/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Supports_Disconnect_Data"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Supports_Encryption">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Supports_Encryption/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Supports_Encryption"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Supports_Expedited_Data">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Supports_Expedited_Data/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Supports_Expedited_Data"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Supports_Graceful_Closing">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Supports_Graceful_Closing/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Supports_Graceful_Closing"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Supports_Guaranteed_Bandwidth">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Supports_Guaranteed_Bandwidth/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Supports_Guaranteed_Bandwidth"/></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="Supports_Multicasting">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Supports_Multicasting/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Supports_Multicasting"/></xsl:attribute>
				</Data>
			</xsl:if>
	</ListData>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
