<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Networking Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:for-each select="NetworkAdapter">
				<xsl:call-template name="NetworkAdapter"></xsl:call-template>
			</xsl:for-each>
		</DataArea>
		</OMA>
	</xsl:template>
		
	<xsl:template name="NetworkAdapter">
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Name<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->IP Address<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="IPAddress"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->SubnetMask<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SubnetMask"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->Gateway<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Gateway"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->DHCP Server<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="DHCPServer"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><!--XLATESTART-->DNS<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="DNS"/></xsl:attribute>
			</Data>
		</ListData>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
