<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
	<xsl:template match="/osda">
	<OMA skin="modern"> 
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Problem Devices<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Problem Device Information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(ProbDevice/Device) = 0">
							<xsl:call-template name="NoProbDevice"/>
					</xsl:if>
					<xsl:if test="count(ProbDevice/Device) != 0">
						<xsl:call-template name="FoundProbDevice"/>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template name="FoundProbDevice">
		<TableData columnspacing="true">
			<Header>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Device<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Error Code<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="ProbDevice"><xsl:sort select="Device"></xsl:sort></xsl:apply-templates>
		</TableData>
	</xsl:template>
	<xsl:template match="ProbDevice">
		<Row>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="Device"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="value"><xsl:value-of select="ErrCode"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="NoProbDevice">
		<TableData>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->No problem devices found<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
</xsl:stylesheet>
