<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="xml" />
   <xsl:strip-space elements="*" />
   

   <xsl:template match="OMA">
	   <OMA>
	   <xsl:if test="//ProcessorList/@count &lt; '2' ">
			<SMStatus>-1</SMStatus>
	   </xsl:if>
	   <xsl:if test="//ProcessorList/@count &gt; '1'">
			<xsl:if test="//ProcessorList/ProcessorConn/@index='1'">
			  <ProcessorList>
               <ProcessorConn>
		         <ConnectorType>
				  	<xsl:value-of select="ProcessorList/ProcessorConn/ConnectorType"/> 
		         </ConnectorType>
				  <IsOccupied>
				  	<xsl:value-of select="ProcessorList/ProcessorConn/IsOccupied"/> 
               	  </IsOccupied>
			   <DevProcessor>
					<xsl:attribute name="status"><xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/@status"/></xsl:attribute>
				   <xsl:call-template name="Processor"/>
			   </DevProcessor>
			  </ProcessorConn>
			  </ProcessorList>
			<ObjStatus>2</ObjStatus>
			<SMStatus>0</SMStatus>
		</xsl:if>
		 <xsl:if test="//CPUStatusProbeList/CPUStatusProbe/@index='1'">
		<CPUStatusProbeList>
		        <CPUStatusProbe>
			   <xsl:call-template name="ProcessorStat"/>
	        	</CPUStatusProbe>
		</CPUStatusProbeList>
		</xsl:if>
	</xsl:if>
	</OMA>
   </xsl:template>

   <xsl:template name="Processor">
      <!--  <ExtName>
          <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/ExtName"/>
          </ExtName>-->
       <ProcessorType>
          <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/ProcessorType"/>
       </ProcessorType>

       <Family>
          <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/Family"/>
       </Family>

       <MaxSpeed>
          <xsl:attribute name="unit"><xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/MaxSpeed/@unit"/></xsl:attribute>
          <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/MaxSpeed"/>
       </MaxSpeed>

       <CurSpeed>
          <xsl:attribute name="unit"><xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/CurSpeed/@unit"/></xsl:attribute>
          <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/CurSpeed"/>
       </CurSpeed>

       <ExtClockSpeed>
          <xsl:attribute name="unit"><xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/ExtClockSpeed/@unit"/></xsl:attribute>
            <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/ExtClockSpeed"/>
       </ExtClockSpeed>

       <Voltage>
          <xsl:attribute name="unit"><xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/Voltage/@unit"/></xsl:attribute>
          <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/Voltage"/>
       </Voltage>

       <ProcessorStatus>
          <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/ProcessorStatus"/>
       </ProcessorStatus>

       <Upgrade>
          <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/Upgrade"/>
       </Upgrade>

       <Manufacturer>
            <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/Manufacturer"/>
       </Manufacturer>

       <Version>
            <xsl:value-of select="ProcessorList/ProcessorConn/DevProcessor/Version"/>
       </Version>
        
   </xsl:template>
   
   <xsl:template name="ProcessorStat">
		<CPUStatusIErr>
			<xsl:value-of select="CPUStatusProbeList/CPUStatusProbe/ProcessorStatus/CPUStatusErr"/>
		</CPUStatusIErr>
		<CPUStatusThermTrip>
			<xsl:value-of select="CPUStatusProbeList/CPUStatusProbe/ProcessorStatus/CPUStatusThermTrip"/>
		</CPUStatusThermTrip>
		<CPUStatusConfigErr>
			<xsl:value-of select="CPUStatusProbeList/CPUStatusProbe/ProcessorStatus/CPUStatusConfigErr"/>
		</CPUStatusConfigErr>
        <CPUStatusPresenceDetected>
			  <xsl:value-of select="CPUStatusProbeList/CPUStatusProbe/ProcessorStatus/CPUStatusPresenceDetected"/>
        </CPUStatusPresenceDetected>
		<CPUStatusDisabled>
					<xsl:value-of select="CPUStatusProbeList/CPUStatusProbe/ProcessorStatus/CPUStatusDisabled"/>
		</CPUStatusDisabled>
		<CPUStatusTermPresenceDetected>
			<xsl:value-of select="CPUStatusProbeList/CPUStatusProbe/ProcessorStatus/CPUStatusTermPresenceDetected"/>
		</CPUStatusTermPresenceDetected>
		<CPUStatusThrottled>
			<xsl:value-of select="CPUStatusProbeList/CPUStatusProbe/ProcessorStatus/CPUStatusThrottled"/>
		</CPUStatusThrottled>

   </xsl:template>
   
   <xsl:template match="ObjStatus" />
   

</xsl:stylesheet>

