<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
   <xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no" standalone="no" />
   <xsl:variable name="Kstr"><!--XLATESTART-->K<!--XLATESTOP--></xsl:variable>

   <xsl:template match="/osda">
      <OMA skin="modern">
         <DataArea>
            <PageTitle>
               <xsl:attribute name="display"><!--XLATESTART-->Processes<!--XLATESTOP-->
               </xsl:attribute>
            </PageTitle>

            <xsl:choose>
               <xsl:when test="SMStatus != '0' ">
                  <TableData>
                     <Row>
                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Processes information not found.<!--XLATESTOP-->
                           <xsl:value-of select="CmdHelp" />
                           </xsl:attribute>
                        </Data>
                     </Row>
                  </TableData>
               </xsl:when>

               <xsl:otherwise>
                  <TableData columnspacing="true">
                     <Header>
                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Name<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->ID<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Mem Usage<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->VM Size<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Paged Pool<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->NP Pool<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Page Faults<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->CPU Time<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Priority<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Threads<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Handles<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Started<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Path<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->GDI Objects<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->User Objects<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->IO Reads<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->IO Writes<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->IO Other<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Read bytes<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Write bytes<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>

                        <Data>
                           <xsl:attribute name="value"><!--XLATESTART-->Other bytes<!--XLATESTOP-->
                           </xsl:attribute>
                        </Data>
                     </Header>
                     <xsl:apply-templates select="Processes[normalize-space(Name)]">
                     </xsl:apply-templates>
                  </TableData>
               </xsl:otherwise>
            </xsl:choose>

            <TableData columnspacing="true">
               <Header>
                  <Data>
                     <xsl:attribute name="value"><!--XLATESTART-->Total Physical(K)<!--XLATESTOP-->
                     </xsl:attribute>
                  </Data>

                  <Data>
                     <xsl:attribute name="value"><!--XLATESTART-->Available Physical(K)<!--XLATESTOP-->
                     </xsl:attribute>
                  </Data>

                  <Data>
                     <xsl:attribute name="value"><!--XLATESTART-->System Cache(K)<!--XLATESTOP-->
                     </xsl:attribute>
                  </Data>

                  <Data>
                     <xsl:attribute name="value"><!--XLATESTART-->Total Kernel(K)<!--XLATESTOP-->
                     </xsl:attribute>
                  </Data>

                  <Data>
                     <xsl:attribute name="value"><!--XLATESTART-->Paged(K)<!--XLATESTOP-->
                     </xsl:attribute>
                  </Data>

                  <Data>
                     <xsl:attribute name="value"><!--XLATESTART-->Non-Paged(K)<!--XLATESTOP-->
                     </xsl:attribute>
                  </Data>

                  <Data>
                     <xsl:attribute name="value"><!--XLATESTART-->Total Commit Charge<!--XLATESTOP-->
                     </xsl:attribute>
                  </Data>

                  <Data>
                     <xsl:attribute name="value"><!--XLATESTART-->Limit Commit<!--XLATESTOP-->
                     </xsl:attribute>
                  </Data>

                  <Data>
                     <xsl:attribute name="value"><!--XLATESTART-->Peak Commit<!--XLATESTOP-->
                     </xsl:attribute>
                  </Data>
               </Header>

               <Row>
                  <xsl:apply-templates select="Totals/Process_Counts" />

                  <xsl:apply-templates select="Totals/Physical_K" />

                  <xsl:apply-templates select="Totals/Kernel_K" />

                  <xsl:apply-templates select="Totals/Commit_Charge_K" />
               </Row>
            </TableData>
         </DataArea>
      </OMA>
   </xsl:template>

   <xsl:template match="Processes">
      <Row>
         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Name" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="ID" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
            <xsl:value-of select="Mem_Usage" /><xsl:value-of select="$Kstr"/>
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
            <xsl:value-of select="VM_Size" /><xsl:value-of select="$Kstr"/>
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
            <xsl:value-of select="Paged_Pool" /><xsl:value-of select="$Kstr"/>
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
            <xsl:value-of select="NP_Pool" /><xsl:value-of select="$Kstr"/>
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Page_Faults" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="CPU_Time" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Priority" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Threads" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Handles" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Started" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Path" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="GDI_Objects" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="User_Objects" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="IO_Reads" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="IO_Writes" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="IO_Other" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Read_bytes" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Write_bytes" />
            </xsl:attribute>
         </Data>

         <Data>
            <xsl:attribute name="value">
               <xsl:value-of select="Other_bytes" />
            </xsl:attribute>
         </Data>
      </Row>
   </xsl:template>

   <xsl:template match="Totals/Physical_K">
      <Data>
         <xsl:attribute name="display"><!--XLATESTART-->Total<!--XLATESTOP-->
         </xsl:attribute>

         <xsl:attribute name="value">
            <xsl:value-of select="Total" />
         </xsl:attribute>
      </Data>

      <Data>
         <xsl:attribute name="display"><!--XLATESTART-->Available<!--XLATESTOP-->
         </xsl:attribute>

         <xsl:attribute name="value">
            <xsl:value-of select="Available" />
         </xsl:attribute>
      </Data>

      <Data>
         <xsl:attribute name="display"><!--XLATESTART-->System_Cache<!--XLATESTOP-->
         </xsl:attribute>

         <xsl:attribute name="value">
            <xsl:value-of select="System_Cache" />
         </xsl:attribute>
      </Data>
   </xsl:template>

   <xsl:template match="Totals/Process_Counts">
      <TableData name="ProcessCounts" columnspacing="true">
         <Header>
            <Data>
               <xsl:attribute name="value"><!--XLATESTART-->Handles<!--XLATESTOP-->
               </xsl:attribute>
            </Data>

            <Data>
               <xsl:attribute name="value"><!--XLATESTART-->Threads<!--XLATESTOP-->
               </xsl:attribute>
            </Data>

            <Data>
               <xsl:attribute name="value"><!--XLATESTART-->Processes<!--XLATESTOP-->
               </xsl:attribute>
            </Data>
         </Header>

         <Row>
            <Data>
               <xsl:attribute name="display"><!--XLATESTART-->Handles<!--XLATESTOP-->
               </xsl:attribute>

               <xsl:attribute name="value">
                  <xsl:value-of select="Handles" />
               </xsl:attribute>
            </Data>

            <Data>
               <xsl:attribute name="display"><!--XLATESTART-->Threads<!--XLATESTOP-->
               </xsl:attribute>

               <xsl:attribute name="value">
                  <xsl:value-of select="Threads" />
               </xsl:attribute>
            </Data>

            <Data>
               <xsl:attribute name="display"><!--XLATESTART-->Processes<!--XLATESTOP-->
               </xsl:attribute>

               <xsl:attribute name="value">
                  <xsl:value-of select="Processes" />
               </xsl:attribute>
            </Data>
         </Row>
      </TableData>
   </xsl:template>

   <xsl:template match="Totals/Kernel_K">
      <Data>
         <xsl:attribute name="display"><!--XLATESTART-->Total<!--XLATESTOP-->
         </xsl:attribute>

         <xsl:attribute name="value">
            <xsl:value-of select="Total" />
         </xsl:attribute>
      </Data>

      <Data>
         <xsl:attribute name="display"><!--XLATESTART-->Paged<!--XLATESTOP-->
         </xsl:attribute>

         <xsl:attribute name="value">
            <xsl:value-of select="Paged" />
         </xsl:attribute>
      </Data>

      <Data>
         <xsl:attribute name="display"><!--XLATESTART-->Non Paged<!--XLATESTOP-->
         </xsl:attribute>

         <xsl:attribute name="value">
            <xsl:value-of select="Non_Paged" />
         </xsl:attribute>
      </Data>
   </xsl:template>

   <xsl:template match="Totals/Commit_Charge_K">
      <Data>
         <xsl:attribute name="display"><!--XLATESTART-->Total<!--XLATESTOP-->
         </xsl:attribute>

         <xsl:attribute name="value">
            <xsl:value-of select="Total" />
         </xsl:attribute>
      </Data>

      <Data>
         <xsl:attribute name="display"><!--XLATESTART-->Limit<!--XLATESTOP-->
         </xsl:attribute>

         <xsl:attribute name="value">
            <xsl:value-of select="Limit" />
         </xsl:attribute>
      </Data>

      <Data>
         <xsl:attribute name="display"><!--XLATESTART-->Peak<!--XLATESTOP-->
         </xsl:attribute>

         <xsl:attribute name="value">
            <xsl:value-of select="Peak" />
         </xsl:attribute>
      </Data>
   </xsl:template>
</xsl:stylesheet>

