<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="LogType"/> Log</xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART--><xsl:value-of select="LogType"/> Log not found.<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="not (LogEntry)">
							<xsl:call-template name="LogEmpty"/>
						</xsl:when>
						<xsl:when test="LogEntry/EventID">
							<xsl:call-template name="WinLog"/>
						</xsl:when>
						<xsl:when test="not (LogEntry/EventID)">
							<xsl:call-template name="LXNWLog"/>
						</xsl:when>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	
	<xsl:template name="LogEmpty">
		<TableData>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Log is empty<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
	
	<xsl:template name="WinLog">
		<TableData columnspacing="true">
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Event ID<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Event ID<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Event Type<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Event Type<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Source<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Source<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Time<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Time<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="LogEntry"/>
		</TableData>
	</xsl:template>
	
	<xsl:template name="LXNWLog">
		<TableData>
			<Header>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->Log Entry<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><!--XLATESTART-->Log Entry<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="LogEntry"/>
		</TableData>
	</xsl:template>
	
	<xsl:template match="LogEntry">
		<Row>
			<xsl:choose>
				<xsl:when test="EventID">
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="EventID"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="EventType"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="Source"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="Time"/></xsl:attribute>
					</Data>
				</xsl:when>
				<xsl:otherwise>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
					</Data>
				</xsl:otherwise>
			</xsl:choose>
		</Row>
	</xsl:template>

	<xsl:template match="*"/>

</xsl:stylesheet>
