<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Services information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
          <PageTitle>
            <xsl:attribute name="display">
              <!--XLATESTART-->Service Information<!--XLATESTOP-->
            </xsl:attribute>
          </PageTitle>
					<TableData align="left">
						<Header>
							<Data>
								<xsl:attribute name="value" ><xsl:value-of select="//DispName/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Name/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//State/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//StartMode/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Type/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Path/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//ErrControl/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//StartName/@displayname"/></xsl:attribute>
							</Data>
						</Header>
						<xsl:apply-templates select="SERVICE"><xsl:sort select="DispName"></xsl:sort></xsl:apply-templates>
					</TableData>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="SERVICE">
		<xsl:if test="Type = 'Share Process' or Type = 'Own Process' or Type = 'Interactive Process'">
			<Row>
				<Data >
					<xsl:attribute name="value" ><xsl:value-of select="DispName"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="State"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="StartMode"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="Type"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="Path"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="ErrControl"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="value"><xsl:value-of select="StartName"/></xsl:attribute>
				</Data>
			</Row>
		</xsl:if>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
