<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Startup List<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Startup List information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<TableData columnspacing="true">
						<Header>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Program/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Command/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//User_Name/@displayname"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="value"><xsl:value-of select="//Location/@displayname"/></xsl:attribute>
							</Data>
						</Header>
						<xsl:for-each select="STARTUP">
							<Row>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Program"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Command"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="User_Name"/></xsl:attribute>
								</Data>
								<Data>
									<xsl:attribute name="value"><xsl:value-of select="Location"/></xsl:attribute>
								</Data>
							</Row>
						</xsl:for-each>
					</TableData>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
