<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
<OMA skin="modern">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Storage Information<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<ListData type="custom">
						<Data>
						<xsl:attribute name="value"><!--XLATESTART-->Storage Information Not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
						</Data>
					</ListData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:for-each select="STORAGEBASE">
					<xsl:call-template name="Base"/>
					</xsl:for-each>
					<xsl:for-each select="STORAGESCSI">
					<xsl:call-template name="SCSI"/>
					</xsl:for-each>
				</xsl:otherwise>
				
			</xsl:choose>
		</DataArea>
		</OMA>
	</xsl:template>

	<xsl:template name="Base">
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Drive/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Drive"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Description/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Description"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Compressed/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Compressed"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="FileSystem/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="FileSystem"/></xsl:attribute>
			</Data>
			<xsl:if test="Size">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Size/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="FreeSpace">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="FreeSpace/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="FreeSpace"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="VolumeName">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="VolumeName/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="VolumeName"/></xsl:attribute>
			</Data>
			</xsl:if>
			<xsl:if test="VolumeSerial">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="VolumeSerial/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="VolumeSerial"/></xsl:attribute>
			</Data>
			</xsl:if>
		</ListData>
	</xsl:template>
	
	<xsl:template name="SCSI">
		<ListData type="custom">
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Index/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Index"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Manufacturer/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Manufacturer"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="ProviderName_Model/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="ProviderName_Model"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="BytesSector/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="BytesSector"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="MediaLoaded/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MediaLoaded"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="MediaType/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="MediaType"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Partitions/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Partitions"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SCSIBus/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SCSIBus"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SCSILogical/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SCSILogical"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SCSI_Port/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SCSI_Port"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SCSI_TargetID/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SCSI_TargetID"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="SectorsTrack/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="SectorsTrack"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="Size/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="TotalCylinders/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="TotalCylinders"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="TotalSectors/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="TotalSectors"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="TotalTracks/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="TotalTracks"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display"><xsl:value-of select="TracksCylinder/@displayname"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="TracksCylinder"/></xsl:attribute>
			</Data>
			<xsl:for-each select="STORAGEPART">
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PartitionDiskIndex/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PartitionDiskIndex"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="Partition/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="Partition"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PartitionSize/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PartitionSize"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PartitionStart/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PartitionStart"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PartitionBoot/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PartitionBoot"/></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="PartitionType/@displayname"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="PartitionType"/></xsl:attribute>
				</Data>
			</xsl:for-each>
		</ListData>
	</xsl:template>


	<xsl:template match="*"/>
</xsl:stylesheet>
