<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" />
<xsl:strip-space elements="*"/>
<xsl:template match="/osda">
<OMA skin="modern">
	<DataArea>
    <PageTitle>
      <xsl:attribute name="display">
        <!--XLATESTART-->OS Summary<!--XLATESTOP-->
      </xsl:attribute>
    </PageTitle>
	<TableData columnspacing="true" >
	<Header>
		<Data>
			<xsl:attribute name="value"><!--XLATESTART-->Item<!--XLATESTOP--></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><!--XLATESTART-->Value<!--XLATESTOP--></xsl:attribute>
		</Data>
	</Header>
				<xsl:apply-templates select="SYSTEMSUMMARY"/>
	</TableData>				
	</DataArea>
</OMA>
</xsl:template>

<xsl:template match="SYSTEMSUMMARY">
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//OS_NAME/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//OS_NAME" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Version/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Version" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Other_OS_Description/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Other_OS_Description" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//OS_Manufacturer/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//OS_Manufacturer" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Activation_Status/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Activation_Status" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Name/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Name" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Manufacturer/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Manufacturer" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Model/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Model" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Type/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Type" /></xsl:attribute>
		</Data>
		</Row>
<!--		
		<xsl:for-each select="//Processor0">
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Processor0/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Processor0" /></xsl:attribute>
		</Data>
		</Row>
		</xsl:for-each>
-->		
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//BIOS_Version_Date/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//BIOS_Version_Date" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//SMBIOS_Version/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//SMBIOS_Version" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Windows_Directory/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Windows_Directory" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Directory/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//System_Directory" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Boot_Device/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Boot_Device" /></xsl:attribute>
		</Data>
		</Row>
		
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Locale/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Locale" /></xsl:attribute>
		</Data>
		</Row>
		
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Hardware_Abstraction_Layer/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Hardware_Abstraction_Layer" /></xsl:attribute>
		</Data>
		</Row>
		
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//User_Name/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//User_Name" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Time_Zone/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Time_Zone" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//OS_Install_Date/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//OS_Install_Date" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Total_Physical_Memory/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Total_Physical_Memory" /></xsl:attribute>
			<xsl:attribute name="unit"><xsl:value-of select="//Total_Physical_Memory/@unit" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Available_Physical_Memory/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Available_Physical_Memory" /></xsl:attribute>
			<xsl:attribute name="unit"><xsl:value-of select="//Available_Physical_Memory/@unit" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Total_Virtual_Memory/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Total_Virtual_Memory" /></xsl:attribute>
			<xsl:attribute name="unit"><xsl:value-of select="//Total_Virtual_Memory/@unit" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Available_Virtual_Memory/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Available_Virtual_Memory" /></xsl:attribute>
			<xsl:attribute name="unit"><xsl:value-of select="//Available_Virtual_Memory/@unit" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Page_File_Space/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Page_File_Space" /></xsl:attribute>
		</Data>
		</Row>
		<Row>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Page_File/@displayname" /></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="value"><xsl:value-of select="//Page_File" /></xsl:attribute>
		</Data>
		</Row>
</xsl:template>


<xsl:template match="SMStatus" />

</xsl:stylesheet>
