<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:variable name="prevDate"><xsl:value-of select="substring-before(Time,'\r')"/></xsl:variable> 
<xsl:variable name="curDate"><xsl:value-of select="substring-before(Time,'\r')"/></xsl:variable> 
<xsl:template match="/osda">
   <OMA skin="modern" >
		<DataArea>
			<PageTitle>
				<xsl:choose>
				<xsl:when test="LogLimited">
					<xsl:attribute name="display"><xsl:value-of select="LogLimited"/></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="display"><xsl:value-of select="LogType"/>Uptime  Log</xsl:attribute>
				</xsl:otherwise>
				</xsl:choose>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART--><xsl:value-of select="LogType"/> Log not found.<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="not (LogEntry)">
							<xsl:call-template name="LogEmpty"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="WinLog"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</DataArea>
	  </OMA>
	</xsl:template>
	
	<xsl:template name="LogEmpty">
		<TableData>
			<Row>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Log is empty<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</xsl:template>
	
	<xsl:template name="WinLog">
		<TableData columnspacing="true">
			<Header>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Time<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="width">15</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute  name="value"><!--XLATESTART-->Event<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="width">60</xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute  name="value"><!--XLATESTART-->Comment<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="width">80</xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="LogEntry"/>
		</TableData>
		<TableData columnspacing="true">
			<Header>
				<Data>
					<xsl:attribute name="value"><!--XLATESTART-->Current System Uptime<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute  name="value"><!--XLATESTART-->Total Availablity Percentage<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute  name="value"><!--XLATESTART-->Total Up Time<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute  name="value"><!--XLATESTART-->Total Down Time<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute  name="value"><!--XLATESTART-->Total Reboots<!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data>
					<xsl:attribute  name="value"><!--XLATESTART-->Total Blue Screens<!--XLATESTOP--></xsl:attribute>
				</Data>
			</Header>
			<xsl:apply-templates select="Summary"/>
		
		</TableData>
	</xsl:template>
	
	<xsl:template match="LogEntry">
			<Row>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="Time"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute  name="value"><xsl:value-of select="EventID"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute  name="value"><xsl:value-of select="Message"/></xsl:attribute>
					</Data>
			</Row> 
	</xsl:template>
	
	<xsl:template match="Summary">
			<Row>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="Current_Uptime"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute  name="value"><xsl:value-of select="Total_Avail"/>%</xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute  name="value"><xsl:value-of select="Total_Up"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute  name="value"><xsl:value-of select="Total_Dwn"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute  name="value"><xsl:value-of select="Total_Boot"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute  name="value"><xsl:value-of select="Total_Blue"/></xsl:attribute>
					</Data>
			</Row> 
	</xsl:template>

	<xsl:template match="*"/>

</xsl:stylesheet>
