<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"></xsl:output>
<xsl:template match="/osda">
		<OMA skin="modern">
			<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Registry Entries<!---XLATESTOP--></xsl:attribute>
			</PageTitle>
			<xsl:choose>
				<xsl:when test="SMStatus != '0' ">
					<TableData>
						<Row>
							<Data>
								<xsl:attribute name="value"><!--XLATESTART-->Registry information not found.<!--XLATESTOP--><xsl:value-of select="CmdHelp"/></xsl:attribute>
							</Data>
						</Row>
					</TableData>
				</xsl:when>
				<xsl:otherwise>
					<TableData columnspacing="true">
						<Header>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->KeyName<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->KeyName<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->ItemName<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->ItemName<!--XLATESTOP--></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><!--XLATESTART-->ItemValue<!--XLATESTOP--></xsl:attribute>
								<xsl:attribute name="value"><!--XLATESTART-->ItemValue<!--XLATESTOP--></xsl:attribute>
							</Data>
						</Header>
						<xsl:apply-templates select="//Item"><xsl:sort select="KeyName"></xsl:sort></xsl:apply-templates>
					</TableData>
					</xsl:otherwise>
			</xsl:choose>
			</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template match="Item">
		<Row>
			<Data>
				<xsl:attribute name="display">KeyName</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:variable name="parent-set" select="ancestor::*[@name]" />
					<xsl:variable name="parent-count" select="count($parent-set)" />
					<xsl:for-each select="$parent-set">
						<xsl:value-of select="@name"/>
						<xsl:if test="$parent-count != position ()"><xsl:text>\</xsl:text></xsl:if>
					</xsl:for-each>
				</xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">ItemName</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="(@name)"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">ItemValue</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="(@value)"/></xsl:attribute>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
