<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
	   <OMA skin="modern">
		<DataArea>
<!--			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strTitle1Part1"/><xsl:value-of select="VirtualDiskName"/><xsl:value-of select="$strTitle1Part2"/></xsl:attribute>
			</PageTitle>
-->	
			<CustomButton>
	<Data link="true" name="Return">
		<xsl:attribute name="display"><xsl:value-of select="$strRetSystemSummary"/></xsl:attribute>
		<xsl:attribute name="href">syssum.xml</xsl:attribute>
	</Data>
</CustomButton>
			<xsl:variable name="FilterOutDHS">
				<xsl:choose>
					<xsl:when test="DedicatedHotSpares">true</xsl:when>
					<xsl:otherwise>false</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>

			<xsl:choose>
				<xsl:when test="count(Span)>0">
					<!-- The virtual disk consists of spans, so display each of them -->
					<xsl:for-each select="Span">
						<xsl:call-template name="Table">
							<xsl:with-param name="Display">
								<xsl:value-of select="$strSpanTitlePart1"/>
								<xsl:value-of select="@SpanNumber"/>
								<xsl:value-of select="$strSpanTitlePart2"/>
							</xsl:with-param>
							<xsl:with-param name="filterOutDHS"><xsl:value-of select="$FilterOutDHS"/></xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="Table">
						<xsl:with-param name="Display">
							<xsl:value-of select="$strArrayDisksTitle"/>
						</xsl:with-param>
						<xsl:with-param name="filterOutDHS"><xsl:value-of select="$FilterOutDHS"/></xsl:with-param>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="DedicatedHotSpares">
				<xsl:for-each select="DedicatedHotSpares">
					<xsl:call-template name="Table">
						<xsl:with-param name="Display">
							<xsl:value-of select="$strDHSTitle"/>
						</xsl:with-param>
						<xsl:with-param name="filterOutDHS">false</xsl:with-param>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:if>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template name="Table">
		<xsl:param name="Display"/>
		<xsl:param name="filterOutDHS"/>
		<TableData name="{$Display}" display="{$Display}" columnspacing="true">
			<xsl:variable name="showtasks">false</xsl:variable>
			<SubHeader display="{$Display}"/>
			<xsl:choose>
				<xsl:when test="ArrayDisks/DCStorageObject">
					<Header>
						<xsl:call-template name="ArrayDiskTableHeader">
							<xsl:with-param name="tasks">false</xsl:with-param>
							<xsl:with-param name="expanded">true</xsl:with-param>
						</xsl:call-template>
					</Header>
					<xsl:for-each select="ArrayDisks/DCStorageObject">
						<xsl:sort select="Channel" data-type="number" order="ascending"/>
						<xsl:sort select="TargetID" data-type="number" order="ascending"/>
						<xsl:variable name="isDHS">
							<xsl:choose>
								<xsl:when test="$filterOutDHS = 'true'">
									<!-- check to see if current disk is DHS -->
									<xsl:call-template name="IsDedicatedHotSpare">
										<xsl:with-param name="AttributesMask">
											<xsl:value-of select="AttributesMask"/>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:if test="$isDHS='0'">
							<xsl:call-template name="ArrayDiskTableRows">
								<xsl:with-param name="tasks">false</xsl:with-param>
								<xsl:with-param name="expanded">true</xsl:with-param>
							</xsl:call-template>
						</xsl:if>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<Row>
						<Data type="ustring" columnspacing="true">
							<xsl:attribute name="value"><xsl:value-of select="$strNoDisks"/></xsl:attribute>
						</Data>
					</Row>
				</xsl:otherwise>
			</xsl:choose>
		</TableData>
	</xsl:template>
	
		<!-- The following template is for PEDiags SATA disk drive output files -->
	<xsl:template match="DataArea">
	<OMA skin = "modern">
		<DataArea>
			<TableData name="{$strArrayDisksTitle}" display="{$strArrayDisksTitle}" columnspacing="true">
			<SubHeader display="{$strArrayDisksTitle}"/>
			<xsl:choose>
				<xsl:when test="Controller/DCStorageObject">
					<Header>
						<Data name="Status" columnspacing="true" editable="false" type="ustring" align="center">
							<xsl:attribute name="display"><xsl:value-of select="$strStatus"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strStatus"/></xsl:attribute>
						</Data>
						<Data name="Name" columnspacing="true" editable="false" type="ustring" align="left">
							<xsl:attribute name="display"><xsl:value-of select="$strName"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strName"/></xsl:attribute>
						</Data>
						<Data name="State" columnspacing="true" editable="false" type="ustring" align="left">
							<xsl:attribute name="display"><xsl:value-of select="$strState"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strState"/></xsl:attribute>
						</Data>
						<Data name="PredFailure" columnspacing="true" editable="false" type="ustring" align="left">
							<xsl:attribute name="display"><xsl:value-of select="$strPredFailure"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strPredFailure"/></xsl:attribute>
						</Data>
						<Data name="Capacity" columnspacing="true" editable="false" type="ustring" align="center">
							<xsl:attribute name="display"><xsl:value-of select="$strCapacity"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strCapacity"/></xsl:attribute>
						</Data>
						<Data name="Vendor" columnspacing="true" editable="false" type="ustring" align="left">
							<xsl:attribute name="display"><xsl:value-of select="$strVendorID"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strVendorID"/></xsl:attribute>
						</Data>
						<Data name="ProductID" columnspacing="true" editable="false" type="ustring" align="left">
							<xsl:attribute name="display"><xsl:value-of select="$strProductID"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strProductID"/></xsl:attribute>
						</Data>
						<Data name="Rev" columnspacing="true" editable="false" type="ustring" align="left">
							<xsl:attribute name="display"><xsl:value-of select="$strRevision"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strRevision"/></xsl:attribute>
						</Data>
						<Data name="Serial" columnspacing="true" editable="false" type="ustring" align="left">
							<xsl:attribute name="display"><xsl:value-of select="$strSerial"/></xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$strSerial"/></xsl:attribute>
						</Data>
					</Header>
					<xsl:for-each select="Controller/DCStorageObject">
						<Row>
							<Data type="status" columnspacing="true" align="center">
								<xsl:attribute name="value">
								<xsl:choose>
									<xsl:when test="//ObjStatus=0">2</xsl:when>
									<xsl:otherwise>1</xsl:otherwise>
								</xsl:choose>
								</xsl:attribute>
							</Data>
							<Data columnspacing="true" name="Name" editable="false" type="usting" display="Name" align="left">
								<xsl:attribute name="value">	<xsl:value-of select="Name" /> </xsl:attribute>
							</Data>
							<Data columnspacing="true" name="State" editable="false" type="usting" display="State" align="left">
								<xsl:attribute name="value"><xsl:value-of select="Status"/></xsl:attribute>
							</Data>
							<Data name="PredFailure" columnspacing="true" editable="false" type="ustring" display="PredFailure" align="left">
								<xsl:choose>
									<!-- check for ad vs hd -->
									<xsl:when test="//ObjStatus = '0' ">
										<xsl:attribute name="value"><xsl:value-of select="$strNo"/></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="value"><xsl:value-of select="$strYes"/></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
							</Data>
							<!-- CAPACITY (LENGTH) COLUMN -->
							<xsl:choose>
								<xsl:when test="Characteristic/Data/@name = 'DISK_CAPACITY' ">
								<Data columnspacing="true" name="Capacity" editable="false" type="usting" display="Capacity" align="left">
									<xsl:attribute name="value">	<xsl:value-of select="Characteristic/Data/@value" /> </xsl:attribute>
								</Data>
								</xsl:when>
								<xsl:otherwise>
								<Data name="Capacity" columnspacing="true" editable="false" type="ustring" display="Capacity" align="center">
									<xsl:attribute name="value"><xsl:value-of select="$strUnavaliable"/></xsl:attribute>
								</Data>
								</xsl:otherwise>
							</xsl:choose>
							<Data columnspacing="true" name="Vendor" editable="false" type="usting" display="Vendor" align="left">
								<xsl:attribute name="value">	<xsl:value-of select="Manufacturer" /> </xsl:attribute>
							</Data>
							<Data columnspacing="true" name="ProductID" editable="false" type="usting" display="ProductID" align="left">
								<xsl:attribute name="value">	<xsl:value-of select="ModelNumber" /> </xsl:attribute>
							</Data>
							<Data columnspacing="true" name="Revision" editable="false" type="usting" display="Revision" align="left">
								<xsl:attribute name="value">	<xsl:value-of select="Firmware" /> </xsl:attribute>
							</Data>
							<!-- Serial number -->
							<Data columnspacing="true" name="Serial" editable="false" type="usting" display="Serial" align="left">
								<xsl:attribute name="value">	<xsl:value-of select="SerialNumber" /> </xsl:attribute>
							</Data>
						</Row>
					</xsl:for-each>
				</xsl:when>
			</xsl:choose>
			</TableData>
		</DataArea>
		</OMA>
	</xsl:template>

</xsl:stylesheet>
