<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	
	
	<xsl:template match="OMA">
	   <OMA skin="modern">
		<DataArea>
                <xsl:if test="SMStatus = '0'">
			<xsl:variable name="slotNum">
				<xsl:choose>
					<xsl:when test="//ArrayDisks/@PCISlotNo = '-1' or //ArrayDisks/@PCISlotNo = '2147483648' or //ArrayDisks/@PCISlotNo = '0' ">
						<xsl:value-of select="$strEmbedded"/>
					</xsl:when>
					<xsl:when test="//ArrayDisks/@PCISlotNo = '2147483649'">
					<xsl:value-of select="'Not Available'"/>
					</xsl:when>
					<xsl:otherwise>Slot <xsl:value-of select="//ArrayDisks/@PCISlotNo"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<!-- Determine which form of the cli was invoked.  This determines the page title. -->
					<!-- A controller was provided on the command.  Figure out which version of the command was called -->
				<PageTitle>
						<xsl:attribute name="display"><xsl:value-of select="$strTitle1Part1"/><xsl:value-of select="//ArrayDisks/@VirtualDiskName"/></xsl:attribute>
					</PageTitle>
				<CustomButton>
					<Data link="true" name="Return">
						<xsl:attribute name="display"><xsl:value-of select="$strRetSummary"/></xsl:attribute>
						<xsl:attribute name="href">vdisks_<xsl:value-of select="//DCStorageObject/GlobalNo" />.xml</xsl:attribute>
					</Data>
					<Data link="true" name="Return">
				<xsl:attribute name="display"><xsl:value-of select="$strRetSystemSummary"/></xsl:attribute>
				<xsl:attribute name="href">syssum.xml</xsl:attribute>
			</Data>
				</CustomButton>		
							
			<xsl:apply-templates select="/*/ArrayDisks"/>
		</xsl:if>
                <xsl:if test="SMStatus != '0'">
				<PageTitle>
						<xsl:attribute name="display"><xsl:value-of select="$strRptVDiskTitle4"/><xsl:value-of select="//ArrayDisks/@VirtualDiskName"/></xsl:attribute>
					</PageTitle>
			<CustomButton>
				<Data link="true" name="Return">
		 			<xsl:attribute name="display"><xsl:value-of select="$strRetSummary"/></xsl:attribute>
					<xsl:attribute name="href">vdisks_0.xml</xsl:attribute>
					</Data>
					<Data link="true" name="Return">
				<xsl:attribute name="display"><xsl:value-of select="$strRetSystemSummary"/></xsl:attribute>
				<xsl:attribute name="href">syssum.xml</xsl:attribute>
			</Data>
			</CustomButton>		
			<TableData>
				<Row>
					<Data>
		 			<xsl:attribute name="display">Unable to gather Array Disk information while device is down.</xsl:attribute>
					</Data>
				</Row>
			</TableData>
		</xsl:if>
		</DataArea>
	
		</OMA>
	</xsl:template>
	<xsl:template match="ArrayDisks">
		<xsl:variable name="slotNum">
			<xsl:choose>
				<xsl:when test="@PCISlotNo = '-1' or @PCISlotNo = '2147483648' or @PCISlotNo = '0' ">
					<xsl:value-of select="$strEmbedded"/>
				</xsl:when>
				<xsl:when test="@PCISlotNo = '2147483649'">
				<xsl:value-of select="'Not Available'"/>
				</xsl:when>
				<xsl:otherwise>Slot <xsl:value-of select="@PCISlotNo"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

		<TableData>
			<SubHeader>
				<xsl:attribute name="display">Controller <xsl:value-of select="@ControllerName"/> (<xsl:value-of select="$slotNum"/>)</xsl:attribute>
			</SubHeader>
			<Header>
				<xsl:call-template name="ArrayDiskTableHeader">
					<xsl:with-param name="tasks">false</xsl:with-param>
				</xsl:call-template>
			</Header>
			<xsl:for-each select="DCStorageObject">
				<xsl:sort select="LogicalDriveNum" data-type="number" order="ascending"/>
				<xsl:if test="not(ParentVDID)"><!-- Filter child VDs-->
				<xsl:call-template name="ArrayDiskTableRows">
					<xsl:with-param name="tasks">false</xsl:with-param>
				</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</TableData>
		<xsl:if test="count(DCStorageObject)=0">
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strRptVDiskTitle4"/></xsl:attribute>
			</PageTitle>
			<Data link="true" name="Return">
				<xsl:attribute name="display"><xsl:value-of select="$strRetSystemSummary"/></xsl:attribute>
				<xsl:attribute name="href">syssum.xml</xsl:attribute>
			</Data>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
