<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:variable name="isCluster">
				<xsl:choose>
					<xsl:when test="substring(/OMA/VirtualDisks/@AttributesMask,32,1)!='0'">1</xsl:when>
				  <xsl:otherwise>0</xsl:otherwise>
			 </xsl:choose>
		</xsl:variable>	
		<xsl:variable name="checkAdmin">
			<xsl:choose>
				<xsl:when test="OMAUserRights = '7'">true</xsl:when>
				<xsl:otherwise>false</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<OMA skin="modern">
		<DataArea >
			<PageTitle>
				<xsl:choose>					
					<xsl:when test="//VirtualDisks/@ControllerName=''">				
						<xsl:choose>
							<xsl:when test="count(//VirtualDisks/DCStorageObject)>0">
								<xsl:attribute name="status"><xsl:value-of select="/OMA/Health/Component/@status"/></xsl:attribute>
							</xsl:when>
						</xsl:choose>
						<xsl:attribute name="display"><xsl:value-of select="$strTitle"/></xsl:attribute>
					</xsl:when>
					<xsl:when test="//VirtualDisks/@ControllerName!=''">
						<xsl:choose>
							<xsl:when test="count(//VirtualDisks/DCStorageObject)>0">
								<xsl:attribute name="status"><xsl:value-of select="/OMA/Health/Component/@status"/></xsl:attribute>
							</xsl:when>
						</xsl:choose>						
						<xsl:attribute name="display"><xsl:value-of select="$strTitle2Part1"/><xsl:value-of select="//VirtualDisks/@ControllerName"/><xsl:value-of select="$strTitle2Part2"/></xsl:attribute>
					</xsl:when>
				</xsl:choose>
			</PageTitle>
			<CustomButton>
				<Data link="true" name="Return">
					<xsl:attribute name="display"><xsl:value-of select="$strRetSystemSummary"/></xsl:attribute>
					<xsl:attribute name="href">syssum.xml</xsl:attribute>
				</Data>
			</CustomButton>
<!--			<CustomButton> -->
			<!-- The refresh button cannot use the below javascript to perform the refresh.  The issue is the  javascript calls the last webplug which was called
			      to render this page.  The problem is that the page can be rendered by two webplugins: the info webplugin and the action execute web plugin.
			      If the action execute webplugin was the last webplugin to render the page, pressing refresh would cause that action to be re-executed. -->
				<!--Data name="Refresh">
					<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
					<xsl:attribute name="href"></xsl:attribute>
					<xsl:attribute name="onclick">javascript:location.reload ()</xsl:attribute>
				</Data-->
<!--				<Data name="Return">
					<xsl:attribute name="display"><xsl:value-of select="$strCancel"/></xsl:attribute>
					<xsl:attribute name="href">indexTOC.xml</xsl:attribute>
				</Data>			
			</CustomButton>
-->			
		
			<!-- Check if the bit for CreateVD is true -->
			<xsl:variable name="isCreateVDOkay">
				<xsl:call-template name="IsCreateVDSupported">
					<xsl:with-param name="Mask">
						<xsl:value-of select="VirtualDisks/@CurrentMethodMask"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:variable>			
			
			<xsl:if test="$isCreateVDOkay='1'">
				<xsl:if test="$checkAdmin='true'">
					<!--check to see if user had admin rights-->
					
<!--					<CustomButton align="left">
						<Data formSubmit="true">
							<xsl:attribute name="display"><xsl:value-of select="$strCreateVDW"/></xsl:attribute>
							<xsl:attribute name="href">javascript:getThisURL()</xsl:attribute>
						</Data>
					</CustomButton>
-->					
				</xsl:if>
			</xsl:if>
			
			<xsl:call-template name="VirtualDiskTable">
				<xsl:with-param name="tasks">
					<xsl:value-of select="$checkAdmin"/>
				</xsl:with-param>
			</xsl:call-template>
		</DataArea>
		</OMA>
	</xsl:template>
	<xsl:template name="VirtualDiskTable">
		<xsl:param name="tasks"/>
		<xsl:choose>
			<xsl:when test="count(VirtualDisks/DCStorageObject)>0">
				<TableData columnspacing="true">
					<SubHeader>
						<xsl:attribute name="display"><xsl:value-of select="$strTitle"/></xsl:attribute>
					</SubHeader>
					
					<xsl:choose>
						<xsl:when test="count(VirtualDisks/DCStorageObject)>0">
							<PromptText ignoreoncli="true">
								<xsl:value-of select="$strPrompt"/>
							</PromptText>
						</xsl:when>
						<xsl:otherwise>
							<PromptText ignoreoncli="true">
								<xsl:value-of select="$strPrompt2"/>
							</PromptText>
						</xsl:otherwise>
					</xsl:choose>
					
					<Header>
						<xsl:call-template name="VirtualDiskTableHeader">
							<xsl:with-param name="tasks">
								<xsl:value-of select="$tasks"/>
							</xsl:with-param>
						</xsl:call-template>
					</Header>
					<xsl:for-each select="VirtualDisks/DCStorageObject">
					<!-- New code added for DF363102 vdisk infgo missing on T110  - Now we pasre the Nexus to get file name extensions -->
					   <xsl:variable name="CntrlR" select="substring(Nexus,2,1)" />
					   <xsl:variable name="VdiskNum" select="substring(Nexus,4,1)" />
						<xsl:call-template name="VirtualDiskTableRows">
							<xsl:with-param name="tasks">	<xsl:value-of select="$VdiskNum"/></xsl:with-param>
							<xsl:with-param name="caller"><xsl:value-of select="$CntrlR"/></xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</TableData>
			</xsl:when>
			<xsl:otherwise>
				<SubHeader>
					<xsl:attribute name="display"><xsl:value-of select="$strPrompt2"/></xsl:attribute>
				</SubHeader>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
