<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	<xsl:strip-space elements="*"/>
	<xsl:output method="xml" indent="no"/>
   
   
	<xsl:template   match="/PCI_Enum">
	<xsl:processing-instruction name="xml-stylesheet">
			<xsl:text>type="text/xsl" </xsl:text>
			<xsl:text>href="SlotTree.xsl"</xsl:text>
	</xsl:processing-instruction>
	    <SlotTree>
	     <xsl:attribute name="skin">modern</xsl:attribute>
	     <xsl:attribute name="schema">accessible</xsl:attribute>
			<xsl:for-each select="PCIDevice">
				<xsl:sort select="Description" />
			   		<xsl:if test="  (normalize-space(Parent/Description) = 'PCI bus') or (normalize-space(Parent/Description) = 'PCI Express Root Complex') " >
			   		            <xsl:call-template name="TagRoot">
										<xsl:with-param name="place" select="position()"/>
			   		            </xsl:call-template>
					</xsl:if>
			</xsl:for-each>
		 <xsl:variable name="Slots" select="document('tmpreport\\SMBSlots.xml')/SMBIOS_SLOTS"/> 
		 <xsl:for-each select="$Slots//.">
		 			<xsl:variable name="PName" select="name()"/>
		 			<xsl:variable name="Busy" select="./@Occupied"/>
		 			 <xsl:choose>
							<xsl:when test="$PName='Slot0'">
							  <xsl:if test="./@Occupied= 0 ">
							  <Root100>
									  <xsl:attribute name="name">Not Occupied</xsl:attribute>
									  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
									  <xsl:attribute name="class">empty_item</xsl:attribute>
									  <xsl:attribute name="xfile">slotdetail0.xml</xsl:attribute>
							   </Root100>
							   </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot1'">
							  <xsl:if test="./@Occupied = 0">
								<Root101>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail1.xml</xsl:attribute>
								</Root101>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot2'">
							  <xsl:if test="./@Occupied = 0">
								<Root102>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail2.xml</xsl:attribute>
								</Root102>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot3'">
							  <xsl:if test="./@Occupied = 0">
								<Root103>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail3.xml</xsl:attribute>
								</Root103>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot4'">
							  <xsl:if test="./@Occupied = 0">
								<Root104>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail4.xml</xsl:attribute>
								</Root104>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot5' ">
							  <xsl:if test="./@Occupied = 0">
								<Root105>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail5.xml</xsl:attribute>
								</Root105>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot6' ">
							  <xsl:if test="./@Occupied = 0">
								<Root106>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail6.xml</xsl:attribute>
								</Root106>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot7' ">
							  <xsl:if test="./@Occupied = 0">
								<Root107>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail7.xml</xsl:attribute>
								</Root107>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot8' ">
							  <xsl:if test="./@Occupied = 0">
								<Root108>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail8.xml</xsl:attribute>
								</Root108>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot9' ">
							  <xsl:if test="./@Occupied = 0">
								<Root109>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail9.xml</xsl:attribute>
								</Root109>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot10' ">
							  <xsl:if test="./@Occupied = 0">
								<Root110>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail10.xml</xsl:attribute>
								</Root110>
							  </xsl:if>
							</xsl:when>
							<xsl:when test="$PName='Slot11' ">
							  <xsl:if test="./@Occupied = 0">
								<Root111>
										  <xsl:attribute name="name">Not Occupied</xsl:attribute>
										  <xsl:attribute name="slot"><xsl:value-of select="." /></xsl:attribute>
										  <xsl:attribute name="class">empty_item</xsl:attribute>
										  <xsl:attribute name="xfile">slotdetail11.xml</xsl:attribute>
								</Root111>
							  </xsl:if>
							</xsl:when>
             <xsl:when test="$PName='Slot12' ">
               <xsl:if test="./@Occupied = 0">
                 <Root112>
                   <xsl:attribute name="name">Not Occupied</xsl:attribute>
                   <xsl:attribute name="slot">
                     <xsl:value-of select="." />
                   </xsl:attribute>
                   <xsl:attribute name="class">empty_item</xsl:attribute>
                   <xsl:attribute name="xfile">slotdetail12.xml</xsl:attribute>
                 </Root112>
               </xsl:if>
             </xsl:when>
             <xsl:when test="$PName='Slot13' ">
               <xsl:if test="./@Occupied = 0">
                 <Root113>
                   <xsl:attribute name="name">Not Occupied</xsl:attribute>
                   <xsl:attribute name="slot">
                     <xsl:value-of select="." />
                   </xsl:attribute>
                   <xsl:attribute name="class">empty_item</xsl:attribute>
                   <xsl:attribute name="xfile">slotdetail13.xml</xsl:attribute>
                 </Root113>
               </xsl:if>
             </xsl:when>
             <xsl:when test="$PName='Slot14' ">
               <xsl:if test="./@Occupied = 0">
                 <Root114>
                   <xsl:attribute name="name">Not Occupied</xsl:attribute>
                   <xsl:attribute name="slot">
                     <xsl:value-of select="." />
                   </xsl:attribute>
                   <xsl:attribute name="class">empty_item</xsl:attribute>
                   <xsl:attribute name="xfile">slotdetail14.xml</xsl:attribute>
                 </Root114>
               </xsl:if>
             </xsl:when>
             <xsl:when test="$PName='Slot15' ">
               <xsl:if test="./@Occupied = 0">
                 <Root115>
                   <xsl:attribute name="name">Not Occupied</xsl:attribute>
                   <xsl:attribute name="slot">
                     <xsl:value-of select="." />
                   </xsl:attribute>
                   <xsl:attribute name="class">empty_item</xsl:attribute>
                   <xsl:attribute name="xfile">slotdetail15.xml</xsl:attribute>
                 </Root115>
               </xsl:if>
             </xsl:when>
           </xsl:choose>
		 </xsl:for-each>
			</SlotTree>
	</xsl:template>
	
	<xsl:template name="MatchP">
	    <!-- This template takes care of creating the firt level Child under the PCI bus Parents-->
	    <xsl:param name="match"/>
		<xsl:for-each select="//PCIDevice">
				<xsl:if test=" normalize-space(Parent/DeviceInfo) = $match">
					   <!--Calling with <xsl:value-of select="position()"/>  -->
							<xsl:call-template name="Tagit">
								<xsl:with-param name="place" select="position()"/>
							</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
	</xsl:template>

	<xsl:template name="MatchC">
	<!-- This is to process all Children down to the base--> 
	    <xsl:param name="match"/>
	    <xsl:param name="location"/>
		<xsl:for-each select="//PCIDevice">
				<xsl:if test="normalize-space(DeviceInfo) = $match">
					  <!--Calling with <xsl:value-of select="position()"/>   -->
					      <xsl:if test="normalize-space(Location)  = $location ">
					    		 <xsl:call-template name="Tagit">
									<xsl:with-param name="place" select="position()"/>
								</xsl:call-template>
							</xsl:if>
				</xsl:if>
			</xsl:for-each>
	</xsl:template>

	<xsl:template name="WalkChild">
	  <xsl:for-each select="Child">
		  <xsl:if test="string-length(normalize-space(Location)) != 0 ">
			  <xsl:call-template name="MatchC">
				  <xsl:with-param name="match"><xsl:value-of select="normalize-space(DeviceInfo)"/></xsl:with-param>
				  <xsl:with-param name="location"><xsl:value-of select="normalize-space(Location)"/></xsl:with-param>
			  </xsl:call-template>
		  </xsl:if>
	  </xsl:for-each>
	</xsl:template>

	<xsl:template name="ChildAttr">
		 <!-- <xsl:variable name="Slots" select="document('.\\tmpreport\\SMBSlots.xml')"/>    -->
		 <xsl:variable name="Slots" select="document('tmpreport\\SMBSlots.xml')"/> 
		 <xsl:variable name="Snum" select="UINumber"/>
		 <xsl:attribute name="name"><xsl:value-of select="Description" /></xsl:attribute>
		  <xsl:attribute name="location"><xsl:value-of select="Location"/></xsl:attribute>
		 <!--  Now we need to see if a Physical device is missing UINumber -->
		 <xsl:if test="string-length(UINumber) = 0">
			 <!-- Now if it has an IRQ then -->
			 <xsl:if test="string-length(DevIO) != 0">
				 <!--  Go look for it in old Format Slots.xml file-->
				 <xsl:variable name="FoundSlot">
           <xsl:call-template name="Slot_Search_2">
             <xsl:with-param name="TBus" select="Bus"/>
             <xsl:with-param name="TDevice" select="Device"/>
             <xsl:with-param name="TFunction" select="Function"/>
           </xsl:call-template>

           <!--           <xsl:call-template name="Slot_Search">
						 <xsl:with-param name="TargetStr" select="Description"/>
					 </xsl:call-template>
-->           
				 </xsl:variable>
					<xsl:attribute name="slot">
						<xsl:choose>
							<xsl:when  test="$FoundSlot = 0 ">
									<xsl:value-of select="$Slots//Slot0"/>
							</xsl:when>
							<xsl:when  test="$FoundSlot  = 1 ">
								<xsl:value-of select="$Slots//Slot1"/>
							</xsl:when>
							<xsl:when  test="$FoundSlot = 2 ">
									<xsl:value-of select="$Slots//Slot2"/>
							</xsl:when>
							<xsl:when  test="$FoundSlot = 3 ">
									<xsl:value-of select="$Slots//Slot3"/>
							</xsl:when>
							<xsl:when  test="$FoundSlot = 4 ">
									<xsl:value-of select="$Slots//Slot4"/>
							</xsl:when>
							<xsl:when  test="$FoundSlot = 5 ">
									<xsl:value-of select="$Slots//Slot5"/>
							</xsl:when>
							<xsl:when  test="$FoundSlot = 6 ">
									<xsl:value-of select="$Slots//Slot6"/>
							</xsl:when>
							<xsl:when  test="$FoundSlot = 7 ">
									<xsl:value-of select="$Slots//Slot7"/>
							</xsl:when>
							<xsl:when  test="$FoundSlot = 8 ">
									<xsl:value-of select="$Slots//Slot8"/>
							</xsl:when>
					  </xsl:choose>
					  </xsl:attribute>
					  <!-- Now get rest of attributes-->
					  <xsl:choose>
								<xsl:when test="string-length($FoundSlot) != 0 ">
								<!-- We have an IRQ assigned -->
								  <xsl:if test="string-length(DevIRQ) != 0">
									  <xsl:attribute name="class">active_item</xsl:attribute>
								  </xsl:if>
								<!-- We DO NOT have an IRQ assigned -->
								  <xsl:if test="string-length(DevIRQ) = 0">
									  <xsl:attribute name="class">item</xsl:attribute>
								  </xsl:if>
								</xsl:when>
								<xsl:otherwise>
									  <xsl:attribute name="class">item</xsl:attribute>
								</xsl:otherwise>
					</xsl:choose>
					  <xsl:attribute name="xfile">
						  <xsl:if test="string-length($FoundSlot) != 0">
								  <xsl:if test="string-length(DevIRQ) != 0"><!--XLATE -->slotdetail<xsl:value-of select="$FoundSlot"/>.xml<!--XLATE--> </xsl:if>
						  </xsl:if>
					  </xsl:attribute>
			 </xsl:if>
		 </xsl:if>
		 <!-- Now do the Normal Processing--> 
		 <xsl:if test=" string-length(UINumber) != 0  ">
					<xsl:variable name="slotLocation">
						<xsl:choose>
							<xsl:when  test="UINumber = 1 ">
									<xsl:value-of select="$Slots//Slot0"/>
							</xsl:when>
							<xsl:when  test="UINumber  = 2 ">
								<xsl:value-of select="$Slots//Slot1"/>
							</xsl:when>
							<xsl:when  test="UINumber = 3 ">
									<xsl:value-of select="$Slots//Slot2"/>
							</xsl:when>
							<xsl:when  test="UINumber = 4 ">
									<xsl:value-of select="$Slots//Slot3"/>
							</xsl:when>
							<xsl:when  test="UINumber = 5 ">
									<xsl:value-of select="$Slots//Slot4"/>
							</xsl:when>
							<xsl:when  test="UINumber = 6 ">
									<xsl:value-of select="$Slots//Slot5"/>
							</xsl:when>
							<xsl:when  test="UINumber = 7 ">
									<xsl:value-of select="$Slots//Slot6"/>
							</xsl:when>
							<xsl:when  test="UINumber = 8 ">
									<xsl:value-of select="$Slots//Slot7"/>
							</xsl:when>
					  </xsl:choose>
					  </xsl:variable>

					<xsl:attribute name="slot">	
						<xsl:value-of select="$slotLocation"/>
					</xsl:attribute>
					
					<xsl:variable name="SlotFileName">slotdetail<xsl:value-of select="number(UINumber)-1"/>.xml</xsl:variable>
		
					<xsl:choose>
								<xsl:when test="string-length(UINumber) != 0 and $slotLocation!= ''">
								<!-- We have an IRQ assigned -->
									  <xsl:attribute name="class">active_item</xsl:attribute>
									  <xsl:attribute name="xfile"><xsl:value-of select="$SlotFileName"/></xsl:attribute>
								</xsl:when>
					</xsl:choose>
		
		  
		</xsl:if>
	</xsl:template>

<!--
	<xsl:template name="Slot_Search">
	<xsl:param name="TargetStr"/>
		 <xsl:variable name="StrSlots" select="document('tmpreport\\Slots.xml')/OMA/SlotsList"/> 
		 <xsl:for-each select="$StrSlots//Slot/.">
-->
				 <!-- Store off the Slot Index in case we match -->
<!--				 <xsl:variable name="CIndex" select="./@index" />
				 <xsl:if test="string-length(SlotDevice) != 0">
						<xsl:variable name="TmpStr" select="SlotDevice/DeviceDesc "/>
						<xsl:if test="contains($TargetStr,$TmpStr)">
							<xsl:value-of select="number($CIndex)"/>
		 			</xsl:if>
		 			</xsl:if>
		</xsl:for-each>
	</xsl:template>
-->

  <xsl:template name="Slot_Search_2">
    <xsl:param name="TBus"/>
    <xsl:param name="TDevice"/>
    <xsl:param name="TFunction"/>
    <xsl:variable name="StrSlots" select="document('tmpreport\\Slots.xml')/OMA/SlotsList"/>
    <xsl:for-each select="$StrSlots//Slot/.">
      <!-- Store off the Slot Index in case we match -->
      <xsl:variable name="CIndex" select="./@index" />
      <xsl:if test="SlotDevice/PCICfgSpcEntryList/@count != 0">
        <xsl:variable name="TmpBus" select="SlotDevice/PCICfgSpcEntryList/PCICfgSpcEntry/BusNum"/>
        <xsl:variable name="TmpDev" select="SlotDevice/PCICfgSpcEntryList/PCICfgSpcEntry/DeviceNum "/>
        <xsl:variable name="TmpFunc" select="SlotDevice/PCICfgSpcEntryList/PCICfgSpcEntry/FunctionNum "/>
        <xsl:if test=" number($TBus) = number($TmpBus) ">
          <xsl:if test=" number($TDevice) = number($TmpDev) ">
            <xsl:if test=" number($TFunction) = number($TmpFunc) ">
            <!-- One last check - The Slot name can NOT be Embedded-->
				<xsl:if test="ExtName != 'Embedded' ">
				  <xsl:value-of select="number($CIndex)"/>
                </xsl:if>
            </xsl:if>
          </xsl:if>
        </xsl:if>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="Tagit">
	<xsl:param name="place"/>
			<xsl:variable name="xsltag">
				<xsl:value-of select="concat('Child',$place)"/>
			</xsl:variable>
			<xsl:element name="{$xsltag}">
 				<xsl:call-template name="ChildAttr"/>
				<xsl:call-template name="WalkChild"/>
			</xsl:element>
			
	</xsl:template>

	
	<xsl:template name="TagRoot">
	<xsl:param name="place"/>
<!--	Inside root with <xsl:value-of select="$place"/> -->
			<xsl:variable name="xsltag1">
				<xsl:value-of select="concat('Root',$place)"/>
			</xsl:variable>
			<xsl:element name="{$xsltag1}">
				
							      <xsl:attribute name="name"><xsl:value-of select="Description" /></xsl:attribute>
							      <xsl:attribute name="class">root</xsl:attribute>
							      <xsl:attribute name="xfile"></xsl:attribute>
								  <xsl:call-template name="WalkChild"/>
			</xsl:element>
			
				
		
      
	</xsl:template>

</xsl:stylesheet>
