<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

<xsl:template match="ComponentTree">
	<html>
	<head>
	<title></title>
	<link rel="stylesheet" type="text/css" href="./oma/css/treelist.css" />
	<script language="javascript">
	var g_sLastLink = "";
	var g_sFirstComponent = "";
	var g_sDefaultHelp = "";
	var g_sDefaultApp = "";
	var g_iOpenedArrow;
	var g_iClosedArrow;
	var g_iOpenedLine;
	var g_iClosedLine;
	var g_bCallChangeImage = false;
	var g_bModal = false;
	var g_bSNBGoingBack = false;
	var g_bLSNBGoingBack = false;
	var g_sSNB = "";
	var g_sLSNB = "lsnb";
	var g_nSNBLatency = 0;
	var g_nLSNBLatency = 0;
	var g_nDataAreaLatency = 0;
	var g_nSNBLoadStart;
	var g_sNewLink = "";
	var g_hCalculateLatency;
	var g_hClearLock;
	var preferencesFlag = false;
	var g_bLoadInProgress = false;
	g_sFirstPreferenceComponent = "";
	g_sDefaultPreferenceHelp = "";
	g_sDefaultPreferenceApp = "";
	var snbLoad = false;
	var lsnbLoad = false;
	var daLoad = false;
	var machineArchType = <xsl:value-of select="@archtype"/>;
	
	function init () {
		snbLoad = false;
		lsnbLoad = false;
		daLoad = false;
		g_iClosedArrow = new Image ();
		g_iClosedArrow.src =  "./oma/images/ctplus.png";
		g_iOpenedArrow = new Image ();
		g_iOpenedArrow.src = "./oma/images/ctminus.png";
		g_iClosedLine = new Image ();
		g_iClosedLine.src =  "./oma/images/ctline.gif";
		g_iOpenedLine = new Image ();
		g_iOpenedLine.src = "./oma/images/ctpfork.gif";
		g_nonCriticalSign = new Image ();
		g_nonCriticalSign.src = "./oma/images/status_icons/nonCritical_16.png";		
		g_criticalSign = new Image ();
		g_criticalSign.src = "./oma/images/status_icons/critical_16.png";
		
		<!-- <xsl:choose> -->
			<!-- If a history item is returned by the servlet, use that instead of the default selection. -->
			<!-- <xsl:when test="@ct">
				select ('<xsl:value-of select="@ct"/>', '<xsl:value-of select="@snb"/>', '<xsl:value-of select="@lsnb"/>');
			</xsl:when>
			<xsl:otherwise>
				changeState (g_sFirstComponent, '', '', g_sDefaultHelp, '', '', g_sDefaultApp);
				_changeImage (g_sFirstComponent, true);
			</xsl:otherwise>
		</xsl:choose>
		-->
		g_sFirstComponent="HARDWARE";
		resize ();
    }
    function changeImage (index) {
		g_bCallChangeImage = true;
    }
    function _changeImage (index, bForceOpen) {
		var s = document.getElementById ("subcat_" + index);
		var rollUpStatusValue = s.getAttribute ("rollupstatus");
		if (s != null) 
		{
			if (s.style.display == "none")  {
				document.images["imageA_" + index].src =  g_iOpenedArrow.src;
				if (rollUpStatusValue != null){
					addHealthRollUpIcon(rollUpStatusValue,index);
				}
				else{
					document.images["imageB_" + index].src =  g_iOpenedLine.src;
				}
				s.style.display = "";
			}
			else if (bForceOpen == false) 
			{
				document.images["imageA_" + index].src =  g_iClosedArrow.src;
				if (rollUpStatusValue != null){
					addHealthRollUpIcon(rollUpStatusValue,index);
				}
				else{
					document.images["imageB_" + index].src =  g_iClosedLine.src;
				}			
				
				s.style.display = "none";
			}
		}
    }
	function addHealthRollUpIcon (rollUpStatusValue,index){
		if (rollUpStatusValue == "4"){
			document.images["imageB_" + index].src =  g_criticalSign.src;
		}
		else if(rollUpStatusValue == "3"){
			document.images["imageB_" + index].src =  g_nonCriticalSign.src;
		}	
	}
    function calculateSNBLatency () {
		if (g_bLoadInProgress == false) {
			var now = new Date ();
			g_nSNBLatency = now.getTime () - g_nSNBLoadStart;
			window.clearInterval (g_hCalculateLatency);
		}
    }
    function loadSNB (sComponent, sSNB, sLSNB, sHelp, sApp) {
		///var vvid = top.gnv.getVID();
		var vvid = 'N/A';
		/// g_sNewLink = "/servlet/LoadSNB?component=" + sComponent + '&amp;snb=' + sSNB + '&amp;lsnb=' + sLSNB + '&amp;help=' + 		sHelp+'&amp;app=' + sApp + '&amp;vid=' + vvid;
		var g_sNewLink = sComponent + '&amp;snb=' + sSNB + '&amp;lsnb=' + sLSNB + '&amp;help=' + sHelp+'&amp;app=' + sApp + '&amp;vid=' + vvid;

		if(navigator.appName == "Netscape") {
		<!-- on Netscape, if we try to load the same URL, browser ignores the request and this results in a blank page,
				 this code tries to detect an attempt to load the same URL and deceives the browser by adding useless extra informaton
				 to the URL and forces the browser to load the URL. -->
				 
				if (isURLSame (g_sNewLink)) {
					// deceive browser by appending junk to the URL.
					g_sNewLink = g_sNewLink + '&amp;foolbrowser=true';
				}

		g_nSNBLoadStart = (new Date ()).getTime ();
		parent.snb.location.href = g_sNewLink;
		g_hCalculateLatency = window.setInterval (calculateSNBLatency, 100);

		if (g_nSNBLatency > 0)
		g_hClearLock = window.setInterval (clearLock , g_nSNBLatency);
		}
		else {
			parent.snb.location.href = g_sNewLink;
		}
	}
    function isURLSame (sNewLink) {
		var sModifiedCurrentSNBHref;
		var iIndex;
		var boolURLSame = false;
		var sCurrentSNBHref = new String (parent.snb.location.href);

		if (sCurrentSNBHref.indexOf ("#") != -1) {
			if (sCurrentSNBHref.indexOf ("#") + 1 == sCurrentSNBHref.length) {
				// '#' is at the end of the string
				sCurrentSNBHref = sCurrentSNBHref.substring (0, sCurrentSNBHref.indexOf ("#"));
			}
		}

		iIndex = sCurrentSNBHref.indexOf ("/servlet/LoadSNB?");

		if (iIndex != -1) {
			sModifiedCurrentSNBHref = sCurrentSNBHref.substring ( iIndex, sCurrentSNBHref.length);
			if (sModifiedCurrentSNBHref == sNewLink) {
				boolURLSame = true;
			}
		}

		return boolURLSame;
    }
    function changeState (sComponentName, sSNB, sLSNB, sHelp,sApp) {
		if (g_bLoadInProgress == false) {
			///setLock ();
			//if (_changeState (sComponentName) == true) {
			//loadSNB (sComponentName, sSNB, sLSNB, sHelp,sApp);
			//}
			_changeState(sComponentName);
		}
    }
    function _changeState (sComponentName) {
		if (g_bModal == false) {
			try {
				if (g_sLastLink != "") {
					document.getElementById("link_" + g_sLastLink).className = "component-tree-item";
					for (var i = 0; ; i++) {
						var cell = document.getElementById("cellA" + i + "_" + g_sLastLink);
						if (cell != null) cell.className = "component-tree-item";
						else break;
					}
					document.getElementById("cellB_" + g_sLastLink).className = "component-tree-item";
					document.getElementById("table_" + g_sLastLink).width = 159;
				}
				g_sLastLink = sComponentName;
				document.getElementById("link_" + g_sLastLink).className = "component-tree-item component-tree-selection";
				for (var i = 0; ; i++) {
					var cell = document.getElementById("cellA" + i + "_" + g_sLastLink);
					if (cell != null) cell.className = "component-tree-item component-tree-selection";
					else break;
				}
				document.getElementById("cellB_" + g_sLastLink).className = "component-tree-item component-tree-selection";
				resize ();
				if (g_bCallChangeImage == true) {
					// User clicked on the image.  Collapse if necessary
					_changeImage (sComponentName, false);
					g_bCallChangeImage = false;
				}
				else {
					// User clicked on the component name; force the display of the sub-items
					_changeImage (sComponentName, true);
				}
				return true;
			}
			catch (e) {
				//top.location.href = "index.hta";
				return false;
			}
		}
		return false;
    }
    function resize() {
		try {
			document.getElementById("table_" + g_sLastLink).width = document.getElementById("component-tree").offsetWidth;
		}
		catch (e) {
			//top.location.href = "syssum.xml";
			return false;
		}
    }
    function select (sSelection, sSNB, sLSNB) {
		if (_select (sSelection) == true) {
			changeState (sSelection, sSNB, sLSNB, '');
		}
    }
    function _select (sSelection) {
		var link = document.getElementById("link_" + sSelection);
		if (link != null) {
			_changeState (sSelection);
			var tSelection = document.getElementById ("table_" + sSelection);
			var pParent = tSelection.parentNode;
			while (pParent != null) {
				var s = new String (pParent.id);
				if (s.indexOf ("subcat_") != -1) {
					_changeImage (s.substr (7), true);
				}
				pParent = pParent.parentNode;
			}
			return true;
		}
		else {
			// Go back to the top if item requested cannot be found.
			changeState ('Hardware', '', '', '');
		}
		return false;
    }
    function modal (bModal) {
		g_bModal = bModal;
		if (bModal == false) {
		//clearLock ();
		}
    }
    function testCode () {
		_select('ServerAdministrator');
		parent.snb._select('Preferences');
		parent.lsnb._select('server');
    }

    function popwin (name) {
		if (name !== '' )
		{
		  top.frames["da"].location.href = name
		///return;
		}

    }

  </script>
	</head>
	<body id="component-tree" class="component-tree" onload="javascript:init()" onresize="javascript:resize();">
		<br />
    <div id="treelist">
		<!-- <xsl:apply-templates select="Sp_Application" /> -->
    <xsl:apply-templates />
    <!-- Test code
		<a href="#" onclick="javascript:modal(true)">Modal</a>
		<br />
		<a href="#" onclick="javascript:modal(false)">UnModal</a>
-->
    </div>
	</body>
	</html>
</xsl:template>


<xsl:template match="*">
	<script language="javascript">
				g_sFirstComponent = '<xsl:value-of select="name()"/>';
	</script>
  <var style="display:none">
    g_sFirstComponent=&quot;<xsl:value-of select="name()"/>&quot;
  </var>
  <table width="200"  cellpadding="0" cellspacing="0" border="0">
		<xsl:attribute name="id">table_<xsl:value-of select="name()"/></xsl:attribute>
    <tbody>
		<tr>
			<xsl:attribute name="id">row_<xsl:value-of select="name()"/></xsl:attribute>
			<!-- Add a 5px cell as gutter -->
			<td class="component-tree-item" style="width: 5px">
				<xsl:attribute name="id">cellA0_<xsl:value-of select="name()"/></xsl:attribute>
				<img style="width: 5px" src="./oma/images/blank.gif" />
			</td>
			<xsl:if test="count(parent::node()) > 0">
				<xsl:call-template name="draw-parental-relationship">
					<xsl:with-param name="parentNode" select="parent::node()" />
				</xsl:call-template>
			</xsl:if>
			<xsl:element name="td">
				<xsl:attribute name="id">cellB_<xsl:value-of select="name()"/></xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
				<xsl:attribute name="valign">middle</xsl:attribute>
				<xsl:attribute name="class">component-tree-item</xsl:attribute>
				<xsl:attribute name="nowrap">true</xsl:attribute>
				<xsl:if test="count(node()) = 0">
					<xsl:element name="img">
					<xsl:attribute name="src">./oma/images/
						<xsl:choose>
							<xsl:when test="count(following-sibling::node()) = 0 and (count(ancestor-or-self::node()) > 3)">ctl.gif</xsl:when>
							<xsl:when test="((count(child::node()) = 0) and (count(ancestor-or-self::node()) &lt;= 3))">ctminus.gif</xsl:when>
							<xsl:otherwise>
								ctfork.gif
							</xsl:otherwise>
					   </xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="src">./oma/images/
						<xsl:choose>
							<xsl:when test="count(following-sibling::node()) = 0 and (count(ancestor-or-self::node()) > 3)">ctl.gif</xsl:when>
							<xsl:when test="((count(child::node()) = 0) and (count(ancestor-or-self::node()) &lt;= 3))">ctminus.gif</xsl:when>
							<xsl:otherwise>
								ctfork.gif
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
            <xsl:attribute name="width">15</xsl:attribute>
						<xsl:attribute name="height">
						<xsl:choose>
							<xsl:when test="((count(child::node()) = 0) and (count(ancestor-or-self::node()) &lt;= 4))">15</xsl:when>
							<xsl:otherwise>18</xsl:otherwise>
						</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="align">absmiddle</xsl:attribute>
					</xsl:element>
					<xsl:call-template name="addHalfLine"/>
					<xsl:element name="img">
						<xsl:call-template name="getlineOrStatusRollUpImage">
							<xsl:with-param name="rollupstatus" select="@rollupstatus" />
						</xsl:call-template>	
					</xsl:element>	
					<xsl:call-template name="addHalfLine"/>
				</xsl:if>
				<xsl:element name="a">
					<xsl:attribute name="id">link_<xsl:value-of select="name()"/></xsl:attribute>
					<!-- MM : Begin - Fix for id issue -->
					<!-- SilkTest expects name attribute for hrefs. Hence providing 'name' -->
					<xsl:attribute name="name">link_<xsl:value-of select="name()"/></xsl:attribute>
					<!-- MM : End - Fix for id issue -->
					<xsl:attribute name="href">#</xsl:attribute>
          <xsl:if test="@name != '' ">
            <xsl:attribute name="onclick">
              javascript:popwin('<xsl:value-of select="@xfile"/>');
              javascript:changeState('<xsl:value-of select="name()"/>');
            </xsl:attribute>
            <xsl:attribute name="href">#</xsl:attribute>
          </xsl:if>

         <!-- <xsl:attribute name="onclick">javascript:changeState ('<xsl:value-of select="name()"/>', '', '', '<xsl:value-of select="@help"/>', '', '', '<xsl:value-of select="@app"/>');</xsl:attribute> -->
					<xsl:attribute name="class">component-tree-item</xsl:attribute>
					<xsl:if test="count(node()) > 0">
						<xsl:element name="img">
							<xsl:attribute name="onClick">javascript:changeImage('<xsl:value-of select="name()"/>')</xsl:attribute>
							<xsl:attribute name="name">imageA_<xsl:value-of select="name()"/></xsl:attribute>
							<xsl:attribute name="src">./oma/images/ctplus.png</xsl:attribute>
							<xsl:attribute name="width">15</xsl:attribute>
							<xsl:attribute name="height">15</xsl:attribute>
							<xsl:attribute name="border">0</xsl:attribute>
							<xsl:attribute name="align">absmiddle</xsl:attribute>
						</xsl:element>
						<xsl:call-template name="addHalfLine"/>
						<xsl:element name="img">
							<xsl:attribute name="onClick">javascript:changeImage('<xsl:value-of select="name()"/>')</xsl:attribute>
							<xsl:attribute name="name">imageB_<xsl:value-of select="name()"/></xsl:attribute>
							<xsl:call-template name="getlineOrStatusRollUpImage">
								<xsl:with-param name="rollupstatus" select="@rollupstatus" />
							</xsl:call-template>														
						</xsl:element>
						<xsl:call-template name="addHalfLine"/>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="@display=''"><xsl:value-of select="name()" /></xsl:when>
						<xsl:otherwise><xsl:value-of select="@display" /></xsl:otherwise>
					</xsl:choose>
          <xsl:value-of select="@name"/>
        </xsl:element>    <!-- end of Anchor  -->
			</xsl:element>
		</tr>
    </tbody>
	</table>
	<xsl:if test="count(node()) > 0">
		<xsl:element name="div">
			<xsl:attribute name="id">subcat_<xsl:value-of select="name()" /></xsl:attribute>
			<xsl:attribute name="rollupstatus"><xsl:value-of select="@rollupstatus" /></xsl:attribute>
			<xsl:attribute name="style">display: none</xsl:attribute>
			<xsl:apply-templates />
		</xsl:element>
	</xsl:if>
</xsl:template>

<!--
	JJ 09/04/01
	This template draws the parent-child relationship graphs by examining the
	ancestry of an element to determine the need for parent/child linkage line.
-->
<xsl:template name="draw-parental-relationship">
	<xsl:param name="parentNode" />
	<xsl:if test="count($parentNode/parent::node()) > 0">
		<xsl:call-template name="draw-parental-relationship">
			<xsl:with-param name="parentNode" select="$parentNode/parent::node ()" />
		</xsl:call-template>
	</xsl:if>
	<!-- 
		The current Component Tree specification contains the ComponentTree element that is not part of the viewable tree;
		additionaly, we do not add indentation for the top element of a  component tree (i.e. System).  The code that follows
		skips adding HTML indentation elements.
	-->
	<xsl:if test="count($parentNode/ancestor-or-self::node()) > 2">
		<td style="width: 15px; height=18px" class="component-tree-item">
			<xsl:attribute name="id">cellA<xsl:value-of select="count($parentNode/ancestor-or-self::node()) - 2" />_<xsl:value-of select="name()" /></xsl:attribute>
			<img style="width: 15px; height:18px" border="0">
				<xsl:attribute name="src">
					<xsl:choose>
						<xsl:when test="count($parentNode/following-sibling::node()) = 0">./oma/images/blank.gif</xsl:when>
						<xsl:otherwise>./oma/images/ctdash.gif</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</img>
		</td>
	</xsl:if>
</xsl:template>

<xsl:template name="getlineOrStatusRollUpImage">
	<xsl:param name="rollupstatus" />
	<xsl:choose>
		<xsl:when test="$rollupstatus = '4'">
				<xsl:attribute name="src">./oma/images/status_icons/critical_16.png 
				</xsl:attribute>
				<xsl:attribute name="width">16</xsl:attribute>
				<xsl:attribute name="height">16</xsl:attribute>
				<xsl:attribute name="border">0</xsl:attribute>
				<xsl:attribute name="align">absmiddle</xsl:attribute>
		</xsl:when>	
		<xsl:when test="$rollupstatus = '3'">
				<xsl:attribute name="src">./oma/images/status_icons/nonCritical_16.png			  
				</xsl:attribute>  			  
				<xsl:attribute name="width">16</xsl:attribute>
				<xsl:attribute name="height">16</xsl:attribute>
				<xsl:attribute name="border">0</xsl:attribute>
				<xsl:attribute name="align">absmiddle</xsl:attribute>
		</xsl:when>	
		<xsl:otherwise>
				<xsl:attribute name="src">./oma/images/ctline.gif</xsl:attribute>
				<xsl:attribute name="width">15</xsl:attribute>
				<xsl:attribute name="height">18</xsl:attribute>
				<xsl:attribute name="border">0</xsl:attribute>
				<xsl:attribute name="align">absmiddle</xsl:attribute>
		</xsl:otherwise>
	</xsl:choose>	

</xsl:template>
<xsl:template name="addHalfLine">
	<xsl:element name="img">
		<xsl:attribute name="src">./oma/images/ctline-half.gif</xsl:attribute>
		<xsl:attribute name="width">8</xsl:attribute>
		<xsl:attribute name="height">18</xsl:attribute>
		<xsl:attribute name="border">0</xsl:attribute>
		<xsl:attribute name="align">absmiddle</xsl:attribute>
	</xsl:element>	
</xsl:template>

</xsl:stylesheet>