<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:strip-space elements="*"/>
	<xsl:output method="html" />
	<xsl:template match="SlotTree">
		<html>
			<head>
				<title/>
				<script type="text/javascript"> 
	var g_sLastLink = "";
	var g_sFirstComponent = "";
	var g_sDefaultHelp = "";
	var g_sDefaultApp = "";
	var g_iOpenedArrow;
	var g_iClosedArrow;
	var g_iOpenedLine;
	var g_iClosedLine;
	var g_bCallChangeImage = false;
	var g_bModal = false;
	var g_bSNBGoingBack = false;
	var g_bLSNBGoingBack = false;
	var g_sSNB = "";
	var g_sLSNB = "";
	var g_nSNBLatency = 0;
	var g_nLSNBLatency = 0;
	var g_nDataAreaLatency = 0;
	var g_nSNBLoadStart;
	var g_sNewLink = "";
	var g_hCalculateLatency;
	var g_hClearLock;
	var preferencesFlag = false;
	var g_bLoadInProgress = false;
	g_sFirstPreferenceComponent = "";
	g_sDefaultPreferenceHelp = "";
	g_sDefaultPreferenceApp = "";
	var snbLoad = false;
	var lsnbLoad = false;
	var daLoad = false;
	
	function init () {
		snbLoad = false;
		lsnbLoad = false;
		daLoad = false;
		g_iClosedArrow = new Image ();
		g_iClosedArrow.src =  "./oma/images/ctplus.png";
		g_iOpenedArrow = new Image ();
		g_iOpenedArrow.src = "./oma/images/ctminus.png";
		g_iClosedLine = new Image ();
		g_iClosedLine.src =  "./oma/images/ctline.gif";
		g_iOpenedLine = new Image ();
		g_iOpenedLine.src = "./oma/images/ctpfork.gif";
		g_sFirstComponent="Root11";
		<!-- This code no longer needed since the frames have been adjusted to use default src of syssum.xml --> 
<!--		<xsl:choose>-->
						<!-- If a history item is returned by the servlet, use that instead of the default selection. -->
<!--						<xsl:when test="@ct">
				select ('<xsl:value-of select="@ct"/>', '<xsl:value-of select="@snb"/>', '<xsl:value-of select="@lsnb"/>');
			</xsl:when>
						<xsl:otherwise>
-->						
								<!--changeState (g_sFirstComponent, '', '', g_sDefaultHelp, '', '', g_sDefaultApp);-->
<!--				_changeImage (g_sFirstComponent, true);
				changeState(g_sFirstComponent);-->
			<!--	popwin('syssum.xml');-->
<!--			</xsl:otherwise>
					</xsl:choose>
-->
     	expandAll();				
		resize ();
	}
	function changeImage (index) {
		g_bCallChangeImage = true;
		_changeImage(index,false);
	}
	function _changeImage (index, bForceOpen) {
		var s = document.getElementById ("subcat_" + index);
		if (s !== null) {
			if (s.style.display == "none")  {
				document.images["imageA_" + index].src =  g_iOpenedArrow.src;
				document.images["imageB_" + index].src =  g_iOpenedLine.src;
				s.style.display = "";
			}
			else if (bForceOpen === false) {
				document.images["imageA_" + index].src =  g_iClosedArrow.src;
				document.images["imageB_" + index].src =  g_iClosedLine.src;
				s.style.display = "none";
			}
		}
	}
	function expandAll () {
		for(i = 0 ; i != 200 ; i++) {
			    g_sLastLink = "Root"+i;
			    changeImage ("Root"+i) ;
			     g_sLastLink = "Child"+i;
				changeImage ("Child"+i) ;
		}
			
	}

	function changeState (sComponentName) {
		_changeState (sComponentName) ;
			
	}
	function _changeState (sComponentName) {
		if (g_bModal === false) {
			try {
					var cell;
					var i;
					if (g_sLastLink !== "") {
						document.getElementById("link_" + g_sLastLink).className = "pci-tree-entry";
						for ( i = 0; i!=100 ; i++) {
							 cell = document.getElementById("cellA" + i + "_" + g_sLastLink);
							if (cell !== null)
							{
							 cell.className = "pci-tree-entry";
							 }
							else
							{
							 break;
							 }
						}
						document.getElementById("cellX0" + g_sLastLink).className = "pci-tree-entry";
						document.getElementById("cellB_" + g_sLastLink).className = "pci-tree-active";
						document.getElementById("table_" + g_sLastLink).width = 159;
					}
					g_sLastLink = sComponentName;
					document.getElementById("link_" + g_sLastLink).className = "pci-tree-entry ";
					for (i = 0;i!= 100 ; i++) {
						 cell = document.getElementById("cellA" + i + "_" + g_sLastLink);
						if (cell !== null)
						{
						 cell.className = "pci-tree-entry" ;
						 }
						else
						{
						 break;
						 }
					}
					document.getElementById("cellB_" + g_sLastLink).className = "pci-tree-active pci-tree-entry pci-tree-empty";
					resize ();
					if (g_bCallChangeImage === true) {
						// User clicked on the image.  Collapse if necessary
						_changeImage (sComponentName, false);
						g_bCallChangeImage = false;
					}
					else {
						// User clicked on the component name; force the display of the sub-items
						_changeImage (sComponentName, true);
					}
					return true;
			}
			catch (e) {
				//top.location.href = "index.hta";
				return false;
			}
		}
		return false;
	}
	function resize()
	 {
		try {
				document.getElementById("table_" + g_sLastLink).width = document.getElementById("pci-tree").offsetWidth;
		}
		catch (e) {
			//top.location.href = "index.hta";
		}
	}

	function select (sSelection, sSNB, sLSNB) {
		if (_select (sSelection) === true) {
			changeState (sSelection);
		}
	}
	function _select (sSelection) {
		var link = document.getElementById("link_" + sSelection);
		if (link != null) {
			_changeState (sSelection);
			var tSelection = document.getElementById ("table_" + sSelection);
			var pParent = tSelection.parentNode;
			while (pParent != null) {
				var s = new String (pParent.id);
				if (s.indexOf ("subcat_") != -1) {
					_changeImage (s.substr (7), true);
				}
				pParent = pParent.parentNode;
			}
			return true;
		}
		else {
			// Go back to the last top if item requested cannot be found.
			changeState ('System');
		}
		return false;
	}
	function modal (bModal) {
		g_bModal = bModal;
		if (bModal == false) {
			clearLock ();
		}
	}
	
	function popwin (name) {
		if (name !== '' )
		{
			top.da.location = name;
		}
		
	}
	</script>
			</head>
			<body id="pci-tree" class="pci-tree" onload="javascript:init();" onresize="javascript:resize ();">
				<br/>

					<table cellpadding="0" cellspacing="0" border="0">
						<tr>
							<th style="font-family:Arial;font-style:italic;font-size:9pt;color:black" >Click a Slot Identifier or Adapter name to see details</th>
						</tr>
					</table>
					<table cellpadding="0" cellspacing="0" border="0"> </table>
					<table cellpadding="0" cellspacing="0" border="0">
						<xsl:attribute name="id">table_Header</xsl:attribute>
						<tr>
							<th style="font-family:Arial">Slot ID</th>
						</tr>
					</table>
		             <xsl:apply-templates/> 
				<!-- Test code
		<a href="#" onclick="javascript:modal(true)">Modal</a>
		<br />
		<a href="#" onclick="javascript:modal(false)">UnModal</a>
-->
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="*" > 
		<script language="javascript">g_sFirstComponent = '<xsl:value-of select="name()"/>';</script>
		<var style="display:none">g_sFirstComponent=&quot;<xsl:value-of select="name()"/>&quot;</var>
		<table cellpadding="0" cellspacing="0" border="0">
			<!--<table cellpadding="0" cellspacing="0" border="0">-->
			    <xsl:attribute name="id">table_<xsl:value-of select="name()"/></xsl:attribute>
				<xsl:attribute name="id">row_<xsl:value-of select="name()"/></xsl:attribute>
				<tr>
                <!-- begin here the SLOT column -->
					<xsl:element name="td">
						<xsl:attribute name="style">font-family:Arial;font-size:10pt;font-weight:bold</xsl:attribute>
						<xsl:attribute name="class">pci-tree-column</xsl:attribute>
						<xsl:attribute name="width">80</xsl:attribute>
						<xsl:attribute name="align">left</xsl:attribute>
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:choose>
							<xsl:when test="string-length(./@slot) > 0 ">
							<xsl:element name="a">
							<xsl:attribute name="id">link_<xsl:value-of select="name()"/></xsl:attribute>
							<xsl:if test="@name != '' ">
									<xsl:attribute name="onclick">javascript:popwin('<xsl:value-of select="@xfile"/>');javascript:changeState('<xsl:value-of select="name()"/>');</xsl:attribute>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="./@class = 'active_item' ">
								<xsl:attribute name="href"><xsl:value-of select="@xfile"/></xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt;font-weight:bold</xsl:attribute>
								<xsl:attribute name="class">pci-tree-active</xsl:attribute>
								</xsl:when>
								<xsl:when test="./@class = 'empty_item' ">
								<xsl:attribute name="style">font-family:Arial;font-size:10pt;color: #0000ff</xsl:attribute>
								<xsl:attribute name="class">pci-tree-empty</xsl:attribute>
								</xsl:when>
								<xsl:when test="./@class = 'item' ">
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								</xsl:when>
								<xsl:when test="./@class ='root' ">
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:element name="img">
								<xsl:attribute name="src">oma/images/blank.gif</xsl:attribute>
								<xsl:attribute name="onfocus">javascript:changeState('<xsl:value-of select="name()"/>');</xsl:attribute>
								<xsl:choose>
									<xsl:when test="./@class = 'active_item' ">
									<xsl:attribute name="class">pci-tree-active</xsl:attribute>
									<xsl:attribute name="style">font-family:Arial;font-size:10pt;font-weight:bold</xsl:attribute>
									</xsl:when>
									<xsl:when test="./@class = 'empty_item' ">
									<xsl:attribute name="style">font-family:Arial;font-size:10pt;color: #0000ff</xsl:attribute>
									<xsl:attribute name="class">pci-tree-empty</xsl:attribute>
									</xsl:when>
									<xsl:when test="./@class = 'item' ">
									<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
									<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
									</xsl:when>
									<xsl:when test="./@class ='root' ">
									<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
									<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
									<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:attribute name="width">15</xsl:attribute>
								<xsl:attribute name="height">15</xsl:attribute>
								<xsl:attribute name="border">0</xsl:attribute>
								<xsl:attribute name="align">absmiddle</xsl:attribute>
							</xsl:element> <!-- end of image-->
									<xsl:value-of select="./@slot"/>
							</xsl:element> <!--end of anchor -->
							</xsl:when>
						</xsl:choose>
					</xsl:element>
				<!-- Add a 5px cell as gutter -->
					<td class="pci-tree-item" >
						<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
						<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
						<xsl:attribute name="id">cellX0_<xsl:value-of select="name()"/></xsl:attribute>
						<img border="none" style="width: 15px" src="oma/images/blank.gif">
							<xsl:attribute name="height">15</xsl:attribute>
							<xsl:attribute name="width">60</xsl:attribute>
						</img>
					</td>
				<!-- Add a 5px cell as gutter -->
					<td class="pci-tree-item" >
						<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
						<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
						<xsl:attribute name="id">cellA0_<xsl:value-of select="name()"/></xsl:attribute>
						<img border="none" style="width: 15px" src="oma/images/blank.gif">
							<xsl:attribute name="height">15</xsl:attribute>
							<xsl:attribute name="width">15</xsl:attribute>
						</img>
					</td>
					<xsl:if test="count(parent::node()) > 0">
						<xsl:call-template name="draw-parental-relationship">
							<xsl:with-param name="parentNode" select="parent::node()"/>
						</xsl:call-template>
					</xsl:if>
				<!-- add the first element to display after tree -->
					<xsl:element name="td">
						<xsl:attribute name="id">cellB_<xsl:value-of select="name()"/></xsl:attribute>
						<xsl:attribute name="align">left</xsl:attribute>
						<xsl:attribute name="valign">middle</xsl:attribute>
						<xsl:choose>
							<xsl:when test="./@class = 'active_item' ">
							<xsl:attribute name="class">pci-tree-active</xsl:attribute>
							<xsl:attribute name="style">font-family:Arial;font-size:10pt;font-weight:bold</xsl:attribute>
							</xsl:when>
							<xsl:when test="./@class = 'empty_item' ">
							<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
							<xsl:attribute name="class">pci-tree-empty</xsl:attribute>
							</xsl:when>
							<xsl:when test="./@class = 'item' ">
							<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
							<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
							</xsl:when>
							<xsl:when test="./@class ='root' ">
							<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
							<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
							<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
							<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:attribute name="nowrap">true</xsl:attribute>
						<xsl:if test="count(node()) = 0">
							<xsl:element name="img">
								<xsl:attribute name="src">
									<xsl:choose>
											<xsl:when test="count(following-sibling::node()) = 0 and (count(ancestor-or-self::node()) > 3)">./oma/images/ctl.gif</xsl:when>
											<xsl:when test="((count(child::node()) = 0) and (count(ancestor-or-self::node()) &lt;= 3))">./oma/images/ctminus.png</xsl:when>
											<xsl:otherwise>./oma/images/ctfork.gif</xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								<xsl:attribute name="width">15</xsl:attribute>
								<xsl:attribute name="height">15</xsl:attribute>
								<xsl:attribute name="border">0</xsl:attribute>
								<xsl:attribute name="align">absmiddle</xsl:attribute>
							</xsl:element>
							<!-- Insert Anchor between first and encapsulate the second image -->
							<xsl:element name="a">
							<xsl:attribute name="id">link_<xsl:value-of select="name()"/></xsl:attribute>
							<xsl:if test="@name != '' ">
									<xsl:attribute name="onclick">javascript:popwin('<xsl:value-of select="@xfile"/>');javascript:changeState('<xsl:value-of select="name()"/>');</xsl:attribute>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="./@class = 'active_item' ">
								<xsl:attribute name="href"><xsl:value-of select="@xfile"/></xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt;font-weight:bold</xsl:attribute>
								<xsl:attribute name="class">pci-tree-active</xsl:attribute>
								</xsl:when>
								<xsl:when test="./@class = 'empty_item' ">
								<xsl:attribute name="style">font-family:Arial;font-size:10pt;color: #0000ff</xsl:attribute>
								<xsl:attribute name="class">pci-tree-empty</xsl:attribute>
								</xsl:when>
								<xsl:when test="./@class = 'item' ">
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								</xsl:when>
								<xsl:when test="./@class ='root' ">
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:element name="img">
								<xsl:attribute name="src">./oma/images/ctline.gif</xsl:attribute>
								<xsl:attribute name="onfocus">javascript:changeState('<xsl:value-of select="name()"/>');</xsl:attribute>
								<xsl:choose>
									<xsl:when test="./@class = 'active_item' ">
									<xsl:attribute name="class">pci-tree-active</xsl:attribute>
									<xsl:attribute name="style">font-family:Arial;font-size:10pt;font-weight:bold</xsl:attribute>
									</xsl:when>
									<xsl:when test="./@class = 'empty_item' ">
									<xsl:attribute name="style">font-family:Arial;font-size:10pt;color: #0000ff</xsl:attribute>
									<xsl:attribute name="class">pci-tree-empty</xsl:attribute>
									</xsl:when>
									<xsl:when test="./@class = 'item' ">
									<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
									<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
									</xsl:when>
									<xsl:when test="./@class ='root' ">
									<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
									<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
									<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:attribute name="width">15</xsl:attribute>
								<xsl:attribute name="height">15</xsl:attribute>
								<xsl:attribute name="border">0</xsl:attribute>
								<xsl:attribute name="align">absmiddle</xsl:attribute>
							</xsl:element> <!-- end of image-->
									<xsl:value-of select="@name"/>
					</xsl:element> <!--end of anchor -->
				</xsl:if> <!-- end of if node = 0 -->
					<xsl:if test="count(node()) > 0">
							<xsl:element name="img">
								<xsl:attribute name="onClick">javascript:changeImage('<xsl:value-of select="name()"/>');</xsl:attribute>
								<xsl:attribute name="onfocus">javascript:changeState('<xsl:value-of select="name()"/>');</xsl:attribute>
								<xsl:attribute name="name">imageA_<xsl:value-of select="name()"/></xsl:attribute>
								<xsl:attribute name="src">nul</xsl:attribute>
								<xsl:attribute name="width">15</xsl:attribute>
								<xsl:attribute name="height">15</xsl:attribute>
								<xsl:attribute name="border">0</xsl:attribute>
								<xsl:attribute name="align">absmiddle</xsl:attribute>
								<xsl:attribute name="src">./oma/images/ctplus.png</xsl:attribute>
								<xsl:attribute name="width">15</xsl:attribute>
								<xsl:attribute name="height">15</xsl:attribute>
								<xsl:attribute name="border">0</xsl:attribute>
								<xsl:attribute name="align">absmiddle</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								<!--</xsl:if>-->
							</xsl:element>
						<!-- Insert Anchor between first and encapsulate the second image -->
						<xsl:element name="a">
						<xsl:attribute name="id">link_<xsl:value-of select="name()"/></xsl:attribute>
						<xsl:if test="@name != '' ">
								<xsl:attribute name="onclick">javascript:popwin('<xsl:value-of select="@xfile"/>');</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="onfocus">javascript:changeState('<xsl:value-of select="name()"/>');</xsl:attribute>
						<xsl:choose>
							<xsl:when test="./@class ='active_item' ">
							<xsl:attribute name="href"><xsl:value-of select="@xfile"/></xsl:attribute>
							<xsl:attribute name="style">font-family:Arial;font-size:10pt;font-weight:bold</xsl:attribute>
							<xsl:attribute name="class">pci-tree-active</xsl:attribute>
							</xsl:when>
							<xsl:when test="./@class ='empty_item' ">
							<xsl:attribute name="style">font-family:Arial;font-size:10pt;color: #0000ff</xsl:attribute>
							<xsl:attribute name="class">pci-tree-empty</xsl:attribute>
							</xsl:when>
							<xsl:when test="./@class ='item' ">
							<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
							<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
							<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
							<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
							<xsl:element name="img">
								<xsl:attribute name="onclick">javascript:changeImage('<xsl:value-of select="name()"/>');</xsl:attribute>
								<xsl:attribute name="name">imageB_<xsl:value-of select="name()"/></xsl:attribute>
								<xsl:attribute name="src">./oma/images/ctline.gif</xsl:attribute>
								<xsl:choose>
								<xsl:when test="./@class ='active_item' ">
								<xsl:attribute name="class">pci-tree-active</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt;font-weight:bold</xsl:attribute>
								</xsl:when>
								<xsl:when test="./@class ='empty_item' ">
								<xsl:attribute name="style">font-family:Arial;font-size:10pt;color: #0000ff</xsl:attribute>
								<xsl:attribute name="style">color: #0000ff;</xsl:attribute>
								<xsl:attribute name="class">pci-tree-empty</xsl:attribute>
								</xsl:when>
								<xsl:when test="./@class ='item' ">
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:attribute name="width">15</xsl:attribute>
								<xsl:attribute name="height">15</xsl:attribute>
								<xsl:attribute name="border">0</xsl:attribute>
								<xsl:attribute name="align">absmiddle</xsl:attribute>
						</xsl:element> <!-- end of image-->
								<xsl:value-of select="@name"/>
				</xsl:element> <!--end of anchor -->
			</xsl:if> <!-- end if node > 0-->
			</xsl:element> <!--end of td -->
			</tr>
		</table>
		
		<xsl:if test="count(node()) > 0">
			<xsl:element name="div">
				<xsl:attribute name="id">subcat_<xsl:value-of select="name()"/></xsl:attribute>
				<xsl:attribute name="style">display:none</xsl:attribute>
				<xsl:apply-templates/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<!--
	JJ 09/04/01
	This template draws the parent-child relationship graphs by examining the
	ancestry of an element to determine the need for parent/child linkage line.
-->
	<xsl:template name="draw-parental-relationship">
		<xsl:param name="parentNode"/>
		<xsl:if test="count($parentNode/parent::node()) > 0">
			<xsl:call-template name="draw-parental-relationship">
				<xsl:with-param name="parentNode" select="$parentNode/parent::node ()"/>
			</xsl:call-template>
		</xsl:if>
		<!-- 
		The current Component Tree specification contains the ComponentTree element that is not part of the viewable tree;
		additionaly, we do not add indentation for the top element of a  component tree (i.e. System).  The code that follows
		skips adding HTML indentation elements.
	-->
		<xsl:if test="count($parentNode/ancestor-or-self::node()) > 2">
			<td >
			   <xsl:attribute name="class">
						<xsl:choose>
							<xsl:when test="./@class ='active_item' ">
							<xsl:attribute name="class">pci-tree-active</xsl:attribute>
								<xsl:attribute name="style">font-family:Arial;font-size:10pt;font-weight:bold</xsl:attribute>
							</xsl:when>
							<xsl:when test="./@class ='empty_item' ">
			   					<xsl:attribute name="style">font-family:Arial;font-size:10pt;color: #0000ff</xsl:attribute>
								<xsl:attribute name="class">pci-tree-empty</xsl:attribute>
							</xsl:when>
							<xsl:when test="./@class ='item' ">
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
			   					<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="class">pci-tree-entry</xsl:attribute>
			   					<xsl:attribute name="style">font-family:Arial;font-size:10pt</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
				</xsl:attribute>
				<xsl:attribute name="style">font-family:Arial;font-size:10pt;</xsl:attribute>
				<xsl:attribute name="id">cellA<xsl:value-of select="count($parentNode/ancestor-or-self::node()) - 2"/>_<xsl:value-of select="name()"/></xsl:attribute>
				    <img style="width: 15px; height:15px" border="0">
					<xsl:attribute name="src">
						<xsl:choose>
						<xsl:when test="count($parentNode/following-sibling::node())=0">oma/images/blank.gif</xsl:when>
						<xsl:when test="count($parentNode/following-sibling::node()) = 0">nul</xsl:when>
						<xsl:otherwise>./oma/images/ctdash.gif</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="height">15</xsl:attribute>
					<xsl:attribute name="width">15</xsl:attribute>
				</img>
			</td>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
